<?php
/*
*	$id:ti_atfuncs.inc (c)A.Ida 2017/3/10 15:37:31
*	添付資料関係共通部
*/
class ti_atfuncs {
	var $p_win;
	var $cnv;
	
	// コンストラクタ
	function ti_atfuncs(){
		$this->p_win = true;
		switch(substr(php_uname('s'),0,1)){
		case 'L':	// Linux
		case 'F':	// FreeBSD
		case 'H':	// HP-UX
		case 'S':	// SunOS
		case 'M':	// Mac
			$this->p_win = false;
			break;
		default:
			break;
		}
		$this->cnv = new ti_jconv;
	}
	
	// URL用ファイル名取得
	function get_urlfname(&$db){
		$fname = $db->f("cfname");
	//	if($this->p_win){
	//		$fname = mb_convert_encoding($fname,"UTF-8","EUC-JP,SJIS,JIS,UTF-8");
	//	}
		$fname = $this->cnv->to_base($fname);
		$fname = rawurlencode($fname);
		return $fname;
	}
	
	// パス用ファイル名取得
	function get_pathfname($fname){
		$fname_s = $fname;
	//	if($this->p_win){
	//		$fname_s = mb_convert_encoding($fname, "SJIS", "EUC-JP,JIS,UTF-8,SJIS");
	//	}
		$fname_s = $this->cnv->to_base($fname);
		return $fname_s;
	}
}
?>
