<?php
/*
*	$id:ti_calen.inc (c)A.Ida 2017/3/10 15:37:31
*	実績カレンダー配列生成部
*	分析とダウンロードで使用
*/
// 実績カレンダー ---------------------------
$sSql  = "SELECT count(*) AS rcnt, to_char(dexec, 'YYYY/MM/DD') AS date_f, to_char(dexec, 'MM/DD') AS date_s FROM tresult ";
$sSql .= sprintf("WHERE npid IN (%s) ", $projs);
$sSql .= "GROUP BY date_f, date_s ORDER BY date_f";
$db->query($sSql);
$tary = array();
while($db->next_record()){
	$one["date_s"] = $db->f("date_s");
	$one["rcnt"] = $db->f("rcnt");
	$one["bcnt"] = 0;
	$tary[$db->f("date_f")] = $one;
}
// 対象外種別
$non = "";
while(list($key,$val) = each($c_kary_non)){
	if(strlen($non) > 0){
		$non .= ", ";
	}
	$non .= $val;
}
// 配列に設定
$sSql  = "SELECT count(*) AS bcnt, to_char(dissue, 'YYYY/MM/DD') AS date_f, to_char(dissue, 'MM/DD') AS date_s FROM vbug2 ";
$sSql .= sprintf("WHERE npid IN (%s) ", $projs);
if(strlen($non) > 0){
	$sSql .= sprintf("AND ((nkind IS NULL) OR (nkind NOT IN (%s))) ", $non);
}
$sSql .= "GROUP BY date_f, date_s ORDER BY date_f";
$db->query($sSql);
while($db->next_record()){
	$tary[$db->f("date_f")]["date_s"] = $db->f("date_s");
	$tary[$db->f("date_f")]["bcnt"] = $db->f("bcnt");
	// append V0.3
	if(!isset($tary[$db->f("date_f")]["rcnt"])){
		$tary[$db->f("date_f")]["rcnt"] = 0;
	}
}

// 日付順ソート
ksort($tary);
// 累計化
$rcnt = 0;
$bcnt = 0;
while(list($key, $vary) = each($tary)){
	$rcnt += $vary["rcnt"];
	$bcnt += $vary["bcnt"];
	$tary[$key]["rcnt"] = $rcnt;
	$tary[$key]["bcnt"] = $bcnt;
};
reset($tary);
?>
