<?php
/*
*	$id:ti_ckMemb.inc (c)A.Ida 2017/3/10 15:37:31
*	メンバ外担当のチェックと置換
*/

class ti_ckMemb {
	var $p_db;
	var $p_membs;
	var $p_membs_err;

	// コンストラクタ
	function ti_ckMemb($db, $membs){
		$this->p_db = $db;
		$this->p_membs = $membs;
		$this->p_membs_str = $this->fmtCnm($membs);
	}

	function fmtCnm($strary){
		$strcnm = "";
		foreach ($strary as $str){
			if (strlen($strcnm) > 0){ $strcnm .= ", "; }
			$strcnm .= "'" . $str . "'";
		}
		return $strcnm;
	}
	
	// メンバー外担当の抽出
	function chkMembs($pid){
		$this->p_membs_err = array();
		$sSql = "SELECT cid FROM titem WHERE npid = " . $pid . " AND cid NOT IN(" . $this->p_membs_str . ")";
		$sSql .= " UNION ";
		$sSql .= "SELECT cid2 FROM titem WHERE npid = " . $pid ." AND cid2 NOT IN(" . $this->p_membs_str . ")";
		$this->p_db->query($sSql);
		while($this->p_db->next_record())
		{
			array_push($this->p_membs_err, $this->p_db->f("cid"));
		}
		return count($this->p_membs_err);
	}
	
	// メンバー外担当を指定ユーザに置換
	function chgMembs($pid, $userid){
		$cnt = 0;
		$sSql = "UPDATE titem SET cid = '" . $userid . "' WHERE npid = " . $pid . " AND cid NOT IN (" . $this->p_membs_str . ")";
		$this->p_db->query($sSql);
		$cnt += $this->p_db->affected_rows();
		$sSql = "UPDATE titem SET cid2 = '" . $userid . "' WHERE npid = " . $pid . " AND cid2 NOT IN (" . $this->p_membs_str . ")";
		$this->p_db->query($sSql);
		$cnt += $this->p_db->affected_rows();
		return $cnt;	
	}
}
		

