<?php
/*
*	$id:ti_prepend.inc (c)A.Ida 2017/3/10 15:37:31
*	テスト項目運用システム - 共通初期処理部
*/
header("Content-Type: text/html;charset=UTF-8");
// PEARのPHP5.3以降でのエラー回避
error_reporting(E_ALL & ~E_DEPRECATED & ~E_STRICT);
//
// PHPLibからの移行のためのセッション管理クラス
//
class Dmy_Sess
{
	function Dmy_Sess(){}
	function purl($url)
	{
		print $url;
	}
	function url($url)
	{
		return $url;
	}
	function is_registered($vname)
	{
		return isset($_SESSION[$vname]);
	}
	function register($vname)
	{
		global $$vname;
		$_SESSION[$vname] = $$vname;
	}
	function unregister($vname)
	{
		unset($_SESSION[$vname]);
	}
	function delete()
	{
		$_SESSION = array();
		if (isset($_COOKIE[session_name()])) {
			setcookie(session_name(), '', time()-42000, '/');
		}
		session_destroy();
	}
}

//
// PHPLib時代のなごり
// 何かに使えるかもしれないのでダミーで残しておく
//
function page_open($ary){};
function page_close(){};
$sess = new Dmy_Sess();
// SQLエスケープ衣
function a($str)
{
	return pg_escape_string($str);
}

// 権限管理
require_once('ti_auth.inc');
// ＤＢアクセス管理
require_once('ti_db.inc');
// パラメタ
require_once("ti_local.inc");
// 使用頻度の高い関数群
require_once("ti_funcs.inc");
// セッション開始
session_start();

// 起動パラメタ記録
if(isset($enable_start_param) && ($enable_start_param))
{
	if(isset($_REQUEST["pid"])){
		// プロジェクト
		$_SESSION["o_pid"] = $_REQUEST["pid"];
		if(isset($_REQUEST["bid"])){
			// 障害票
			$_SESSION["o_bid"] = $_REQUEST["bid"];
		}
		if(isset($_REQUEST["ckey"])){
			// 相談
			$_SESSION["o_ckey"] = $_REQUEST["ckey"];
		}
	}
}

// ログイン
$auth = new Ti_Auth();
// 権限判定用
$perm = new Ti_Perms($auth);

$g_maxrow = (isset($_SESSION["g_maxrow"])) ? $_SESSION["g_maxrow"] : 40;
$g_toppid = (isset($_SESSION["g_toppid"])) ? $_SESSION["g_toppid"] : -1;
?>
