<?php
/*
*	$id:ti_admin_proj_help.php (c)A.Ida 2017/3/10 15:37:31
*	テスト項目運用システム - プロジェクト管理説明
*/
include("ti_prepend.inc");
page_open(array("sess"=>"Ti_Session",
		"auth"=>"Ti_Auth",
		"perm"=>"Ti_Perm"));
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>
<link rel="STYLESHEET" href="tistyle.css" type="TEXT/CSS">
<title>TI-System - プロジェクト編集HELP</title>
</head>

<body class="help">
<font size="-1">
<p>
「プロジェクト」とはテスト項目群を管理する１つの単位です。<br>
スプレットシートでテスト項目一覧を作成した時の１シートが１プロジェクトであると考えてもらえればよいかと思います。<br>
ただし、本システムではプロジェクトを階層構造で管理できます。たとえば、
<ol type="1">
<li>第１階層で開発プロジェクト名
<li>第２階層でサブシステム名
<li>第３階層以降で機能名
</ol>
といったように管理することが可能です。
分析機能で進捗状況を確認するとき、自プロジェクトとその下位のプロジェクトの総計で見ることもできます。<br>
プロジェクトの中ではさらに分類を階層構造で持つことができます。<br>
プロジェクト、分類は共に９階層まで持てます。
</p>
<p>
「ラウンド」とはテスト項目群を一通り実施する作業の単位です。<br>
１度実施したテストを再度行いたい場合は「ラウンド完了」を実行します。これにより、全ての項目が未実施状態に戻ります。
ただし、前回実施した情報が失われるわけではありません。
「ツール」−「ファイル出力」の「項目」で取得できるＣＳＶファイルには前回の実施者、実施日、障害番号などが記録されています（当然ですが、ラウンド完了実行時点で未実施の項目には実績は残りません）。９ラウンドまで行うことができます。<br>
注意すべきは、担当別進捗の進捗率もゼロになることです。新しいラウンドを開始する直前に実行しましょう。<br>
新しいラウンドに実績が無い（実施済み項目が無い）場合には、ラウンド完了を取り消すこともできます。
</p>
<p>
プロジェクトを完了させると、そのプロジェクトは次の一覧に表示されなくなります。
<ul>
<li>プロジェクト一覧。よって、「実施」「作成」「分析」「障害発行」などができません。
<li>プロジェクト編集
<li>ラウンド完了
<li>ファイル出力
<li>ファイル読込
</ul>
親プロジェクト、参照プロジェクトの候補としては残ります。また、障害回答も可能です。<br>
プロジェクト完了は取り消すこともできます。
</p>
</font>
</body>
</html>
<?php
  page_close();
?>

