<?php
/*
*	$id:ti_ans_conv_view.php (c)A.Ida 2017/3/10 15:37:31
*	テスト項目運用システム - 相談一覧
*/
include("ti_prepend.inc");
page_open(array("sess"=>"Ti_Session",
		"auth"=>"Ti_Auth",
		"perm"=>"Ti_Perm"));
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>
<link rel="STYLESHEET" href="tistyle.css" type="TEXT/CSS">
<SCRIPT type="text/javascript" src="ti_lstCtrl.js"></script>
<SCRIPT Language="JavaScript">
<!--
function toConv(pid,iid,bid){
	var win = window.open('<?php $sess->purl("ti_wr_conv_view.php?dmy=0"); ?>&pid=' + pid + '&iid=' + iid + '&bid=' + bid, 'conv');
	win.focus();
};
function toAns(ckey){
	var win = window.open('<?php $sess->purl("ti_wr_conv_view.php?dmy=0"); ?>&ckey=' + ckey, 'conv');
	win.focus();
};
function pgmove(dir,row){
	window.open('<?php $sess->purl("ti_ans_conv_view.php?dmy=0"); ?>&dir=' + dir + '&strow=' + row, '_self');
};
// -->
</SCRIPT>
<title>テスト項目運用システム - 相談一覧</title>
</head>

<body class="fit">

<?php
function toClmData($db_, $clmname){
	$res = nl2br(htmlspecialchars($db_->f($clmname),0));
	if($res == ""){
		$res = "&nbsp;";
	}
	return $res;
}

$req = new ti_request();
include("ti_convsdef.inc");

$db = new DB_Ti(true);
include("ti_pages_1.inc");

$str = "表題";
if($g_target == 2){
	$str = "最新表題";
}
?>

<form name="frmAnsConvView" target="conv" method="POST" action="<?php $sess->purl("ti_wr_conv_view.php"); ?>">
<table>
<tr><td colspan="2">
<table class="view" cellspacing="0">
<tr>
<th nowrap><font size="-1">項番</font></th>
<th nowrap><font size="-1">種別</font></th>
<th nowrap><font size="-1">プロジェクト名</font></th>
<?php printf("<th nowrap><font size='-1'>%s</font></th>\n",$str); ?>
<th nowrap><font size="-1">発言</font></th>
<th nowrap><font size="-1">担当</font></th>
<th nowrap><font size="-1">回答期限</font></th>
</tr>
<?php
$sSql  = "SELECT C.*,";
$sSql .= " get_fullpname(C.npid,'') AS pname_f,";
$sSql .= " toUName(C.cid) AS utter,";
$sSql .= " toUName(C.cid_a) AS charge,";
$sSql .= " TO_CHAR(C.dterm,'YYYY/MM/DD') AS cterm";
$sSql .= " FROM vconvers C";
$sSql .= " WHERE ";
// 対象
switch($g_target){
case 1:	// 未回答分
	$sSql .= sprintf("C.cid_a = '%s' AND C.nans IS null ", $auth->auth["uname"]);
	break;
case 2:	// 未読分
	$sSql .= sprintf("C.cuid = '%s' AND C.dread IS null AND C.cid != '%s' ", $auth->auth["uname"], $auth->auth["uname"]);
	break;
default:// 最新発言
	$sSql .= sprintf("C.nckey IN (SELECT max(nckey) FROM tconvers WHERE npid IN (SELECT npid FROM tpmember WHERE cid = '%s') GROUP BY npid, niid, nbid)", $auth->auth["uname"]);
	break;
}
// 第１階層プロジェクト
if($g_proj == 1){
	if(isset($g_toppid) && ($g_toppid != -1)){
		// 配下プロジェクト取得
		$sSql2 = sprintf("SELECT get_children(%d,'') AS chdr", $g_toppid);
		$db->query($sSql2);
		$db->next_record();
		if(strlen($db->f("chdr")) == 0){
			$projs = sprintf("%d", $g_toppid);
		}else{
			$projs = sprintf("%d, %s", $g_toppid, $db->f("chdr"));
		}
		$sSql .= sprintf(" AND C.npid IN (%s) ", $projs);
	}
}
// ソート
$sSql .= " ORDER BY C.nckey DESC";
// SQL実行 -------------------
$db->query($sSql);
$db->seek($strow);
$i = $strow + 1;
// テーブル作成ループ ---------
$today = date("Y/m/d");
while($db->next_record()){
	$even = "odd";
	if($i%2 == 0){
		$even = "even";
	}
	printf("<tr class=%s id=r%d onMouseOver='ovrColor(%d);' onMouseOut='outColor(%d);'>\n",$even, $i, $i, $i);
	// 項番
	$sclass = "caption";
	switch($g_target){
	case 1:	// 未回答分
		// 期限により背景色変更あり。toAns使用
		if($db->f("cterm") < $today){
			$sclass = "alert";
		}else if($db->f("cterm") == $today){
			$sclass = "warn";
		}
		printf("<td class=\"bd %s\" align=\"right\"><font size=\"-1\"><input type=\"button\" value=\"%03d\" onClick=\"toAns(%d);\"></font></td>\n", $sclass, $i, $db->f("nckey"));
		break;
	default: // 未読分 or 発言全部屋
		// 背景色変更なし。toConv使用
		printf("<td class=\"bd %s\" align=\"right\"><font size=\"-1\"><input type=\"button\" value=\"%03d\" onClick=\"toConv(%d,%d,%d);\"></font></td>\n", $sclass, $i, $db->f("npid"),$db->f("niid"),$db->f("nbid"));
		break;
	}
	// 種別
	$str = "全般";
	if($db->f("nbid") > 0){
		$str = "障害";
	}else if($db->f("niid") > 0){
		$str = "項目";
	}
	printf("<td class=\"bd view\"><font size=\"-1\">%s</font></td>\n", $str);
	// プロジェクト名
	printf("<td class=\"bd view\"><font size=\"-1\">%s</font></td>\n", toClmData($db,"pname_f"));
	// 表題
	printf("<td class=\"bd view\"><font size=\"-1\">%s</font></td>\n", toClmData($db,"csubj"));
	// 発言者
	printf("<td class=\"bd view\"><font size=\"-1\">%s</font></td>\n", toClmData($db,"utter"));
	// 回答担当
	printf("<td class=\"bd view\"><font size=\"-1\">%s</font></td>\n", toClmData($db,"charge"));
	// 回答期限
	printf("<td class=\"bd view\"><font size=\"-1\">%s</font></td>\n", toClmData($db,"cterm"));
	print("</tr>\n");
	
	$i++;
	if($g_maxrow > 0){
		if($i - $strow > $g_maxrow){
			break;
		}
	}
}
?>
</table>
</td></tr>
<?php include("ti_pages_2.inc"); ?>
</table>

<p class="caption"><font size="-1">
<?php if($i == 1): ?>
検索条件にあう発言はありません。
<?php else: ?>
項番のボタンを押すことで相談室の画面が開きます。
<?php endif; ?>
</font></p>
</form>
</body>
</html>
<?php
  page_close();
?>

