<?php
/*
*	$id:ti_attach.php (c)A.Ida 2017/3/10 15:37:30
*	テスト項目運用システム - 添付ファイル選択
*/
include("ti_prepend.inc");
page_open(array("sess"=>"Ti_Session",
		"auth"=>"Ti_Auth",
		"perm"=>"Ti_Perm"));
require_once("ti_atfuncs.inc");
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>
<link rel="STYLESHEET" href="tistyle.css" type="TEXT/CSS">
<SCRIPT Language="JavaScript">
<!--
// -->
</SCRIPT>
<title>テスト項目運用システム - 添付資料選択</title>
</head>

<body class="fit">
<div align="center">
<?php
$req = new ti_request();
$g_atpid = $req->getSessCheck("g_atpid");
$g_atkind = $req->getSessCheck("g_atkind");
//$g_atiid = $req->getSess("g_atiid", -1);
$g_atiids = $req->getSess("g_atiids", array());

$db = new DB_Ti;
$db2 = new DB_Ti;
$atf = new ti_atfuncs;

// 一覧対象プロジェクト番号取得（上位プロジェクト群のＣＳＶ）
$sSql = sprintf("SELECT get_Parents(%d, '%d') AS parents", $g_atpid, $g_atpid);
$db->query($sSql);
$db->next_record();
$pids = $db->f("parents");

// アップロード済みファイル一覧
$sSql = "SELECT nattach, nadd, cfname, ccmnt, cid, npid ";
$sSql .= "FROM tattach ";
$sSql .= sprintf("WHERE npid IN (%s) ", $pids);
$sSql .= "AND cfname is NOT NULL ";		// 実体のみを対象
$sSql .= "AND ckind = 'C' AND niid = 0 ";	// 現版では固定
$sSql .= "ORDER BY npid, nadd";
$db->query($sSql);
?>
<table border="0" width="98%">
<tr><td>
登録済み添付資料一覧
</td><td align="right">
<form name="frmAttach" method="POST" action="<?php $sess->purl('ti_attach_act.php'); ?>" enctype="multipart/form-data">
<input type="submit" name="setat" value="　保　存　">
</td></tr>
<tr><td colspan="2">
<table class="view" cellspacing="0" width="100%">
<tr><th width="1%">選</th><th>ファイル名</th><th>コメント</th></tr>
<?php
switch($g_atkind){
case "I":	// 項目
case "A":	// 障害
case "B":
	$iids = implode(", ", $g_atiids);
	break;
default:	// 共通、プロジェクト
	$iids = 0;	// niidは0固定
	break;
}
while($db->next_record()){
	// リンク済み確認
	$sSql = "SELECT * FROM tattach WHERE cfname is NULL ";
	$sSql .= sprintf("AND npid = %d AND ckind = '%s' AND niid IN (%s) ", $g_atpid, $g_atkind, $iids);
	$sSql .= sprintf("AND nattach_s = %d ", $db->f("nattach"));
	$db2->query($sSql);
	if($db2->next_record()){
		$chk = " CHECKED";
	}else{
		$chk = "";
	}
	// 選
	printf("<tr><td class='bd view'><input type=\"checkbox\" name=\"ck[]\" value=\"%d\"%s></td>\n", $db->f("nattach"), $chk);

	// フルパス生成
	$path = sprintf("%s/%d/%s", $c_attach, $db->f("npid"), $atf->get_urlfname($db));
	// ファイル名
	printf("<td class='bd view'><a href='%s' target='_blank'>%s</a></td>\n", $path, $db->f("cfname"));
	// コメント
	$cmnt = nul2sp(htmlspecialchars($db->f("ccmnt"),0));
	printf("<td class='bd view'>%s</td></tr>\n", $cmnt);
}
?>
</table>
</td></tr>
<tr><td>
<?php if (!isset($path)): ?>
<p class="warn">登録された添付資料はありません。</p>
<?php endif; ?>
<font size="-1">
自プロジェクト及び上位プロジェクトに登録されている添付資料の一覧です。<br>
</td></tr>
<tr><td>
<?php
switch($g_atkind){
case "I":
	if(count($g_atiids) > 1){
		print("選択した項目の内１つでも選択されていれば初期状態で「選」がチェックされています。<br>\n");
	}
	print("「選」でチェックして[保存]ボタンを押すと実施画面でリンクが表示されるようになります。<br>\n");
	break;
case "A":
case "B":
	print("「選」でチェックして[保存]ボタンを押すと初期表示される「一覧」の画面にリストされます。<br>\n");

}
?>
</font>
</td></tr>
</table>
</div>
</body>
</html>
<?php
  page_close();
?>

