<?php
/*
*	$id:ti_attach_act.php (c)A.Ida 2017/3/10 15:37:31
*	テスト項目運用システム - 添付資料（実行部）
*/
include("ti_prepend.inc");
//include("jcode.phps");
page_open(array("sess"=>"Ti_Session",
		"auth"=>"Ti_Auth",
		"perm"=>"Ti_Perm"));
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>
<link rel="STYLESHEET" href="tistyle.css" type="TEXT/CSS">
<title>ti-system 添付資料実行</title>
</head>

<body class="act">

<div alogn="center">
<br>
<?php
$req = new ti_request();
$g_atpid = $req->getSessCheck("g_atpid");
$g_atkind = $req->getSessCheck("g_atkind");
$g_atiids = $req->getSessCheck("g_atiids");
$ck = $req->getReqCheck("ck");

$db = new DB_Ti;

$iids = implode(", ", $g_atiids);

$db->query("BEGIN");
// 設定済み情報を削除
$sSql = "DELETE FROM tattach WHERE ";
$sSql .= sprintf("npid = %d AND ckind = '%s' AND niid IN (%s) AND cfname is NULL", $g_atpid, $g_atkind, $iids);
$res = $db->query($sSql);
if($res){
	// 新規設定
	for($i=0; $i<count($g_atiids); $i++){
		for($nadd=0; $nadd<count($ck); $nadd++){
			// nattach取得
			$db->query("SELECT nextval('satid') AS atid");
			$db->next_record();
			$atid = $db->f("atid");
			// 追加
			$sSql = "INSERT INTO tattach (nattach, npid, ckind, niid, nadd, nattach_s) VALUES ";
			$sSql .= sprintf("(%d, %d, '%s', %d, %d, %d)", $atid, $g_atpid, $g_atkind, $g_atiids[$i], $nadd+1, $ck[$nadd]);
			$res = $db->query($sSql);
			if($res == FALSE){
				$errstr = "デ−タの変更に失敗しました。";
				break;
			}
		}
		if($res == FALSE){
			break;
		}
	}
}else{
	$errstr = "データの変更に失敗しました。";
}

if($res){
	print("<h3>添付資料のリンクを変更しました。</h3>\n");
	$db->query("COMMIT");
}else{
	printf("<p class=\"error\">%s</p>\n", $errstr);
	printf("<p class=\"dber\">%s</p>\n", $db->Error);
	$db->query("ROLLBACK");
}
?>
</div>
</body>
</html>
<?php
  page_close();
?>

