<?php
/*
*	$id:ti_dl_run.php (c)A.Ida 2017/3/10 15:37:30
*	テスト項目運用システム - ダウンロード（実績）
*	PHP3/PHP4共用
*/
include("ti_prepend.inc");
page_open(array("sess"=>"Ti_Session",
		"auth"=>"Ti_Auth",
		"perm"=>"Ti_Perm"));

$req = new ti_request();
$pid = $req->getReqCheck("pid");

header("Content-Type: application/octet-stream");
header("Content-Disposition: attachment; filename=dayfile_" . sprintf("%04d",$pid) . ".csv");

$cnv = new ti_jconv;
$db = new DB_Ti;

$db->query(sprintf("SELECT get_fullpname(%d,'') AS pname_f, to_char(sysdate(),'YYYY/MM/DD') AS cdate", $pid));
$db->next_record();
$str = sprintf("\"実績カレンダー（%s）　：　%s\"\r\n", $db->f("pname_f"), $db->f("cdate"));
print($cnv->to_sj($str));

// 配下プロジェクト取得
$sSql = sprintf("SELECT get_children(%d,'%d') AS chdr", $pid, $pid);
$db->query($sSql);
$db->next_record();
$projs = $db->f("chdr");

// 配列に設定（ti_ana_item_view.phpと共有）
require_once("ti_calen.inc");

// ヘッダ
$str = "\"日付\",\"消化項目数\",\"障害数\"\r\n";
print($cnv->to_sj($str));

// データ
while(list($key, $vary) = each($tary)){
	$str = sprintf("\"%s\",%d,%d\r\n", $key, $vary["rcnt"], $vary["bcnt"]);
	print($cnv->to_sj($str));
}
  page_close();
?>

