<?php
/*
*	$id:ti_en_round_ctrl.php (c)A.Ida 2017/3/10 15:37:30
*	テスト項目運用システム - ラウンド完了（一覧）
*/
include("ti_prepend.inc");
page_open(array("sess"=>"Ti_Session",
		"auth"=>"Ti_Auth",
		"perm"=>"Ti_Perm"));
$perm->check("leader");
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>
<link rel="STYLESHEET" href="tistyle.css" type="TEXT/CSS">
<SCRIPT type="text/javascript" src="ti_lstCtrl.js"></script>
<SCRIPT Language="JavaScript">
<!--
function jend(pid){
	window.open('<?php $sess->purl("ti_en_round_ctrl_2.php?act=en"); ?>&pid=' + pid, '_self');
}
function jrb(pid){
	window.open('<?php $sess->purl("ti_en_round_ctrl_2.php?act=rb"); ?>&pid=' + pid, '_self');
}
function pgmove(dir,row){
	window.open('<?php $sess->purl("ti_en_round_ctrl.php?dmy=0"); ?>&dir=' + dir + '&strow=' + row, '_self');
}
// -->
</SCRIPT>
<title>TI-System - ラウンド完了一覧</title>
</head>

<body class="fit">

<?php
$req = new ti_request();
$g_toppid = $req->getSess("g_toppid", -1);
$g_pid = $req->getSess("g_pid", -1);
$lic = new ti_lic();
$itm_id = $lic->chkItemId(2);

$db = new DB_Ti;
include("ti_pages_1.inc");

$sSql = "SELECT P.n1,P.n2,P.n3,P.n4,P.n5,P.n6,P.n7,P.n8,P.n9,";
$sSql .= "P.npid AS npid, toUName(P.cid) AS cmname, get_fullpname(P.npid, '') AS cpname_f, COALESCE(P.nround, 0) AS rnow, I.nround AS rmax ";
$sSql .= "FROM vproj P ";
$sSql .= "INNER JOIN (SELECT R.npid, MAX(R.nround) AS nround FROM tresult R GROUP BY R.npid) I ON I.npid = P.npid ";
    
if($auth->auth["uname"] == "admin"){
	$sSql .= "WHERE P.csucce IS null ";
}else{
	$sSql .= sprintf("LEFT JOIN tpmember M ON M.npid = P.npid AND M.cid = '%s' ", $auth->auth["uname"]);
	$sSql .= "WHERE P.csucce IS null ";
	$sSql .= sprintf("AND (P.cid = '%s' OR M.cid = '%s') ", $auth->auth["uname"], $auth->auth["uname"]);
}
if(isset($g_toppid) && ($g_toppid != -1)){
	$sSql .= sprintf("AND P.n1 = %d ", $g_toppid);
}
$sSql .= "ORDER BY P.n1 DESC,P.n2,P.n3,P.n4,P.n5,P.n6,P.n7,P.n8,P.n9,P.npid";
?>

<table border="0" cellspacing="0" cellpadding="0">
<tr><td colspan="2" nowrap>
<p class="caption">
ラウンドを変更させたいプロジェクトを選択してください。<br>
</p>
</td></tr>
<tr><td colspan="2">
<table class="view" cellspacing="0">
<tr>
<th nowrap><font size="-1">項番</font></th>
<th nowrap><font size="-1">操作</font></th>
<th nowrap><font size="-1">プロジェクト名</font></th>
<th nowrap><font size="-1">作成者</font></th>
<th nowrap><font size="-1">現ラウンド</font></th>
</tr><tr>

<?php
$db->query($sSql);
$db->seek($strow);
$row = $strow + 1;
while($db->next_record()){
	$even = "odd";
	$out = "outColor";
	if($g_pid == $db->f("npid")){
		$even = "cur";
		$out = "curColor";
	}else if($row%2 == 0){
		$even = "even";
	}
	printf("<tr class=%s id=r%d onMouseOver='ovrColor(%d);' onMouseOut='%s(%d);'>\n",$even, $row, $row, $out, $row);
	// 項番
	print("<td class=\"bd caption\">\n");
	printf("%04d\n", $itm_id ? $db->f("npid") : $row);
	// 操作
	print("</td><td class=\"bd view\">\n");
	if($db->f("rnow") >= $db->f("rmax")){
		if($db->f("rnow") > 0){
			printf("<input type=\"button\" name=\"RBRUND\" value=\"≪取消\" onClick=\"jrb(%d)\">\n", $db->f("npid"));
		}else{
			printf("&nbsp;\n");
		}
	}else{
		if($db->f("rnow") < 9){
			printf("<input type=\"button\" name=\"ENRUND\" value=\"完了≫\" onClick=\"jend(%d)\">\n", $db->f("npid"));
		}else{
			printf("&nbsp;\n");
		}
	}
	// プロジェクト名
	print("</td><td class=\"bd view\">\n");
	printf("<font size=\"-1\"><b>%s</b></font>\n", htmlspecialchars($db->f("cpname_f")));
	// 作成者
	print("</td><td class=\"bd view\">\n");
	printf("<font size=\"-1\">%s</font>\n", htmlspecialchars($db->f("cmname")));
	// 現ラウンド
	print("</td><td class=\"bd view\" align=\"right\">\n");
	printf("%d\n", $db->f("rnow")+1);
	print("</td></tr>\n");
	$row++;
	if($g_maxrow > 0){
		if($row - $strow > $g_maxrow){
			break;
		}
	}
}
?>
</table>
</td></tr>
<?php include("ti_pages_2.inc"); ?>
</table>

<p class="caption"><font size="-2">
作成者であるか、プロジェクトメンバに含まれている項目を持つプロジェクトが一覧されます。（adminの場合は全てが一覧されます。）<br>
「済」状態の項目が１件も無い２ラウンド目以降のプロジェクトは「完了」の代わりに「取消」が表示されます。<br>
注）「プロジェクト選択」の画面で指定した「第１層プロジェクト」「頁行数」はこの画面の一覧内容にも影響しています。
</font></p>
</body>
</html>
<?php
  page_close();
?>

