<?php
/*
*	$id:ti_ins_proj_ctrl.php (c)A.Ida 2017/3/10 15:37:30
*	テスト項目運用システム - プロジェクト作成（１画面目）
*/
include("ti_prepend.inc");
page_open(array("sess"=>"Ti_Session",
		"auth"=>"Ti_Auth",
		"perm"=>"Ti_Perm"));
$perm->check("leader");
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>
<link rel="STYLESHEET" href="tistyle.css" type="TEXT/CSS">
<SCRIPT type="text/javascript" src="ckForm.js"></script>
<SCRIPT Language="JavaScript">
<!--
function ckf(cForm){
	var parry = new Array(1,0);
	var narry = new Array(0,0);
	return(ckForm(cForm, parry, narry, ""));
};
function load(){
	document.frmSetProj.upid.focus();
};
// -->
</SCRIPT>
<title>TI-System - INS PROJ</title>
</head>

<body class="wiz" onload="load()">

<?php
$req = new ti_request();
$upid = $req->getReq("upid", -1);
$rpid = $req->getReq("rpid", -1);
$pname = $req->getReq("pname", "");
$rpkind = $req->getReq("rpkind", 1);
if(!isset($_REQUEST["upid"])){
	// 「戻る」移動でないので初期化
	$sess->unregister("g_cids");
}
$db = new DB_Ti(true);
$opt = new ti_mkOptions();
?>

<form name="frmSetProj" method="post" action="<?php $sess->purl("ti_ins_proj_ctrl_2.php"); ?>">
<p class="caption">プロジェクトを新規に追加します。</p>
<table class="form"><tr><td>
<table border="1" cellspacing="0" cellpadding="2">
<tr><td align="right" class="caption" nowrap>
上位プロジェクト
</td>
<td align="left">
<select name="upid">
<option value=\"0\">【ルート】</option>
<?php
$sSql =  "SELECT P.*, get_fullpname(P.nupid, P.cpname) AS cpname_f ";
if ($perm->have_perm("admin")){
	$sSql .= "FROM vproj P ";
}else{
	$sSql .= "FROM vproj P, tpmember M ";
	$sSql .= "WHERE P.npid = M.npid ";
	$sSql .= "AND M.cid = '" . $auth->auth["uname"] . "' ";
}
$sSql .= "ORDER BY n1, n2, n3, n4, n5, n6, n7, n8, n9";
$db->query($sSql);
print($opt->mkDBOpts($db, "cpname_f", "npid", $upid));
?>
</td></tr>
<tr><td align="right" class="caption" nowrap>
参照プロジェクト
</td><td>
<table cellspacing=0 cellpading=0>
<tr><td>
<select name="rpid">
<option value="-1">-- 参照しない --</option>
<?php
$db->seek(0);
print($opt->mkDBOpts($db, "cpname_f", "npid", $rpid));
?>
</select>
</td></tr><tr><td>
<?php
$cked1 = ($rpkind == 1) ? " checked" : "";
$cked2 = ($rpkind == 2) ? " checked" : ""; 
?>
<input id="rpkind_id1" type="radio" name="rpkind" value="1"<?php print($cked1); ?>><LABEL for="rpkind_id1">分類のみ</LABEL>
<input id="rpkind_id2" type="radio" name="rpkind" value="2"<?php print($cked2); ?>><LABEL for="rpkind_id2">すべて</LABEL>
</td></tr>
</table>
</td></tr>
<tr><td align="right" class="caption" nowrap>
プロジェクト名
</td>
<td align="left">
<input type="text" name="pname" size="50" maxlength="50" value="<?php print($pname); ?>">
</td></tr>
</table>
</td></tr><tr><td align="right">
<input type="button" name="next" value="次へ" onClick="ckf(document.frmSetProj)">
</table>
<p class="caption"><font size="-1">
第一階層のプロジェクトを作成する場合には「上位プロジェクト」に【ルート】を指定してください。<br>
上位プロジェクトにはログインユーザが作業メンバとして登録されているものだけが選択できます（adminを除く）。<br>
参照プロジェクトを指定しますと、指定したプロジェクトで定義された分類やテスト項目をコピーします。<br>
「分類のみ」の場合は分類だけ、「すべて」の場合は分類とテスト項目をコピーします。実績はコピーされません。<br>
次の画面でプロジェクトで作業するメンバを指定します。
</font></p>
</body>
</html>
<?php
  page_close();
?>

