<?php
/*
*	$id:ti_ins_proj_ctrl_2.php (c)A.Ida 2017/3/10 15:37:30
*	テスト項目運用システム - プロジェクト作成（２画面目）
*/
include("ti_prepend.inc");
page_open(array("sess"=>"Ti_Session",
		"auth"=>"Ti_Auth",
		"perm"=>"Ti_Perm"));
$perm->check("leader");
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>
<link rel="STYLESHEET" href="tistyle.css" type="TEXT/CSS">
<SCRIPT Languege="JavaScript">
<!--
function ckf(cForm){
	var max = cForm.elements.length;
	for(var j=0;j<max;j++){
		if(cForm.elements[j].type == "checkbox"){
			if(cForm.elements[j].checked){
				cForm.submit();
				return true;
			}
		}
	}
	alert("一人以上を選択してください。");
	return false;
};
function bkf(cForm){
	cForm.action = "<?php $sess->purl("ti_ins_proj_ctrl.php"); ?>";
	cForm.submit();
}
// -->
</SCRIPT>
<title>TI-System - INS PROJ MEMBER</title>
</head>

<body class="wiz">

<?php
$req = new ti_request();
$upid = $req->getReqCheck("upid");
$rpid = $req->getReqCheck("rpid");
$rpkind = $req->getReq("rpkind", 1);
$pname = $req->getReqCheck("pname");

$db = new DB_Ti(true);
$get = new ti_get($db);

// プロジェクト名重複チェック
$sSql = sprintf("SELECT * FROM tproj WHERE nupid = %d AND cpname = '%s'", $upid, a($pname));
$db->query($sSql);
$dup = $db->num_rows();
if($dup == 0){
	// 親プロジェクト名取得
	if($upid == 0){
		$upname_f = "【ルート】";
		$pname_f = htmlspecialchars($pname);
	}else{
		$upname_f = $get->fullPrjName($upid);
		$pname_f = $upname_f . " - " . htmlspecialchars($pname);
	}
	// 参照プロジェクト名取得
	if($rpid == -1){
		$rpname_f = "-- 参照せず --";
	}else{
		$rpname_f = $get->fullPrjName($rpid);
	}
	// メンバ候補取得
	if ($upid == 0){
		$sSql = "SELECT * FROM muser ";
	}else{
		$sSql = sprintf("SELECT * FROM vpmember WHERE npid = %d ", $upid);
	}
	$sSql .= "ORDER BY cid";
	$db->query($sSql);
}
if($dup == 0):
?>

<form name="frmMember" method="post" action="<?php $sess->purl("ti_ins_proj_ctrl_conf.php"); ?>">
<?php
printf("<input type=\"hidden\" name=\"upname_f\" value=\"%s\">\n", htmlspecialchars($upname_f));
printf("<input type=\"hidden\" name=\"rpname_f\" value=\"%s\">\n", htmlspecialchars($rpname_f));
printf("<input type=\"hidden\" name=\"upid\" value=\"%d\">\n", $upid);
printf("<input type=\"hidden\" name=\"rpid\" value=\"%d\">\n", $rpid);
printf("<input type=\"hidden\" name=\"rpkind\" value=\"%d\">\n", $rpkind);
printf("<input type=\"hidden\" name=\"pname\" value=\"%s\">\n", htmlspecialchars($pname));

?>
<table class="form">
<tr><td>
<h2 class="proj">
プロジェクトメンバ選択：<?php print($pname_f); ?>
</h2>
</td></tr><tr><td>
<table border="1" cellspacing="0" cellpadding="2">
<?php
$i = 0;
$rnum = 5;
while ($db->next_record()){
	if( $i%$rnum == 0 ){
		print("<tr>");
	}
	print("<td bgcolor=\"aliceblue\">\n<input type=\"checkbox\" ");
	if($sess->is_registered("g_cids")){
		// [戻る]で移動された場合の再現処理
		if(in_array($db->f("cid"), $_SESSION["g_cids"])){
			print("checked ");
		}
	}else if($upid != 0){
		// ２層目以降は全てONがデフォルト
		print("checked ");
	}
	printf("name=\"%04d\" id=\"%04d_id\" value=\"%s\"><LABEL for=\"%04d_id\">%s</LABEL></td>\n",$i,$i,$db->f("cid"),$i,htmlspecialchars($db->f("cname")));
	if( $i%$rnum == ($rnum-1) ){
		print("</tr>");
	}
	$i++;
}
if( $i%$rnum != ($rnum-1) ){
	print("</tr>");
}
printf("<input type=\"hidden\" name=\"fullmnum\" value=\"%d\">", $i);
?>
</table>
</td></tr><tr><td align="right">
<input type="button" name="back" value="戻る" onClick="bkf(document.frmMember)">
<input type="button" name="next" value="次へ" onClick="ckf(document.frmMember)">
</td></tr>
</table>
</form>	 
<p class="caption"><font size="-1">
ここで選択したメンバは、下位のプロジェクトにも影響します。<br>
すなわちこのプロジェクトの配下に作成するプロジェクトのメンバには、ここで選択したメンバのみが指定できます。
</font></p>


<?php else: ?>
<div align="center">
<p class="error">
<br>
同一プロジェクトが既に登録されています。
</p>
</div>
<?php
endif;
?>
</body>
</html>
<?php
  page_close();
?>

