<?php
/*
*	$id:ti_ins_user_ctrl.php (c)A.Ida 2017/3/10 15:37:30
*	テスト項目運用システム - ユーザ追加
*/
include("ti_prepend.inc");
page_open(array("sess"=>"Ti_Session",
		"auth"=>"Ti_Auth",
		"perm"=>"Ti_Perm"));
$perm->check("admin");
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>
<link rel="STYLESHEET" href="tistyle.css" type="TEXT/CSS">
<SCRIPT type="text/javascript" src="ckForm.js"></script>
<SCRIPT Language="JavaScript">
<!--
function ckf(cForm){
	var parry = new Array(17,17,1,0);
	var narry = new Array(0,0,0,0);
	return(ckForm(cForm, parry, narry, ""));
};
function cken(cForm, val){
	var res = true;
	if(val.indexOf('@',1) > 0){
		res = false;
	}
	cForm.mbug.disabled = res;
	cForm.mconv.disabled = res;
};
function load(){
	document.frmInsUser.tester_id.focus();
};
// -->
</SCRIPT>
<title>TI-System - ユーザ追加</title>
</head>

<body class="wiz" onload="load()">

<?php
$db = new DB_Ti;
?>

<form name="frmInsUser" method="post" action="<?php $sess->purl("ti_ins_user_ctrl_act.php"); ?>">
<p class="caption">ユーザを新規に追加します。</p>
<table class="form"><tr><td>
<table border="1" cellspacing="0" cellpadding="2">
<tr><td align="right" class="caption" nowrap>
権限レベル
</td><td align="left">
<?php
while(list($a, $t) = each($c_aary)){
	if($a == "tester"){
		$c = "checked ";
	}else{
		$c = "";
	}
	printf("<input id=\"%s_id\" type=\"radio\" name=\"uauth\" %s value=\"%s\"><LABEL for=\"%s_id\">%s</LABEL>\n", $a, $c, $a, $a, $t);
	print("&nbsp;\n");
}
?>
</td></tr>
<tr><td align="right" class="caption" nowrap>
ユーザＩＤ（半角英数）
</td><td align="left">
<input type="text" name="id" size="32" maxlength="32" style="ime-mode:disabled;">
</td></tr>
<tr><td align="right" class="caption" nowrap>
パスワード（半角英数）
</td><td align="left">
<input type="password" name="passwd" size="32" maxlength="32">
</td></tr>
<tr><td align="right" class="caption" nowrap>
ユーザ名称（全角可）
</td><td align="left">
<input type="text" name="uname" size="40" maxlength="40">
</td></tr>
<!--
<tr><td align="right" class="caption" nowrap>
Ｅ−Ｍａｉｌ：
</td><td align="left">
<input type="text" name="email" size="40" maxlength="64" style="ime-mode:disabled;" onBlur="cken(document.frmInsUser, this.value);"><br>
<input type="checkbox" name="mbug" value=1 disabled>障害票発信許可
<br>
<input type="checkbox" name="mconv" value=1 disabled>相談発信許可
</td></tr>
-->
</table>
</td></tr><tr><td align="right">
<input type="button" name="insuser" value="確定" onClick="ckf(document.frmInsUser)">
</td></tr>
</table>
<p class="caption"><font size="-2">
権限レベル：<br>
<table border="0" cellpadding=0 cellspacing="0">
<tr><td class="help" nowrap>
一般
</td><td class="help">
：
</td><td class="help">
テスト項目の作成・実施・分析、障害の発行・回答等の一連の作業を行えます。
</td></tr>
<tr><td nowrap class="help">
リーダ
</td><td class="help">
：
</td><td class="help">
一般で行える作業に加え、プロジェクト管理を行えます。
</td></tr>
<tr><td nowrap class="help">
管理者
</td><td class="help">
：
</td><td class="help">
リーダで行える作業に加え、ユーザ管理が行えます。
</td></tr>
<tr><td class="help">
admin
</td><td class="help">
：
</td><td class="help">
最初から登録されているユーザです。管理者の中でも特別扱いです。他の管理者のユーザ情報を変更したり、メンバに属さないプロジェクトを操作したりできます。
</td></tr>
</table>
</font></p>
</form>

</body>
</html>
<?php
  page_close();
?>

