<?php
/*
*	$id:ti_ins_user_ctrl_act.php (c)A.Ida 2017/3/10 15:37:30
*	テスト項目運用システム - ユーザ追加（実行部）
*/
include("ti_prepend.inc");
page_open(array("sess"=>"Ti_Session",
		"auth"=>"Ti_Auth",
		"perm"=>"Ti_Perm"));
$perm->check("admin");
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<link rel="STYLESHEET" href="tistyle.css" type="TEXT/CSS">
<html>
<head>
<title>TI-System - ユーザ追加 実行</title>
</head>

<body class="act">
<div align="center">
<?php
$req = new ti_request();
$uauth = $req->getReqCheck("uauth"); 
$id = $req->getReqCheck("id");
$passwd = $req->getReqCheck("passwd");
$uname = $req->getReqCheck("uname");

$db = new DB_Ti;
$db->Halt_On_Error = "no";

$epass = md5($passwd);
$user_id = md5(uniqid("ti_"));
$db->query("BEGIN");
$sSql = sprintf("INSERT INTO auth_user_md5 VALUES ('%s', '%s', '%s', '%s')", $user_id, $id, $epass, $uauth);
$ret = $db->query($sSql);
if($ret){
	$sSql = sprintf("INSERT INTO muser (cid, cname, dlogin) VALUES ('%s', '%s', NULL)", $id, $uname);
	$ret = $db->query($sSql);
}
if($ret){
	print("<h3>登録が完了しました。</h3>");
	$db->query("END");
}else{
	print("<p class=\"error\">登録に失敗しました。</p>\n<p class=\"dber\">");
	if( $db->isDupeError() ){
		print("既に同一ＩＤのユーザが登録されています。\n");
	}else{
		printf("Errno:%d\n%s\n", $db->Errno, $db->Error);
	}
	print("</p>\n");
	$db->query("ROLLBACK");
}
?>
</div>
</body>
</html>
<?php
  page_close();
?>

