<?php
/*
*	$id:ti_link.php (c)A.Ida 2017/3/10 15:37:30
*	テスト項目運用システム - 添付資料リンク
*/
include("ti_prepend.inc");
page_open(array("sess"=>"Ti_Session",
		"auth"=>"Ti_Auth",
		"perm"=>"Ti_Perm"));
require_once("ti_atfuncs.inc");
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>
<link rel="STYLESHEET" href="tistyle.css" type="TEXT/CSS">
<SCRIPT Language="JavaScript">
<!--
function jclose(){
	close();
};
// -->
</SCRIPT>
<title>テスト項目運用システム - 添付資料一覧</title>
</head>

<body class="fit">
<div align="center">
<?php
$req = new ti_request();
$g_atpid = $req->getSessCheck("g_atpid");
$g_atkind = $req->getSessCheck("g_atkind");
$g_atiids = $req->getSessCheck("g_atiids");
$g_mod = $req->getSessCheck("g_mod");

$db = new DB_Ti;
$atf = new ti_atfuncs;

$sSql = "SELECT B.npid, B.cfname, B.ccmnt FROM tattach A, tattach B ";
$sSql .= "WHERE A.nattach_s = B.nattach ";
$sSql .= sprintf("AND A.npid = %d AND A.ckind = '%s' AND A.niid = %d ", $g_atpid, $g_atkind, $g_atiids[0]);
$sSql .= "AND A.cfname is NULL ";
$sSql .= "ORDER BY B.NPID, A.NADD";
$db->query($sSql);
?>
<table border="0" width="100%">
<tr><td>
添付資料一覧
</td></tr>
<tr><td>
<table class="view" cellspacing="0" width="100%">
<tr><th>ファイル名</th><th>コメント</th></tr>
<?php
while($db->next_record()){
	// フルパス生成
	$path = sprintf("%s/%d/%s", $c_attach, $db->f("npid"), $atf->get_urlfname($db));
	// ファイル名
	printf("<td class='bd view'><a href='%s' target='_blank'>%s</a></td>\n", $path, $db->f("cfname"));
	// コメント
	$cmnt = nul2sp(htmlspecialchars($db->f("ccmnt"),0));
	printf("<td class='bd view'>%s</td></tr>\n", $cmnt);
}
?>
</table>
</td></tr>
<tr><td>
<?php if (!isset($path)): ?>
<p class="warn">選択された添付資料はありません。</p>
<?php endif; ?>
</td></tr>
<tr><td>
<font size="-1">
<?php
switch($g_atkind)
{
case "A":
case "B":
	print("障害の現象や原因などの説明に必要な資料が一覧されています。<br>\n");
	break;
case "P":	
	print("このプロジェクトのテストを行う前に一読しておくべき資料が一覧されています。<br>\n");
	break;
}
?>
<?php if($g_mod == "all"): ?>
既に登録されている資料を追加したい場合は「選択」画面で資料を選択します。<br>
新規に登録したい場合は「新規登録・更新」でアップロードします。
<?php endif; ?>
</font>
</td></tr>
</table>
</div>
</body>
</html>
<?php
  page_close();
?>

