<?php
/*
*	$id:ti_mak_item_ctrl_act.php (c)A.Ida 2017/3/10 15:37:31
*	テスト項目運用システム - 項目作成フォームと実行
*/
include("ti_prepend.inc");
page_open(array("sess"=>"Ti_Session",
		"auth"=>"Ti_Auth",
		"perm"=>"Ti_Perm"));
$perm->check("tester");
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>
<link rel="STYLESHEET" href="tistyle.css" type="TEXT/CSS">
<SCRIPT type="text/javascript" src="ckForm.js"></script>
<SCRIPT Language="JavaScript">
<!--
function ckCls(cForm, flg){
	var parry, narry;
	if(flg == 'rename'){
		if(cForm.ucid.value == 0){
			alert("【ルート】は指定できません。");
			return false;
		}
	}
	cForm.cflg.value = flg;
	if((flg == 'make') || (flg == 'rename')){
		parry = new Array(1,0);
	}else if(flg == 'del'){
		parry = new Array(0,0);
	}
	narry = new Array(0,0);
	return(ckForm(cForm, parry, narry, ""));
};
function fckck(cForm){
	var max = cForm.elements.length;
	var ck=0;
	var rd=0;
	for(var j=0;j<max;j++){
		if(cForm.elements[j].type == 'checkbox'){
			if(cForm.elements[j].checked){
				ck++;
			}
		}else if(cForm.elements[j].type == 'radio'){
			if(cForm.elements[j].checked){
				rd++;
			}
		}
	}
	if((ck > 0) && (rd > 0)){
		cForm.bmovcls.disabled = false;
	}else{
		cForm.bmovcls.disabled = true;
	}	
};
function ckCpClss(cForm){
	if(cForm.src_id.value == cForm.dis_id.value){
		alert("元と先に同じ分類は指定できません。");
		return false;
	}else{
		return true;
	}
};
function backhome(){
	window.open('<?php $sess->purl("ti_mak_item_ctrl.php"); ?>', 'item_ctrl');
};
function reView(){
	if(parent.item_btns.document.frmBtnsItem.ckauto.checked){
		parent.item_view.document.location.reload();
	}
};
function fclscp(cForm){
	cForm.action = "<?php $sess->purl("ti_mak_item_ctrl_act.php"); ?>";
	cForm.clscp.value = "1"
	cForm.submit();
};
function load(bflg){
	switch(bflg){
	case "class":
		document.frmMkCls.cclass.focus();
		break;
	case "cpclsitem":
		document.frmMkCls.src_id.focus();
		break;
	}
};
// -->
</SCRIPT>
<title>TI-System - 項目・分類編集実行部</title>
</head>

<?php
$req = new ti_request();
$g_pid = $req->getSessCheck("g_pid");
$bflg = $req->getReqCheck("bflg");
$clscp = $req->getReq("clscp", 0);
$g_iid = $req->getSess("g_iid", 0);
require_once("ti_g_item.inc");

$db = new DB_Ti(true);
require_once("ti_pname.inc");

?>

<body class="fit" onload="load('<?php print($bflg);?>')">

<?php if($bflg == "class"): ?>
<!-- 分類編集パート ============================================= -->
<form name="frmMkCls" method="post" action="<?php $sess->purl("ti_mak_class_act.php"); ?>">
<input type="hidden" name="bflg" value="class">
<input type="hidden" name="clscp" value="0">
<input type="hidden" name="cflg" value="0">
<table class="form" border="0"><tr><td>
<h2 class="proj">
分類編集：
<?php print(htmlspecialchars($g_pname)); ?>
</h2>
</td></tr><tr><td>
<table border="1" cellspacing="0" cellpadding="2">
<tr><td class="caption" nowrap>
対象分類
</td><td colspan="3"style="BORDER-RIGHT-WIDTH:0;">
<select name="ucid">
<?php
$sSql  = sprintf("SELECT *, get_fullcname(%d, nucid, cclass) AS ccname_f ", $g_pid);
$sSql .= "FROM vclass ";
$sSql .= sprintf("WHERE npid = %d ", $g_pid);
$sSql .= "ORDER BY o1, o2, o3, o4, o5, o6, o7, o8, o9";
$db->query($sSql);
$cls_f = "";
$cur_cid = $g_cid;
if(isset($_REQUEST["ucid"])){
	$cur_cid = $_REQUEST["ucid"];
}
print("<option value=\"0\">【ルート】</option>\n");
while($db->next_record()){
	if($db->f("ncid") == $cur_cid){
		$cked = " selected";
		$cls_f = $db->f("cclass");
	}else{
		$cked = "";
	}
	printf("<option value=\"%d\"%s>%s</option>\n", $db->f("ncid"), $cked, htmlspecialchars($db->f("ccname_f")));
}
?>
</select>
</td><td style="BORDER-LEFT-WIDTH:0;" align=right>
<input type="button" value="キャンセル" onClick="backhome();">
</td></tr>
<tr><td class="caption" colspan="3" align="center">
新規分類作成・変名
</td><td colspan=2 class="caption" align="center">
分類削除
</td></tr>
<tr><td colspan="3">
<!--<input type="text" name="cclass" size="40" maxlength="40" class="jp">-->
<TABLE border=0 cellpading=0 cellspacing=0><TR><TD>
<textarea name="cclass" cols=40 rows=2 wrap=hard style="height:36px;">
<?php if(isset($clscp) && $clscp == "1"){print $cls_f;} ?>
</textarea>
</TD><TD valign=top>
<input type="button" value="&lt;&lt対象分類コピー" onClick="fclscp(document.frmMkCls);">
</TD></TR></TABLE>
</td><td rowspan="2" valign=top colspan=2 style="BORDER-BOTTOM-WIDTH:0;">
<p class="caption">
対象分類を削除します。<br>
既に項目が登録されている場合や下位分類を持つものは削除できません。
</p>
</td></tr>
<tr><td colspan="2" valign=top width="38%" style="BORDER-BOTTOM-WIDTH:0;">
<p class="caption">
対象分類の下位に新分類を作成します。
分類01を作成する場合には対象分類に【ルート】を指定します。
</p>
</td><td valign=top width="38%" style="BORDER-BOTTOM-WIDTH:0;">
<p class="caption">
対象分類の名前を上記の内容に変名します。
対象分類に【ルート】は指定できません。
</p>
</td></tr>
<tr><td colspan="2" align="center" style="BORDER-TOP-WIDTH:0;">
<input type="button" value="作成" onClick="ckCls(document.frmMkCls,'make');">
</td><td align="center" style="BORDER-TOP-WIDTH:0;">
<input type="button" value="変名" onClick="ckCls(document.frmMkCls,'rename');">
</td><td colspan=2 align="center" style="BORDER-TOP-WIDTH:0;">
<input type="button" value="削除" onClick="ckCls(document.frmMkCls,'del');">
</td></tr>
</table>
</td></tr>
</table>

<!-- 分類の移動パート add v0.2 ============================================= -->
<?php elseif($bflg == "movcls"): ?>
<?php
// 分類の最大階層決定
$sSql = sprintf("SELECT MAX(cntClass(npid,ncid,0)) AS ccnt from tclass WHERE npid = %d", $g_pid);
$db->query($sSql);
$db->next_record();
$ccnt = $db->f("ccnt");
?>
<form name="frmMovClass" method="POST" action="<?php $sess->purl("ti_mov_class_act.php");?>">
<table><tr>
<td align="right">
<input type="submit" name="bmovcls" value="移動" disabled>
<input type="button" value="キャンセル" onClick="backhome();">
</td><tr>
<tr><td>
<table class="view" cellspacing="0">
<tr>
<th nowrap><font size="-1">項番</font></th>
<th nowrap><font size="-1">選</font></th>
<th nowrap><font size="-1">先</font></th>
<?php
for($c=0;$c<$ccnt;$c++){
	printf("<th nowrap><font size=\"-1\">分類%02d</font></th>\n", $c+1);
}
?>
</tr>
<?php
$sSql  = "SELECT * FROM vclass ";
$sSql .= sprintf("WHERE npid = %d ", $g_pid);
$sSql .= "ORDER BY o1, o2, o3, o4, o5, o6, o7, o8, o9";
$db->query($sSql);
// 分類のrowspan決定処理
for($c=1; $c<=$ccnt;$c++){
        $fwd_id[$c] = -1;
        $spn_cnt[$c][0] = 0;    // 行番号
        $spn_cnt[$c][1] = 1;    // １行目のrowspan初期値
}
while($db->next_record()){
        $cgflg = 0;             // 上位の分類が変化したら下位も無条件に区切る(for nid == 0)
        for($c=1; $c<=$ccnt;$c++){
                $nno = sprintf("n%d", $c);
                if(($fwd_id[$c] == $db->f($nno)) && ($cgflg == 0)){
                        // 変化が無いのでカウントアップ
                        $spn_cnt[$c][$spn_cnt[$c][0]]++;
                }else{
                        // 自分又は親分類が変化した
                        $cgflg = 1;
                        $fwd_id[$c] = $db->f($nno);     // 変化後のnid保存
                        $spn_cnt[$c][0]++;
                        $spn_cnt[$c][$spn_cnt[$c][0]] = 1;
                }
        }
}
// ここから
$db->seek(0);

for($c=1; $c<=$ccnt; $c++){
        $fwd_id[$c] = -1;
        $spn_cnt[$c][0] = 1;
}
$i = 1;
while($db->next_record()){
	print("<tr>\n");
	// 項番
	printf("<td class=\"bd caption\" align=\"right\"><font size=\"-1\">%03d</font></td>\n", $i);
	// 選
	printf("<td class=\"bd view\"><input type=\"checkbox\" name=\"ck[]\" value=\"%d\" onClick=\"fckck(document.frmMovClass)\"></td>\n", $db->f("ncid"));
	// 先
	printf("<td class=\"bd view\"><input type=\"radio\" name=\"dis\" value=\"%d\" onClick=\"fckck(document.frmMovClass)\"></td>\n", $db->f("ncid"));
	// 分類XX
	$cgflg = 0;
	for($c=1; $c<=$ccnt; $c++){
		$nno = sprintf("n%d", $c);
		if(($fwd_id[$c] != $db->f($nno)) || ($cgflg == 1)){
			// 自分又は親分類が変化した
			$cgflg = 1;
			$cno = sprintf("c%d", $c);
			$cstr = $db->f($cno);
			if(strlen($cstr) == 0){
				$cstr = "-";
				$align = "center";
			}else{
				$align = "left";
			}
			printf("<td class=\"bd cls\" rowspan=\"%d\" align=\"%s\"><font size=\"-1\">%s</font></td>\n", $spn_cnt[$c][$spn_cnt[$c][0]], $align, htmlspecialchars($cstr));
			$spn_cnt[$c][0]++;
			$fwd_id[$c] = $db->f($nno);
		}
	}
	print("</tr>\n");
	$i++;
}
?>
</table>
</td></tr>
</table>
</form>

<?php elseif($bflg == "cpclsitem"): ?>
<!-- 分類項目複写パート add V0.3.1 ================================== -->
<form name="frmCpClsItem" method="post" action="<?php $sess->purl("ti_cp_clsitem_act.php"); ?>" onSubmit="return ckCpClss(document.frmCpClsItem)">
<table class="form" border="0"><tr><td>
<h2 class="proj">
分類項目複写：
<?php print(htmlspecialchars($g_pname)); ?>
</h2>
</td></tr><tr><td>
<table border="1" cellspacing="0" cellpadding="2">
<tr><td colspan="2">
<p class="caption"><font size="-2">
複写元分類の直下にある項目を複写先分類の項目としてコピーします。<br>
同内容の操作が既存しても追加してしまいます。
</font></p>
</td></tr>
<tr><td class="caption" nowrap>
複写元分類
</td><td width="100%">
<select name="src_id">
<?php
$sSql  = sprintf("SELECT *, get_fullcname(%d, nucid, cclass) AS ccname_f ", $g_pid);
$sSql .= "FROM vclass ";
$sSql .= sprintf("WHERE npid = %d ", $g_pid);
$sSql .= "ORDER BY o1, o2, o3, o4, o5, o6, o7, o8, o9";
$db->query($sSql);
$sOptions = "";
while($db->next_record()){
	if($db->f("ncid") == $g_cid){
		$cked = " selected";
	}else{
		$cked = "";
	}
	$sOptions .= sprintf("<option value=\"%d\"%s>%s\n", $db->f("ncid"), $cked, htmlspecialchars($db->f("ccname_f")));
}
print($sOptions);
?>
</select>
</td></tr>
<tr><td class="caption" nowrap>
複写先分類
</td><td>
<select name="dis_id">
<?php print($sOptions); ?>
</select>
</td></tr>
</table>
<tr><td align="right">
<input type="submit" value="実行">
<input type="button" value="キャンセル" onClick="backhome();">
</td></tr>
</table>


<!-- 項目の一括更新パート ============================================= -->
<?php elseif($bflg == "lump"): ?>
<?php
$g_iids = $req->getSessCheck("g_iids");
$istr = implode(", ", $g_iids);
$sSql  = "UPDATE titem SET ";
$sSql2 = "";
if($cls != -1){
	$sSql2 .= sprintf("ncid = %d, ", $cls);
}
if(strlen($charge1) > 0){
	$sSql2 .= sprintf("cid = '%s', ", $charge1);
}
if(strlen($charge2) > 0){
	$sSql2 .= sprintf("cid2 = '%s', ", $charge2);
}
if($simp != -1){
	$sSql2 .= sprintf("nimp = %d, ", $simp);
}
if($sdif != -1){
	$sSql2 .= sprintf("ndif = %d, ", $sdif);
}
//if(($g_year != "----") && ($g_month != "--") && ($g_day != "--")){
if(($syear > 0) && ($smonth > 0) && ($sday > 0)){
	$sSql2 .= sprintf("dplan = to_date('%04d/%02d/%02d', 'YYYY/MM/DD'), ", $syear, $smonth, $sday);
}
// 最後の, を削除して結合
if(strlen($sSql2)){
	$sSql .= substr($sSql2, 0, strrpos($sSql2, ","));
	$sSql .= sprintf(" WHERE npid = %d AND niid in (%s)", $g_pid, $istr);
	$ret = $db->query($sSql);
}else{
	$ret = true;	// 変更点なし
}

// 置換 add V0.3.1
if($ret){
	if(strlen($prestr) > 0){
		$db2 = new DB_Ti;
		$sSql = sprintf("SELECT * FROM titem WHERE npid = %d AND niid in (%s)", $g_pid, $istr);
		$db->query($sSql);
		$sope = "";
		$sexp = "";
		while($db->next_record()){
			$sope = str_replace($prestr,$aftstr,$db->f("cope"));
			$sexp = str_replace($prestr,$aftstr,$db->f("cexp"));
			$sSql = sprintf("UPDATE titem SET cope = '%s', cexp = '%s' ", a($sope), a($sexp));
			$sSql .= sprintf("WHERE npid = %d AND niid = %d", $g_pid, $db->f("niid"));
			$db2->query($sSql);
		}
	}
}

?>
<?php elseif($bflg == "up"): ?>
<!-- 項目の更新パート ============================================= -->
<?php
$sSql  = "UPDATE titem SET ";
$sSql .= sprintf("ncid = %d, ", $g_cid);
$sSql .= sprintf("cope = '%s', ", a($g_ope));
$sSql .= sprintf("cexp = '%s', ", a($g_exp));
$sSql .= sprintf("cid = '%s', ", $g_charge);
$sSql .= sprintf("cid2 = '%s', ", $g_charge2);
$sSql .= sprintf("nimp = %d, ", $g_imp);
$sSql .= sprintf("ndif = %d, ", $g_dif);
$sSql .= sprintf("dplan = to_date('%04d/%02d/%02d','YYYY/MM/DD') ", $g_year, $g_month, $g_day);
$sSql .= sprintf("WHERE npid = %d AND niid = %d", $g_pid, $g_iid);
$ret = $db->query($sSql);
?>
<?php else: ?>
<!-- 項目の新規登録パート ============================================= -->
<?php
$lic = new ti_lic();
//重複登録チェック
$sSql  = "SELECT * FROM titem WHERE ";
$sSql .= sprintf("npid = %d AND ", $g_pid);
$sSql .= sprintf("ncid = %d AND ", $g_cid);
$sSql .= sprintf("cope = '%s'", a($g_ope));
//if(isset($lic_okeys["dup_ope"])){
if($lic->ynDupOpe()){
	// 操作が同じでも結果が違えばＯＫとする
	$sSql .= sprintf(" AND cexp = '%s'", a($g_exp));
}
$db->query($sSql);
if($db->next_record()){
	print("<div align='center'>\n<br>\n");
	print("<p class=\"error\">同一の操作が既に登録されています。<br>\n");
	print("<input type=\"button\" value=\"確認\" OnClick=\"document.location.href = 'ti_mak_item_ctrl.php';\">\n");
	print("</div>\n");
	$ret = false;	// append V0.3
}else{
	// 項目IDシーケンス取得
	$db->query("BEGIN");
	$db->query("SELECT nextval('siid') AS iid");
	$db->next_record();
	$order = $iid = $db->f("iid");
	// order最大値確認 add V0.3.4
	$sSql  = "SELECT COALESCE(max(norder),0) AS order_max  FROM titem WHERE ";
	$sSql .= sprintf("npid = %d AND ", $g_pid);
	$sSql .= sprintf("ncid = %d", $g_cid);
	$db->query($sSql);
	if($db->next_record()){
		if($db->f("order_max") >= $iid){
			$order = $db->f("order_max");
			$order++;
		}
	}
	// 追加
	$sSql  = "INSERT INTO titem VALUES (";
	$sSql .= sprintf("%d, %d, %d, %d, '%s', '%s', '%s', '%s', %d, %d, to_date('%04d/%02d/%02d','YYYY/MM/DD'))", $g_pid, $iid, $g_cid, $order, a($g_ope), a($g_exp), $g_charge, $g_charge2, $g_imp, $g_dif, $g_year, $g_month, $g_day);
	$ret = $db->query($sSql);
}
?>
<?php endif; ?>
<!-- ============================================= -->
<?php
if(($bflg != "class") && ($bflg != "movcls") && ($bflg != "cpclsitem")){
	if($ret){
		page_close();	// add V0.3.3
		$_SESSION["g_iid"] = -1;	// add v0.5 カレント解除
		// 新規登録画面で再ロード
		print("<SCRIPT Languege=\"JavaScript\">\n");
		print("reView();\n");
		print("document.location.href = \"ti_mak_item_ctrl.php\";\n");
		print("</SCRIPT>\n");
	}else{
		printf("<div align='center'>\n");
		if(($bflg == "lump") || ($bflg == "up")){
			printf("<p class=\"error\">更新が失敗しました。<br>");
		}else{
			printf("<p class=\"error\">登録が失敗しました。<br>");
		}
		printf("<p class=\"dber\">%s</p>\n", $db->Error);
		printf("</div>\n");
	}
}
$db->query("END");
?>

</body>
</html>
<?php
  page_close();
?>

