<?php
/*
*	$id:ti_mak_item_ref_view.php (c)A.Ida 2017/3/10 15:37:30
*	テスト項目運用システム - 項目関連付け
*/
include("ti_prepend.inc");
page_open(array("sess"=>"Ti_Session",
		"auth"=>"Ti_Auth",
		"perm"=>"Ti_Perm"));
require_once("ti_itemref.inc");
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>
<link rel="STYLESHEET" href="tistyle.css" type="TEXT/CSS">
<SCRIPT type="text/javascript" src="ti_lstCtrl.js"></script>
<title>テスト項目運用システム - 関連付け</title>
</head>

<body class="fit">
<?php
$req = new ti_request();
$g_pid = $req->getSessCheck("g_pid");
$g_refiids = $req->getSessCheck("g_refiids");
$pidpls = $req->getReq("pidpls", "");

$db = new DB_Ti;
$ir = new ti_itemref($db, 1, $g_pid, $g_refiids);

?>
<form name="frmRefItem" target="ref_view" method="POST" action="<?php $sess->purl("ti_mak_item_ref_act.php");?>">
<table border="0" cellspacing="0" cellpadding="0" width="100%">
<tr><td>
<p class="caption">
関連付けを行いたい障害票を選択し【保存】してください。
</p>
</td></tr>
<tr><td>
<?php print($ir->mkList($pidpls)); ?>
</td></tr>
<tr><td>
<p class="caption">
障害票に起因して追加されたテスト項目を障害票とリンクさせます。<br>
「選」をチェックした障害票から対応する項目の一覧を表示させることができるようになります。<br>
作成画面で「選」を指定した項目の何れかと既に関連設定済みの障害票はチェックされた状態で初期表示されています。
</p>
</td></tr>
</table>
</form>
</body>
</html>
<?php
  page_close();
?>

