<?php
/*
*	$id:ti_run_item_ctrl.php (c)A.Ida 2017/3/10 15:37:30
*	テスト項目運用システム - 実施検索
*/
include("ti_prepend.inc");
page_open(array("sess"=>"Ti_Session",
		"auth"=>"Ti_Auth",
		"perm"=>"Ti_Perm"));
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>
<link rel="STYLESHEET" href="tistyle.css" type="TEXT/CSS">
<SCRIPT Language="JavaScript">
<!--
// チェック状態数
// 「済表示」で済状態のcheckbox(defaultChecked)は除外
var g_hld;
function ckChk(cForm){
	var ck = g_hld = 0;
	if(document.frmRunCtrl.imode.value == "VIEW"){
		var max = cForm.elements.length;
		for(var j=0;j<max;j++){
			var elm = cForm.elements[j];
			if(elm.type == 'checkbox'){
				if(elm.checked){
					if(elm.defaultChecked){
						continue;
					}else{
						ck++;
						if (elm.className.indexOf("hold", 0) >= 0){
							g_hld++;
						}
					}
				}
			}
		}
	}
	return ck;
};
// キャンセル確認
function ynChk(cForm){
	var ret = false;
	var ck = ckChk(cForm);
	if(ck > 0){
		ret = confirm('未保存の「済」チェックがキャンセルされます。\nよろしいですか？');
	}else{
		ret = true;
	}
	return ret;
};
// 検索ボタン
function ckReView(){
	var ret = true;
	if(document.frmRunCtrl.imode.value == "VIEW"){
		ret = ynChk(parent.item_view.document.frmRunItem);
	}
	if(ret){
		if(document.frmRunCtrl.view.checked){
			document.frmRunCtrl.action = '<?php $sess->purl("ti_run_item_view.php"); ?>';
			document.frmRunCtrl.imode.value = "VIEW";
		}else{
			document.frmRunCtrl.action = '<?php $sess->purl("ti_run_item_2_base.php"); ?>';
			document.frmRunCtrl.imode.value = "CARD";
		}
		document.frmRunCtrl.submit();
	}
};
// 保存・保留共通部
function getForm(){
	var cForm = "";
	if(document.frmRunCtrl.imode.value == "VIEW"){
		cForm = parent.item_view.document.frmRunItem;
		var ck = ckChk(cForm);
		if(ck == 0){
			alert('選択された項目がありません');
			cForm = "";
		}
	}else{
		cForm = parent.item_view.item_view_card.document.frmRunItem;
	}
	return cForm;
}
// 保存ボタン
function ckSave(){
	var cForm = getForm();
	if(g_hld > 0)
	{
		if(confirm("保留項目が含まれています。続行しますか？") == false)
		{
			cForm = "";
		}
	}
	if(cForm != ""){
		cForm.submit();
	}
};
// 保留ボタン
function ckHold(){
	var cForm = getForm();
	if(cForm != "")
	{
		var svAction = cForm.action;
		var svTarget = cForm.target;
		cForm.action = "ti_run_item_hld.php";
		cForm.target = "attach";
		cForm.submit();
		cForm.action = svAction;
		cForm.target = svTarget;
		
		clearAll();
	}
};
// チェックを外す
function clearAll(){
	if(document.frmRunCtrl.imode.value == "VIEW"){
		var max = cForm.elements.length;
		for(var j=0;j<max;j++){
			var elm = cForm.elements[j];
			if(elm.type == 'checkbox'){
				if(elm.checked){
					if(elm.defaultChecked){
						continue;
					}else{
						elm.checked = false;
					}
				}
			}
		}
	}
}
// 作成へリンク
function ckMvMake(cForm){
	var ret = ynChk(cForm);
	if(ret == true){
		<?php $pid = $_SESSION["g_pid"]; ?>
		window.open('<?php $sess->purl("ti_mak_item.php?dmy=0&pid=$pid"); ?>', '_parent');
	}
};
// -->
</SCRIPT>
<title>TI-System - RUN ITEM</title>
</head>

<body class="fit">

<?php
$req = new ti_request();
// モード
$g_imode = $req->getSess("imode", "VIEW");
// プロジェクトＩＤ
$g_pid = $req->getSessCheck("g_pid");
// ラウンド
$g_nr = $req->getSessCheck("g_nr");

// 担当
$g_charge = $req->getSess("g_charge", 3);
// 済表示
$g_examv = $req->getSess("g_examv", 0);
// 予定日
$g_pday = $req->getSess("g_pday", 0);
// 重要度
$g_imp = $req->getSess("g_imp", 0);
// 分類01
$g_sclass = $req->getSess("g_sclass", -1);

$db = new DB_Ti;
$opts = new ti_mkOptions();
include("ti_pname.inc");
?>

<table border="0" class="ctrl" width="100%">
<tr><td class="proj" width="99%">
実績入力：<?php print(htmlspecialchars($g_pname)); printf("　【%d回目】",$g_nr); ?>
</td><td class="jump" style="width:1px;white-space:nowrap;" nowrap>
<?php if($perm->have_perm("tester")): ?>
<a href="#dumy" onClick="ckMvMake(parent.item_view.document.frmRunItem);" title="項目編集画面に遷移">
作成へ
</a>
<?php endif; ?>
</td>
</tr><tr><td colspan=2 nowrap>
<form name="frmRunCtrl" target="item_view" method="POST" action="<?php $sess->purl("ti_run_item_view.php"); ?>" >
<input type="hidden" name="imode" value="<?php print($g_imode); ?>">
<table border="0" cellspacing="0" cellpadding="0">
<tr><td nowrap>
<font size="-1">担当</font>
</td><td>
<select name="charge">
<?php
$hash = array("全て"=>0, "主担当"=>1, "副担当"=>2, "主or副"=>3);
print($opts->mkOpts($hash, $g_charge));
?>
</select>
</td><td nowrap>
&nbsp;
</td><td nowrap>
<LABEL for="examv_id"><font size="-1">済表示</font></LABEL>
</td><td>
<input id="examv_id" type="checkbox" name="examv" value="1"<?php if($g_examv == 1){print(" checked");} ?> title="実施済み項目も表示する（未実施に戻すことが可能になる）">
</td><td nowrap>
&nbsp;
</td><td nowrap>
<font size="-1">予定日</font>
</td><td>
<select name="spday">
<?php
$hash = array("全て"=>0, "以降"=>1, "過ぎ"=>2);
print($opts->mkOpts($hash, $g_pday));
?>
</select>
</td><td nowrap>
&nbsp;
</td><td nowrap>
<font size="-1">重度</font>
</td><td>
<select name="simp" title="重要度">
<?php
print($opts->mkImps($g_imp, false));
?>
</select>
</td><td nowrap>
<font size="-1">以上</font>
</td><td nowrap>
&nbsp;
</td><td nowrap>
<font size="-1">分類01</font>
</td><td>
<select name="sclass">
<option value="-1">【全て】
<?php
/* 全層分類にする場合はこちらを有効にします。################################
単純にＳＱＬを入れ替えただけの場合、分類の文字列が長いと「検索」や「保存」のボタンが押し辛くなると思います。
テーブルレイアウトを変更して２行にする等の変更を行ってもかまいません。この場合、ti_run_item.phpの
framesetのrowsの値を変更して上フレームの高さを調整してください。
こちらを有効にした場合には、ti_mak_item_btns.phpも同様の変更を行ってください。
$sSql =  sprintf("SELECT *, get_fullcname(%d, nucid, cclass) AS ccname_f ", $g_pid);
$sSql .= "FROM vclass ";
$sSql .= sprintf("WHERE npid = %d ", $g_pid);
$sSql .= "ORDER BY o1, o2, o3, o4, o5, o6, o7, o8, o9";
############################################################################ */
/* 全層分類にするにはこちらをコメントにします。============================= */
$sSql = sprintf("SELECT ncid, oneline(cclass) AS ccname_f FROM tclass WHERE npid = %d AND nucid = 0 ORDER BY norder", $g_pid);
/* ========================================================================= */
$db->query($sSql);
print($opts->mkDBOpts($db, "ccname_f", "ncid", $g_sclass));
?>
</select>
</td><td nowrap>
&nbsp;
</td><td nowrap>
<LABEL for="view_id"><font size="-1">一覧</font></LABEL>
</td><td>
<input id="view_id" type="checkbox" name="view" value="1"<?php if($g_imode=="VIEW"){print(" CHECKED");} ?> title="表示モード指定 ON:一覧モード OFF:CARDモード">
</td><td nowrap>
&nbsp;
</td><td nowrap>
<button type="button" onClick="ckReView();" accesskey="s" title="現在の条件で対象項目を絞り込む">検索(<u>S</u>)</button>
</td><td align="right" width="50%">
<input type="button" value="保留..." onClick="ckHold();" title="項目と未回答障害票を関連付けて、障害が回答されるまで保留表示にする">
&nbsp;&nbsp;
<button type="button" onClick="ckSave();" title="「済」「戻」のチェック状態をＤＢに反映し再表示する"> 保　存 (<u>W</u>) </button>
</td></tr>
</table>
</table>
</form>

</body>
</html>
<?php
  page_close();
?>

