<?php
/*
*	$id:ti_ss_items.php (c)A.Ida 2017/3/10 15:37:30
*	テスト項目運用システム - SideShow項目情報通知
*/
include("ti_prepend.inc");
header("Content-type:text/xml;charset=utf-8");
print("<?xml version=\"1.0\" encoding=\"UTF-8\" ?>\n");
print("<ssitems>\n");
$bcnt = 0;
$err = 0;
$emsg = "";
if(isset($_REQUEST["pid"]) && isset($_REQUEST["uid"]) && isset($_REQUEST["chg"])){
	$pid = $_REQUEST["pid"];
	$uid = $_REQUEST["uid"];
	$chg = $_REQUEST["chg"];
	$db = new DB_Ti;
	// 現ラウンド取得
	$sSql = sprintf("SELECT COALESCE(nround, 0) AS nr FROM tproj WHERE npid = %d", $pid);
	$db->query($sSql);
	$db->next_record();
	$nr = $db->f("nr");
	// 担当未実施項目一覧
	$sSql  = "SELECT I.*, get_fullcname(npid, nucid, C.cclass) AS fullcname";
	$sSql .= " FROM vitem I INNER JOIN vclass C USING (npid, ncid)";
	$sSql .= sprintf(" WHERE npid = %d AND nround <= %d", $pid, $nr);
	switch($chg){
	case 1:	// 主担当
		$sSql .= sprintf(" AND cid = '%s'", $uid);
		break;
	case 2:	// 副担当
		$sSql .= sprintf(" AND cid2 = '%s'", $uid);
		break;
	case 3:	// 主or副
		$sSql .= sprintf(" AND (cid = '%s' OR cid2 = '%s')", $uid, $uid);
		break;
	default:
		break;
	}
	$sSql .= " ORDER BY o1, o2, o3, o4, o5, o6, o7, o8, o9, I.norder";
	$db->query($sSql);
	while($db->next_record()){
		print("<item>\n");
		printf("<iid>%d</iid>\n", $db->f("niid"));
		printf("<cls>%s</cls>\n", mb_convert_encoding(htmlspecialchars($db->f("fullcname")), "UTF-8","EUC-JP"));
		printf("<ope>%s</ope>\n", mb_convert_encoding(htmlspecialchars($db->f("cope")), "UTF-8","EUC-JP"));
		printf("<exp>%s</exp>\n", mb_convert_encoding(htmlspecialchars($db->f("cexp")), "UTF-8","EUC-JP"));
		printf("<imp>%s</imp>\n", mb_convert_encoding($c_iaryR[$db->f("nimp")],  "UTF-8","EUC-JP"));
		printf("<dif>%s</dif>\n", mb_convert_encoding($c_daryR[$db->f("ndif")],  "UTF-8","EUC-JP"));
		printf("<mem>%s</mem>\n", mb_convert_encoding(htmlspecialchars($db->f("cmemo")), "UTF-8","EUC-JP"));
		print("</item>\n");
	}
}else{
	printf("<msg>パラメタエラー</mag>");
}
print("</ssitems>\n");
?>