<?php
/*
*	$id:ti_up_bug_ctrl.php (c)A.Ida 2017/3/10 15:37:30
*	テスト項目運用システム - 障害票制御
*/
include("ti_prepend.inc");
page_open(array("sess"=>"Ti_Session",
		"auth"=>"Ti_Auth",
		"perm"=>"Ti_Perm"));
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>
<SCRIPT type="text/javascript" src="ckForm.js"></script>
<SCRIPT type="text/javascript" src="ti_ckRev.js"></script>
<SCRIPT Language="JavaScript">
<!--
function toView(cForm, flg){
	cForm.param.value = flg;
	cForm.submit();
};
function ckSave(cForm){
	cForm.sid_p.style.background = "#FFFFFF";
	if(cForm.sid_p.value == ""){
		alert("回答担当者を選択してください");
		cForm.sid_p.style.background = "palegoldenrod";
		cForm.sid_p.focus();
		bret = false;
	}else if(bret = ckRev(cForm)){
		parry = new Array(1,1,0,0,0,0,0,0);
		narry = new Array(0,0,0,0,0,0,0,0);
		bret = ckForm(cForm, parry, narry, "");
	}
	return bret;
};
function toPrint(cWin){
	if(confirm("ブラウザの印刷機能で表部分のみ印刷します。\nＡ４横に設定されていることを確認してください。")){
		cWin.print();
	}
};
function toBugref(pid,iid,nr){
	win = window.open('<?php $sess->purl("ti_up_bugref.php?pid="); ?>' + pid + '&iid=' + iid + '&nr=' + nr, 'bugref');
	win.focus();
};
// -->
</SCRIPT>
<link rel="STYLESHEET" href="tistyle.css" type="TEXT/CSS" media="all">
<link rel="STYLESHEET" href="tiprint.css" type="TEXT/CSS" media="print">
<title>TI-System - UP BUG</title>
</head>
<!-- 初回表示時にView側でnext,back未作成状態の時にdisable制御されてエラーになる問題回避のためonload追加 V0.3.1 -->
<body class="fit" onload="toView(document.frmUpBug,0);">
<span id="bugctrl">
<?php
$req = new ti_request();
$gb_pid = $req->getSessCheck("gb_pid");
$gb_bid = $req->getSess("gb_bid", 0);
$gb_mod = $req->getSess("gb_mod", "");
$g_bview = $req->getSess("g_bview", 0);	// 0:編集モード 1:参照モード

$db = new DB_Ti;
$get = new ti_get($db);
if(isset($gb_pid) && $gb_mod != "ans"){	// append if V0.3
	$pname_f = $get->fullPrjName($gb_pid);
}else{
	$pname_f = "";
}
?>

<form name="frmUpBug" target="bug_view" method="POST" action="<?php $sess->purl("ti_up_bug_view.php"); ?>">
<input type="hidden" name="param" value="0">
<table border="0" class="ctrl" width="100%">
<tr><td>
<h2 class="proj">
障害票編集：<?php print($pname_f); ?>
</h2>
</td></tr><tr><td>
<table border="0">
<tr><td>
<?php if($gb_mod != "ans"): ?>
<input type="button" name="mkbug" value="新規作成" onClick="toView(document.frmUpBug,1);">
</td><td>
<?php endif; ?>
<input type="button" name="back" value="前" onClick="toView(document.frmUpBug,3);">
</td><td>
<input type="button" name="next" value="次" onClick="toView(document.frmUpBug,2);">
</td><td>
&nbsp;&nbsp;&nbsp;&nbsp;
</td><td>
<?php
// append V0.3.3
$btxt = ($g_bview == 0) ? "参照モードへ" : "編集モードへ";
printf("<input type='button' name='bview' value='%s' onClick='toView(document.frmUpBug,9);'>", $btxt);
?>
</td><td>
&nbsp;&nbsp;&nbsp;&nbsp;
</td><td>
<input type="button" name="save" value="　保存　" onClick="ckSave(parent.bug_view.document.frmUpBugView);">
<!--
一度はうまくいったはずなのにいつのまにかダメになった。
しょうがないのでView側に移動
</td><td>
<input type="button" value="印刷" onClick="toPrint(top.bug_view);">
-->
<?php if($_SESSION["gb_iid"] > 0): ?>
</td><td>
&nbsp;&nbsp;&nbsp;&nbsp;
</td><td>
<input type="button" value="関連既存障害..." name="bugref" onClick="toBugref(<?php printf('%d, %d, %d', $gb_pid, $_SESSION['gb_iid'], $_SESSION['gb_nr']); ?>);">
<?php endif; ?>
</td><td>
&nbsp;&nbsp;&nbsp;&nbsp;
</td><td align="right" width="100%">
<input type="button" value="閉じる" onClick="top.close();">
</td></tr>
</table>
</table>
</form>
</span>
</body>
</html>
<?php
  page_close();
?>

