<?php
/*
*	$id:ti_up_bug_ref.php (c)A.Ida 2017/3/10 15:37:30
*	テスト項目運用システム - 追加項目一覧
*/
include("ti_prepend.inc");
page_open(array("sess"=>"Ti_Session",
		"auth"=>"Ti_Auth",
		"perm"=>"Ti_Perm"));
include_once("ti_item_view.inc");
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>
<link rel="STYLESHEET" href="tistyle.css" type="TEXT/CSS">
<SCRIPT type="text/javascript" src="ti_lstCtrl.js"></script>
<title>テスト項目運用システム　追加テスト項目一覧</title>
</head>

<body class="fit">
<table border="0" class="form" width="100%">
<tr><td>
<h2 class="proj">追加テスト項目一覧：</h2>

</td></tr>
<tr><td align="right">
<input type="button" value="閉じる" onClick="top.close();">
</td></tr>
</table>
<br>
<?php
$req = new ti_request();
$pid = $req->getReqcheck("pid");
$bid = $req->getReqCheck("bid");

$db = new DB_Ti;

// 対象プロジェクトを抽出
$sSql  = "SELECT DISTINCT npid, get_fullpname(npid, '') AS pname_f FROM titemref";
$sSql .= sprintf(" WHERE ckind = 'B' AND npid_o = %d AND nid_o = %d", $pid, $bid);
$sSql .= " ORDER BY npid";
$db->query($sSql);
while($db->next_record()){
	$ir = new ti_itemView($db->f("npid"));
	// １プロジェクトブロック
	print("<table border=0>\n");
	// プロジェクト名
	printf("<tr><td>%s</td></tr>\n<tr><td>\n", htmlspecialchars($db->f("pname_f"),0));
	// where節作成
	$where  = sprintf(" WHERE I.npid = %d AND I.niid IN (", $db->f("npid"));
	$where .= sprintf("SELECT niid FROM titemref WHERE npid = %d AND ckind = 'B' AND npid_o = %d AND nid_o = %d", $db->f("npid"), $pid, $bid);
	$where .= ")";
	// 作成
	$ir->mkAll($where);
	// 終端
	print("</td></tr>\n</table>\n");
	print("<br>\n");
}
?>
</body>
</html>
<?php
  page_close();
?>

