<?php
/*
*	$id:ti_up_bug_view.php (c)A.Ida 2017/3/10 15:37:30
*	テスト項目運用システム - 障害票フォーム
*	bids[],pids[]の要素０は未使用
*/
include("ti_prepend.inc");
page_open(array("sess"=>"Ti_Session",
		"auth"=>"Ti_Auth",
		"perm"=>"Ti_Perm"));
require_once("ti_bug.inc");
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>
<link rel="STYLESHEET" href="tistyle.css" type="TEXT/CSS" media="all">
<link rel="STYLESHEET" href="tiprint.css" type="TEXT/CSS" media="print">
<SCRIPT Language="JavaScript">
<!--
function toPrint(){
	if(confirm("ブラウザの印刷機能で票部分のみ印刷します。")){
		print();
	}
};
function toConv(pid,iid,bid){
	var win = window.open('<?php $sess->purl("ti_wr_conv_view.php?dmy=cnv");?>&pid=' + pid + '&iid=' + iid + '&bid=' + bid, 'convers');
	win.focus();
};
function toAttach(atkind, pid, iid){
	var win = window.open('<?php $sess->purl("ti_up_attach.php?mod=all");?>&atkind=' + atkind + '&pid=' + pid + '&iid=' + iid, 'attach');
	win.focus();
};
<?php require_once("ti_ckRev.js"); ?>
function toSvn(pid){
	if(ckRev(document.frmUpBugView)){
		var rs = document.frmUpBugView.rs.value;
		var re = document.frmUpBugView.re.value;
		var repos = document.frmUpBugView.repos.value;
		if(rs == 0){
			alert("リビジョン範囲が無効です。開始値は１以上でなければなりません。");
		}else if(rs == re){
			alert("リビジョン範囲が無効です。開始値と終了値が同じでは意味がありません。");
		}else{
			var win = window.open('<?php $sess->purl("ti_up_bug_svn_base.php?dmy=svn");?>&pid=' + pid + '&rs=' + rs + '&re=' + re + '&repos=' + repos, 'svn');
			win.focus();
		}
	}
};
function toRef(pid,bid){
	var win = window.open('<?php $sess->purl("ti_up_bug_ref.php?dmy=ref");?>&pid=' + pid + '&bid=' + bid, 'ref');
	win.focus();
};
function toHld(pid,bid){
	var win = window.open('<?php $sess->purl("ti_up_bug_hld.php?dmy=hld");?>&pid=' + pid + '&bid=' + bid, 'hld');
	win.focus();
};
function load(mode, bnext, bback, bview){
	parent.bug_ctrl.document.frmUpBug.next.disabled = !bnext;
	parent.bug_ctrl.document.frmUpBug.back.disabled = !bback;
	parent.bug_ctrl.document.frmUpBug.bview.value = (bview == 1) ? "編集モードへ" : "参照モードへ";
	parent.bug_ctrl.document.frmUpBug.save.disabled = (bview == 1) ? true : false;
	if (bview == 0)
	{
		switch(mode){
		case "ans":
		case "lnk":
			document.frmUpBugView.cause.focus();
			break;
		default:
			document.frmUpBugView.title.focus();
			break;
		}
	}
	else
	{
		var iss = document.getElementById('iss_tbl');
		var ans = document.getElementById('ans_tbl');
		var h = Math.max(iss.clientHeight, ans.clientHeight);
		iss.style.height = ans.style.height = h + 4 + "px";
	}
};
// -->
</SCRIPT>
<title>テスト項目運用システム - 障害票</title>
</head>

<?php
$req = new ti_request();
$param = $req->getReq("param", 0);	// param: 1:新規 2:次 3:前 8:再表示(actから戻る) 9:表示モード変更
//$nr = $req->getReq("nr", 0);
$gb_pid = $req->getSessCheck("gb_pid");
$gb_bid = $req->getSess("gb_bid", 0);
$gb_iid = $req->getSess("gb_iid", 0);
$gb_nr = $req->getSess("gb_nr", 0);
$gb_mod = $req->getSess("gb_mod", "");
$act = $req->getReq("act", -1);		// param=8 で有効（0:更新 1:新規）
$gb_pids = $req->getSess("gb_pids", array());
$gb_bids = $req->getSess("gb_bids", array());
$g_bview = $req->getSess("g_bview", 0);	// 0:編集モード 1:参照モード

$db = new DB_Ti(true);
$opt = new ti_mkOptions();

function setCurID($ino)
{
	global $gb_bid;
	global $gb_pid;
	global $gb_bids;
	global $gb_pids;
	
	if (isset($gb_bids[$ino]))
	{
		$_SESSION["gb_bid"] = $gb_bid = $gb_bids[$ino];
		$_SESSION["gb_pid"] = $gb_pid = $gb_pids[$ino];
	}
}

// textarea作成
function mkTA($name, $txt, $bview, $tabindx)
{
	if($bview == 0){
		printf("<textarea class=\"bug\" name=\"%s\" cols=\"40\" rows=\"5\" tabindex=%d>\n", $name, $tabindx);
		print($txt);
		print("</textarea>\n");
	}else{
		if(strlen($txt) > 0)
		{
			printf("<font class=\"bview\">\n%s\n</font>\n", nl2br($txt));
		}else{
			print("&nbsp;\n");
		}
	}
}

// メンバ選択作成
function mkUserOpts($pid, $def, $db)
{
	global $opt;
	$sSql = sprintf("SELECT * FROM vpmember WHERE npid = %d", $pid);
	$db->query($sSql);
	return $opt->mkDBOpts($db, "cname", "cid", $def);
}

// 添付資料ボタン作成
function mkAttachBtn($pid, $bid, $kind, $cnt, $tabindx)
{
	$res = "番号未確定";
	if($bid > 0)
	{
		if ($cnt > 0)
		{
			$str = " 有り... ";
			$cls = " class=\"have\"";
		}else{
			$str = "未設定...";
			$cls = "";
		}
		$res = sprintf("<input type=\"button\"%s name=\"attach\" value=\"%s\" onClick=\"toAttach('%s',%d,%d);\" tabindex=%d>", $cls, $str, $kind, $pid, $bid, $tabindx);
	}
	return $res;
}	

// 追加項目ボタン作成
function mkApendBtn($pid, $bid, $cnt)
{
	$res = "番号未確定";
	if($bid > 0)
	{
		if($cnt > 0)
		{
			$res = sprintf("<input type='button' name='bitemref' value='%d項目...' onClick='toRef(%d,%d);'>\n", $cnt, $pid, $bid);
		
		}else{
			$res = "未設定";
		}
	}
	return $res;
}

// 保留項目ボタン作成
function mkHoldBtn($pid, $bid, $cnt)
{
	$res = "番号未確定";
	if($bid > 0)
	{
		if($cnt > 0)
		{
			$res = sprintf("<input type='button' name='bitemhld' value='%d項目...' onClick='toHld(%d,%d);'>\n", $cnt, $pid, $bid);
		
		}else{
			$res = "未設定";
		}
	}
	return $res;
}

// ---------------
if (strlen($gb_mod) > 0)
{
	//
	// モード（呼び出し元）別に障害表一覧配列を設定
	//
	// 対象障害票配列作成（[0]は未使用）
	switch($gb_mod){
	case "ans":	// 回答モード
		// 障害回答一覧をコピー（別Windowなのでそのままでは使えない）
		$gb_pids = $req->getSessCheck("g_pids");
		$gb_bids = $req->getSesscheck("g_bids");
		break;
	case "lnk":	// メールリンクなどで起動パラメタ単体指定
		// 配列生成以外は回答モード扱い
		$gb_pids = array(1=>$gb_pid);
		$gb_bids = array(1=>$gb_bid);
		break;
	default:	// 発行モード（プロジェクト/項目の[障害]ボタン）及び新規作成後の[戻る]ボタン
		if ($gb_bid == 0 || $act == 1)
		{
			// 障害一覧取得
			$sSql = sprintf("SELECT nbid FROM tbug WHERE npid = %d ", $gb_pid);
			if($gb_iid != 0){
				$sSql .= sprintf("AND niid = %d", $gb_iid);
			}
			$db->query($sSql);
			$gb_bids = array();
			$gb_pids = array();
			$i = 1;
			while($db->next_record()){
				$gb_pids[$i] = $gb_pid;
				$gb_bids[$i] = $db->f("nbid");
				$i++;
			}
		}else{
			// 移動,表示モード変更,新規作成以外の[戻る]などでは不要
		}
		break;
	}
	$_SESSION["gb_mod"] = "";
	$_SESSION["gb_bid"] = $gb_bid;
	$_SESSION["gb_pid"] = $gb_pid;
	$_SESSION["gb_bids"] = $gb_bids;
	$_SESSION["gb_pids"] = $gb_pids;
}


// ------------
if($gb_bid == 0){
	// 初期表示
	if (isset($gb_bids[1])){ $gb_bid = $gb_bids[1];}	// 先頭案件
}

//
// 案件位置確認と移動
//
$i = 1;
$f = false;
while(isset($gb_bids[$i]))
{
	if ($gb_bid == $gb_bids[$i] && $gb_pid == $gb_pids[$i]){
		switch($param)
		{
		case 2:	// 次
			if (isset($gb_bids[$i+1])){
				setcurID(++$i);
			}
			break;
		case 3:	// 前
			if ($i > 1){
				setCurID(--$i);
			}
			break;
		}
		$f = true;
		break;
	}
	$i++;
}
if (!$f || $param == 1){ $gb_bid = 0; }	// 該当なし or 新規作成
// 範囲外判定とボタン制御
$bnext = $bback = 1;
if(!isset($gb_bids[$i+1])){
	$bnext = 0;
}
if($i<=1){
	$bback = 0;
}

//
// 表示モード切り替えと作成ボタンEnable制御 add V0.3.3
//
switch($param)
{
case 9:	// 表示モード切替
	$_SESSION["g_bview"] = $g_bview = ($g_bview == 0) ? 1 : 0;
	break;
case 1: // 新規作成は強制的に編集モード
	$_SESSION["g_bview"] = $g_bview = 0;
	break;
}

// ------------------------------------
// 障害票管理クラス作成
$bug = new ti_bug($gb_pid, $gb_bid, $gb_iid, $gb_nr, $auth->auth["uname"], $db);
?>

<body class="fit" onload='load(<?php printf("\"%s\", %d, %d, %d", $gb_mod, $bnext, $bback, $g_bview); ?>)'>

<form name="frmUpBugView" method="POST" action="<?php $sess->purl("ti_up_bug_view_act.php");?>">
<?php
printf("<input type=\"hidden\" name=\"bid\" value=\"%d\">\n", $gb_bid);
printf("<input type=\"hidden\" name=\"iid\" value=\"%d\">\n", $gb_iid);
printf("<input type=\"hidden\" name=\"nr\" value=\"%d\">\n", $gb_nr);
?>
<!-- 表題テーブル ===================== -->
<table class="form" border="3" cellspacing="0" cellpadding="1">
<tr><td colspan="2">
<table class="form" border="1" cellspacing="0" cellpadding="2" width="100%">
<tr><td class="caption" nowrap>
障害票番号
</td><td nowrap>
<?php print $bug->bugid; ?>
</td><td class="caption" nowrap>
表題
</td><td>
<?php
if($g_bview == 0){
	printf("<input type=\"text\" name=\"title\" size=\"78\" maxlength=\"100\" value=\"%s\" class=\"jp\" style='width:360px' tabindex=1>", $bug->title);
}else{
	printf("<font class=\"bview2\">\n%s\n</font>\n", nul2sp($bug->title));
}
?>	
</td>
<!-- マーク add V0.3.4 -->
<td width="1px">
<?php
$cked = $bug->mark ? " CHECKED" : "";
printf("<input type=\"checkbox\" name=\"mark\" value=\"1\"%s tabindex=2>", $cked);
?>
</td><td align="center" nowrap>
<?php
printf("<input type='button' name='conv' value='相談...' onClick='toConv(%d,%d,%d);' id='btncnv' tabindex=3>", $gb_pid, $gb_iid, $gb_bid);
?>
</td><td align="center" nowrap>
<input type="button" value="印刷" onClick="toPrint()" id='btnprn' tabindex=4>
</td></tr>
</table>
</td></tr>
<!-- 関連テーブル add V0.3.4 ========== -->
<tr><td colspan="2">
<table class="form" border="1" cellspacing="0" cellpadding="2" width="100%">
<tr><td class="caption" width="80" nowrap>
プロジェクト
</td><td>
<?php print($bug->prjName); ?>
</td></tr>
<tr><td class="caption" nowrap>
分類
</td><td>
<?php print($bug->clsName); ?>
</td></tr>
</table>
</td></tr>
<!-- 発行テーブル ===================== -->
<tr><td valign="top">
<table class="form" border="1" cellspacing="0" cellpadding="2">
<!-- １行目 -->
<tr><td class="caption" nowrap>
発行者
</td><td>
<select name="id_b" tabindex=11>
<?php print(mkUserOpts($gb_pid, $bug->id_b, $db)); ?>
</select>
</td><td class="caption" nowrap>
発行日
</td><td><font size="-1">
<?php
$dissue = $bug->issue->getFull();
print($dissue);
printf("<input type=\"hidden\" name=\"dissue\" value=\"%s\">\n", $dissue);
?>
</font></td></tr>
<tr><td colspan=4 style="padding:0 0 0 0;">
<table id="iss_tbl" class="form" border="1" cellspacing="0" cellpadding="2">
<!-- ２行目 -->
<tr><td class="caption">
現<br>象
</td><td width="300px" valign="top">
<?php print(mkTA("pheno", $bug->pheno, $g_bview, 12)); ?>
</td></tr>
<!-- ３行目 -->
<tr><td class="caption">
手<br>順
</td><td valign="top">
<?php print(mkTA("proc", $bug->proc, $g_bview, 13)); ?>
</td></tr>
</table>
</td></tr>
</table>
</td><td valign="top">
<!-- 回答テーブル ============= -->
<table class="form" border="1" cellspacing="0" cellpadding="2">
<!-- １行目 -->
<tr><td class="caption" nowrap>
回答者
</td><td>
<select name="sid_a" tabindex=31>
<?php print(mkUserOpts($gb_pid, $bug->id_a, $db)); ?>
</select>
</td><td class="caption" nowrap>
回答日
</td><td><font size="-1">
<?php
$dans = $bug->ans->getFull();
print($dans);
printf("<input type=\"hidden\" name=\"dans\" value=\"%s\">\n", $dans);
?>
</font></td></tr>
<tr><td colspan=4 style="padding:0 0 0 0;" >
<table id="ans_tbl" class="form" border="1" cellspacing="0" cellpadding="2">
<!-- ２行目 -->
<tr><td class="caption">
原<br>因
</td><td width="300px" valign="top">
<?php print(mkTA("cause", $bug->cause, $g_bview, 32)); ?>
</td></tr>
<!-- ３行目 -->
<tr><td class="caption">
対<br>処
</td><td valign="top">
<?php print(mkTA("cope", $bug->cope, $g_bview, 33)); ?>
</td></tr>
</table>
</td></tr>
</table>
</td></tr>
<tr><td valign=bottom style="border-top:0;">
<!-- 発行情報テーブル ================= -->
<table class="form" border="1" cellspacing="0" cellpadding="2" width="100%">
<tr><td class="caption" nowrap>
重要度
</td><td>
<select name="simp" tabindex=21>
<?php print($opt->mkImps($bug->imp_b, false)); ?>
</select>
</td><td class="caption" nowrap>
資料
</td><td nowrap>
<?php
print(mkAttachBtn($gb_pid, $gb_bid, "B", $bug->attach_b, 22));
?>
</td></tr>
<!-- ５行目 -->
<tr><td class="caption" nowrap>
回答担当
</td><td colspan="1">
<select name="sid_p" tabindex=23>
<?php
if ($bug->id_p <= 0){
	print("<option value=\"\"></option>\n");	// 新規は未選択が初期値
}
print(mkUserOpts($gb_pid, $bug->id_p, $db));
?>
</select>
</td><td class="caption" nowrap>
保留項目
</td><td>
<?php print(mkHoldBtn($gb_pid, $gb_bid, $bug->hold)); ?>
</td></tr>
<tr><td class="caption" nowrap>
期限日
</td><td colspan="3" nowrap>
<select name="term_y" tabindex=24>
<?php print($opt->mkYears($bug->term->y, false)); ?>
</select>
/
<select name="term_m" tabindex=25>
<?php print($opt->mkMonths($bug->term->m, false)); ?>
</select>
/
<select name="term_d" tabindex=26>
<?php print($opt->mkDays($bug->term->d, false)); ?>
</select>
</td></tr>
</table>
</td>
<td valign=bottom style="border-top:0;">
<!-- 回答情報テーブル ===================== -->
<table class="form" border="1" cellspacing="0" cellpadding="2" width="100%">
<tr><td class="caption" nowrap>
障害種別
</td><td>
<select name="skind" tabindex=41>
<?php print($opt->mkOpts($c_kary, $bug->kind, 0)); ?>
</select>
</td><td class="caption" nowrap>
資料
</td><td nowrap>
<?php print(mkAttachBtn($gb_pid, $gb_bid, "A", $bug->attach_a, 42)); ?>
</td></tr>
<!-- ５行目 -->
<tr><td class="caption" nowrap>
修正対象
</td><td colspan="3">
<?php
if($g_bview == 0){
	printf("<input type=\"text\" name=\"src\" size=\"50\" value=\"%s\" class=\"en\" style='width:260px;' tabindex=43>", $bug->src);
}else{
	printf("<font class=\"bview2\">%s</font>\n", nul2sp($bug->src));
}
?>
</td></tr>
<tr><td class="caption" nowrap>
リビジョン
</td><td colspan="2">
<font size="-2">開始</font><input type="text" name="rs" size="5" maxlength="5" value="<?php print($bug->rs); ?>" style="ime-mode: disabled; width:44px;" tabindex=44>
&nbsp;<b>→</b>&nbsp;
<font size="-2">終了</font><input type="text" name="re" size="5" maxlength="5" value="<?php print($bug->re); ?>" style="ime-mode: disabled; width:44px;" tabindex=45>
</td><td>
<input type='hidden' name='repos' value='<?php print(urlencode($bug->repos)); ?>'>
<?php $swk = (strlen($bug->repos) > 0) ? "" : " disabled"; ?>
<input type='button' name='svn' value='svn...' onClick='toSvn(<?php print($gb_pid); ?>);' id='btnsvn'<?php print $swk; ?> tabindex=45>
</td></tr>
</table>
</td></tr>
<tr><td colspan="2">
<!-- 確認テーブル ===================== -->
<table class="form" border="1" cellspacing="0" cellpadding="2" width="100%">
<tr><td class="caption" nowrap>
確認者
</td><td>
<select name="sid_c">
<option value="">【未確認】</option>
<?php print(mkUserOpts($gb_pid, $bug->id_c, $db)); ?>
</select>
</td><td class="caption" nowrap>
確認日
</td><td nowrap>
<select name="conf_y">
<?php print($opt->mkYears($bug->conf->y, false)); ?>
</select>
/
<select name="conf_m">
<?php print($opt->mkMonths($bug->conf->m, false)); ?>
</select>
/
<select name="conf_d">
<?php print($opt->mkDays($bug->conf->d, false)); ?>
</select>
</td><td class="caption" nowrap>
追加テスト項目
</td><td>
<?php print(mkApendBtn($gb_pid, $gb_bid, $bug->apend)); ?>
</td></tr>
<tr><td class="caption" nowrap>
備考
</td><td colspan=5>
<?php
if($g_bview == 0){
	printf("<input type=\"test\" size=\"140\" name=\"note\" value=\"%s\" class=\"jp\" style='width:650px;'>", $bug->note);
}else{
	printf("<font class=\"bview2\">%s</font>\n", nul2sp($bug->note));
}
?>
</td></tr>
</table>
</td></tr>
</table>
<?php
// 表示モードボタンのdisable制御 add V0.3.3
$swk = ($gb_bid <= 0) ? "true" : "false";
printf("<SCRIPT Language=\"JavaScript\">parent.bug_ctrl.document.frmUpBug.bview.disabled = %s;</SCRIPT>\n",$swk);
printf("<SCRIPT Language=\"JavaScript\">document.frmUpBugView.mark.disabled = %s;</SCRIPT>\n",$swk);
printf("<SCRIPT Language=\"JavaScript\">document.frmUpBugView.conv.disabled = %s;</SCRIPT>\n",$swk);
?>
</form>
</body>
</html>
<?php
  page_close();
?>

