<?php
/*
*	$id:ti_up_proj_ctrl.php (c)A.Ida 2017/3/10 15:37:31
*	テスト項目運用システム - プロジェクト編集（一覧）
*/
include("ti_prepend.inc");
page_open(array("sess"=>"Ti_Session",
		"auth"=>"Ti_Auth",
		"perm"=>"Ti_Perm"));
$perm->check("leader");
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>
<link rel="STYLESHEET" href="tistyle.css" type="TEXT/CSS">
<SCRIPT type="text/javascript" src="ti_lstCtrl.js"></script>
<SCRIPT Language="JavaScript">
<!--
function jref(pid){
	window.open('<?php $sess->purl("ti_up_proj_ctrl_2.php?dmy=0"); ?>&pid=' + pid, '_self');
}
function jdel(pid,ni){
	if(ni > 0){
		msg = "テスト項目や実績、添付資料のファイルも全て削除されます。\nよろしいですか。";
	}else{
		msg = "プロジェクトを削除します。";
	}
		
	if(confirm(msg)){
		window.open('<?php $sess->purl("ti_up_proj_ctrl_del.php?dmy=0"); ?>&pid=' + pid, '_self');
	}
	return false;
}
function pgmove(dir,row){
	window.open('<?php $sess->purl("ti_up_proj_ctrl.php?dmy=0"); ?>&dir=' + dir + '&strow=' + row, '_self');
}
// -->
</SCRIPT>
<title>TI-System - UP PROJ</title>
</head>

<body class="fit">

<?php
$req = new ti_request();
$g_toppid = $req->getSess("g_toppid", -1);
$g_pid = $req->getSess("g_pid", -1);
$lic = new ti_lic();
$itm_id = $lic->chkItemId(2);

$db = new DB_Ti;
include("ti_pages_1.inc");

// PostgreSQL8.0.3 for Winで「む〜よ」で終わるプロジェクト名の場合にDISTINCTが効かない
// 現象を確認。回避のため、DISTINCTからExistsを使用するように変更 V0.3.3
// 追記：ロケールを"C"にすれば発生しない。
$sSql =  "SELECT P.*, toUName(P.cid) AS cmname, get_fullpname(P.nupid, P.cpname) AS cpname_f, to_dchar(P.dmake) AS cmake, to_dchar(P.dupdate) AS cupdate, chkLProj(P.npid) AS cdelete, toINum(P.npid) AS ni ";
$sSql .= "FROM vproj P ";
$sSql .= "WHERE P.csucce IS NULL ";
if(isset($g_toppid) && ($g_toppid != -1)){
	$sSql .= sprintf("AND P.n1 = %d ", $g_toppid);
}
if($auth->auth["uname"] != "admin"){
	$sSql .= sprintf("AND (P.cid = '%s' OR EXISTS (SELECT * FROM tpmember M WHERE M.npid = P.npid AND M.cid = '%s')) ",$auth->auth["uname"], $auth->auth["uname"]);
}
$sSql .= "ORDER BY n1 DESC,n2,n3,n4,n5,n6,n7,n8,n9,npid";	// add DESC V0.3
?>

<table border="0" cellspacing="0" cellpadding="0">
<tr><td colspan="2" nowrap>
<p class="caption">
編集するプロジェクトを選択してください。<br>
</p>
</td></tr>
<tr><td colspan="2">
<table class="view" cellspacing="0">
<tr>
<th nowrap><font size="-1">項番</font></th>
<th nowrap><font size="-1">編集</font></th>
<th nowrap><font size="-1">プロジェクト名</font></th>
<th nowrap><font size="-1">項数</font></th>
<th nowrap><font size="-1">作成者</font></th>
<th nowrap><font size="-1">作成日</font></th>
<th nowrap><font size="-1">削除</font></th>
</tr><tr>

<?php
$db->query($sSql);
$db->seek($strow);
$row = $strow + 1;
while($db->next_record()){
	$even = "odd";
	$out = "outColor";
	if($g_pid == $db->f("npid")){
		$even = "cur";
		$out = "curColor";
	}else if($row%2 == 0){
		$even = "even";
	}
	printf("<tr class=%s id=r%d onMouseOver='ovrColor(%d);' onMouseOut='%s(%d);'>\n",$even, $row, $row, $out, $row);
	// 項番
	print("<td class=\"bd caption\">\n");
	printf("%04d\n", $itm_id ? $db->f("npid") : $row);
	// 編集
	print("</td><td class=\"bd view\">\n");
	printf("<input type=\"button\" name=\"UPPROJ\" value=\"編集\" onClick=\"jref(%d)\">\n", $db->f("npid"));
	// プロジェクト名
	print("</td><td class=\"bd view\">\n");
	printf("<font size=\"-1\"><b>%s</b></font>\n", htmlspecialchars($db->f("cpname_f")));
	// 項目数
	print("</td><td class=\"bd view\" align=\"right\">\n");
	printf("%d\n", $db->f("ni"));
	// 作成者
	print("</td><td class=\"bd view\" nowrap>\n");
	printf("<font size=\"-1\">%s</font>\n", htmlspecialchars($db->f("cmname")));
	// 作成日
	print("</td><td class=\"bd view\">\n");
	printf("<font size=\"-2\">%s</font>\n", $db->f("cmake"));
	// 削除
	print("</td><td class=\"bd view\">\n");
	if(($db->f("cdelete") == '0') && (($db->f("cid") == $auth->auth["uname"]) || ($auth->auth["uname"] == "admin"))){
		printf("<input type=\"button\" name=\"DLPROJ\" value=\"削除\" onClick=\"jdel(%d,%d)\">\n", $db->f("npid"), $db->f("ni"));
	}else{
		print("&nbsp;\n");
	}
	print("</td></tr>\n");
	$row++;
	if($g_maxrow > 0){
		if($row - $strow > $g_maxrow){
			break;
		}
	}
}
?>
</table>
</td></tr>
<?php include("ti_pages_2.inc"); ?>
</table>

<p class="caption"><font size="-2">
作成者であるか、プロジェクトメンバに含まれているプロジェクトが一覧されます。（adminの場合は全てが一覧されます。）<br>
プロジェクトの削除が行えるのは作成者とadminだけです。ただし、下位プロジェクトを持つプロジェクトは削除できません。<br>
注）「プロジェクト選択」の画面で指定した「第１層プロジェクト」「頁行数」はこの画面の一覧内容にも影響しています。
</font></p>
</body>
</html>
<?php
  page_close();
?>

