<?php
/*
*	$id:ti_up_proj_ctrl_act.php (c)A.Ida 2017/3/10 15:37:31
*	テスト項目運用システム - プロジェクト編集実行部
*/
include("ti_prepend.inc");
page_open(array("sess"=>"Ti_Session",
		"auth"=>"Ti_Auth",
		"perm"=>"Ti_Perm"));
$perm->check("leader");
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>
<link rel="STYLESHEET" href="tistyle.css" type="TEXT/CSS">
<title>TI-System - プロジェクト編集実行</title>
</head>

<body class="act">

<div align="center">
<?php
$req = new ti_request();
$pid = $req->getReqCheck("pid");
$pname = $req->getReqCheck("pname");
$cids = $req->getReqCheck("cids");
$url = $req->getReq("url", "");

$db = new DB_Ti(true);

// プロジェクト名重複チェック
$sSql = sprintf("SELECT * FROM tproj WHERE npid = %d", $pid);
$db->query($sSql);
$db->next_record();
$sSql = sprintf("SELECT * FROM tproj WHERE npid != %d AND nupid = %d AND cpname = '%s'", $pid, $db->f("nupid"), a($pname));
$db->query($sSql);
$dup = $db->num_rows();

if($dup == 0){
	$res = TRUE;
	$db->query("BEGIN");
	// プロジェクト名
	$sSql = sprintf("UPDATE tproj SET cpname = '%s', dupdate = 'NOW'  WHERE npid = %d", a($pname), $pid); 
	$db->query($sSql);
	if($db->affected_rows()){
	// プロジェクトメンバ
		// 事前削除（メンバと担当者の参照整合が無いことが前提）
		$sSql = sprintf("DELETE FROM tpmember WHERE npid = %d", $pid);
		$db->query($sSql);
		// 登録
		foreach($cids as $val)
		{
			$sSql = sprintf("INSERT INTO tpmember VALUES (%d, '%s')", $pid, $val);
			$db->query($sSql);
			if($db->affected_rows() == 0){
				$res = FALSE;
				break;
			}
		}
		if($res){
		// リポジトリＵＲＬ
			// 既存確認
			$sSql = sprintf("SELECT count(*) AS cnt FROM trepos WHERE npid = %d", $pid);
			$db->query($sSql);
			$db->next_record();
			if($db->f("cnt") > 0){
				if(strlen($url) > 0){
				// 更新
					$sSql = sprintf("UPDATE trepos SET curl = '%s' WHERE npid = %d", a($url), $pid);
				}else{
				// 削除
					$sSql = sprintf("DELETE FROM trepos WHERE npid = %d", $pid);
				}
			}else{
				if(strlen($url) > 0){
				// 追加
					$sSql = sprintf("INSERT INTO trepos (npid, curl) VALUES (%d, '%s')", $pid, a($url));
				}else{
				// 無処理
					$sSql = "";
				}
			}
			if(strlen($sSql) > 0){
				$db->query($sSql);
				if($db->affected_rows() == 0){
					$res = FALSE;
				}
			}
		}
	}else{
		$res = FALSE;
	}
	if($res){
		$db->query("END");
		print("<h3>更新しました。</h3>");
	}else{
		print("<p class=\"error\">更新が失敗しました。");
		print($db->Error);
		print("</p>");
		$db->query("ROLLBACK");
	}
}else{
	print("<p class=\"error\">同一プロジェクト名が既に登録されています。</p>");
}
?>

</div>
</body>
</html>
<?php
  page_close();
?>

