<?php
/*
*	$id:ti_up_user_ctrl.php (c)A.Ida 2017/3/10 15:37:30
*	テスト項目運用システム - ユーザ編集一覧
*/
include("ti_prepend.inc");
page_open(array("sess"=>"Ti_Session",
		"auth"=>"Ti_Auth",
		"perm"=>"Ti_Perm"));
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>
<link rel="STYLESHEET" href="tistyle.css" type="TEXT/CSS">
<SCRIPT type="text/javascript" src="ti_lstCtrl.js"></script>
<SCRIPT Language="JavaScript">
<!--
function jref(id){
	window.open('<?php $sess->purl("ti_up_user_ctrl_2.php?dmy=0"); ?>&id=' + id, '_self');
}
function jdel(id){
	if(confirm("ユーザ（" + id + "）を削除します。\nよろしいですか。")){
		window.open('<?php $sess->purl("ti_up_user_ctrl_del.php?dmy=0"); ?>&id=' + id, '_self');
	}
	return false;
}
function pgmove(dir,row){
	window.open('<?php $sess->purl("ti_up_user_ctrl.php?dmy=0"); ?>&dir=' + dir + '&strow=' + row, '_self');
}
// -->
</SCRIPT>
<title>TI-System - ユーザ編集</title>
</head>

<body class="fit">

<?php
$db = new DB_Ti;
include("ti_pages_1.inc");

$sSql =  "SELECT A.*, U.cname, coalesce(to_char(U.dlogin, 'YYYY/MM/DD'), '&nbsp') AS clogin, chkUser(A.username) AS cdelete ";
$sSql .= "FROM auth_user_md5 A, muser U ";
$sSql .= "WHERE A.username = U.cid ";
if($auth->auth["uname"] != "admin"){
	$sSql .= "AND A.username != 'admin' ";
}
$sSql .= "ORDER BY U.cid";
?>

<table border="0" cellspacing="0" cellpadding="0">
<tr><td colspan="2" nowrap>
<p class="caption">
編集するユーザを選択してください。
</p>
</td></tr>
<tr><td colspan="2">
<table class="view" cellspacing="0">
<tr>
<th nowrap><font size="-1">項番</font></th>
<th nowrap><font size="-1">編集</font></th>
<th nowrap><font size="-1">ユーザＩＤ</font></th>
<th nowrap><font size="-1">ユーザ名称</font></th>
<th nowrap><font size="-1">権限</font></th>
<th nowrap><font size="-1">最終ログイン日</font></th>
<th nowrap><font size="-1">削除</font></th>
</tr><tr>

<?php
$db->query($sSql);
$db->seek($strow);
$row = $strow + 1;
while($db->next_record()){
	$even = "odd";
	if($row%2 == 0){
		$even = "even";
	}
	printf("<tr class=%s id=r%d onMouseOver='ovrColor(%d);' onMouseOut='outColor(%d);'>\n",$even, $row, $row, $row);
	// 項番
	print("<td class=\"bd caption\">\n");
	printf("%04d\n", $row);
	// 編集
	print("</td><td class=\"bd view\">\n");
	if(($auth->auth["uname"] == "admin") || ($db->f("perms") != "admin") || ($db->f("username") == $auth->auth["uname"])){
		printf("<input type=\"button\" name=\"UPUSER\" value=\"編集\" onClick=\"jref('%s')\">\n", $db->f("username"));
	}else{
		print("&nbsp;\n");
	}
	// ユーザＩＤ
	print("</td><td class=\"bd view\">\n");
	printf("%s", $db->f("username"));
	// ユーザ名称
	print("</td><td class=\"bd view\">\n");
	printf("%s", htmlspecialchars($db->f("cname")));
	// 権限
	print("</td><td class=\"bd view\">\n");
	printf("%s\n", $c_aary[$db->f("perms")]);
	// 最終ログイン日
	print("</td><td class=\"bd view\">\n");
	printf("%s\n", $db->f("clogin"));
	// 削除
	print("</td><td class=\"bd view\">\n");
	if(($db->f("username") == "admin") || ($db->f("username") == $auth->auth["uname"]) || ($db->f("cdelete") == '1') || (($auth->auth["uname"] != "admin") && ($db->f("perms") == "admin"))){
		print("&nbsp;\n");
	}else{
		printf("<input type=\"button\" name=\"DLUSER\" value=\"削除\" onClick=\"jdel('%s')\">\n", $db->f("username"));
	}
	print("</td></tr>\n");
	$row++;
	if($g_maxrow > 0){
		if($row - $strow > $g_maxrow){
			break;
		}
	}
}
?>
</table>
</td></tr>
<?php include("ti_pages_2.inc"); ?>
</table>

<p class="caption"><font size="-2">
自分以外の管理者を編集することはできません（adminを除く）<br>
自分自身とプロジェクトのメンバとして登録されているメンバは削除できません。<br>
</font></p>

</body>
</html>
<?php
  page_close();
?>

