<?php
/*
*	$id:ti_use_tool_find.php (c)A.Ida 2017/3/10 15:37:31
*	テスト項目運用システム - 検索（プロジェクト選択）
*/
include("ti_prepend.inc");
page_open(array("sess"=>"Ti_Session",
		"auth"=>"Ti_Auth",
		"perm"=>"Ti_Perm"));
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>
<link rel="STYLESHEET" href="tistyle.css" type="TEXT/CSS">
<SCRIPT Language="JavaScript">
<!--
<?php require_once("ti_lstCtrl.js"); ?>
function fckck(cForm){
	var bck = chkck(cForm);
	cForm.bfind.disabled = !bck;
	cForm.bclrck.disabled = !bck;
};
function fclrck(cForm){
	chkclr(cForm);
	cForm.bfind.disabled = true;
	cForm.bclrck.disabled = true;
};
function ftglck(cForm){
	chktgl(cForm);
	fckck(cForm);
};
// -->
</SCRIPT>
<title>TI-System - 検索</title>
</head>

<body class="fit">

<?php
$req = new ti_request();
$g_toppid = $req->getSess("g_toppid", -1);
$g_pid = $req->getSess("g_pid", -1);
$lic = new ti_lic();
$itm_id = $lic->chkItemId(2);
$db = new DB_Ti;

$sSql = "SELECT P.*, ";
$sSql .= "toUName(P.cid) AS cmname, ";
$sSql .= "get_fullpname(P.nupid, P.cpname) AS cpname_f, ";
$sSql .= "I.icnt ";
$sSql .= "FROM vproj P ";
$sSql .= sprintf("INNER JOIN tpmember M ON P.npid = M.npid AND M.cid = '%s' ", $auth->auth["uname"]);
$sSql .= "LEFT JOIN (SELECT DISTINCT npid, 1 AS icnt FROM titem GROUP BY npid) I ON I.npid = P.npid ";
$sSql .= "WHERE P.csucce IS null ";
if(isset($g_toppid) && ($g_toppid != -1)){
	$sSql .= sprintf("AND P.n1 = %d ", $g_toppid);
}
$sSql .= "ORDER BY n1 DESC,n2,n3,n4,n5,n6,n7,n8,n9,npid";
?>

<form name="frmFindProjs" target="tool_ctrl" method="POST" action="ti_use_tool_find2.php">

<table border="0" cellspacing="0" cellpadding="0">
<tr><td nowrap>
<p class="caption">
検索対象にしたいプロジェクトを選択してください。 
</p>
</td><td align="right">
<input type="button" name="bclrck" onClick="fclrck(document.frmFindProjs);" value="解除" disabled>
<input type="button" name="btglck" onClick="ftglck(document.frmFindProjs);" value="反転">
&nbsp;
<input type="submit" name="bfind" value="次へ" disabled>
</td></tr>
<tr><td colspan="2">
<table class="view" cellspacing="0">
<tr>
<th nowrap><font size="-1">項番</font></th>
<th nowrap><font size="-1">対象</font></th>
<th nowrap><font size="-1">プロジェクト名</font></th>
<th nowrap><font size="-1">作成者</font></th>
</tr><tr>

<?php
$db->query($sSql);
$row = 1;
while($db->next_record()){
	$even = "odd";
	$out = "outColor";
	if($g_pid == $db->f("npid")){
		$even = "cur";
		$out = "curColor";
	}else if($row%2 == 0){
		$even = "even";
	}
	printf("<tr class=%s id=r%d onMouseOver='ovrColor(%d);' onMouseOut='%s(%d);'>\n",$even, $row, $row, $out, $row);
	// 項番
	print("<td class=\"bd caption\">\n");
	printf("%04d\n", $itm_id ? $db->f("npid") : $row);
	// 対象
	print("</td><td class=\"bd view\">\n");
	if($db->f("icnt") > 0){
		printf("<input type=\"checkbox\" name=\"ck[]\" value=\"%d\" onClick=\"fckck(document.frmFindProjs)\">\n", $db->f("npid"));
	}else{
		print("&nbsp;\n");
	}
	// プロジェクト名
	print("</td><td class=\"bd view\">\n");
	printf("<font size=\"-1\"><b>%s</b></font>\n", htmlspecialchars($db->f("cpname_f")));
	// 作成者
	print("</td><td class=\"bd view\" nowrap>\n");
	printf("<font size=\"-1\">%s</font>\n", htmlspecialchars($db->f("cmname")));
	print("</td></tr>\n");
	$row++;
//	if($g_maxrow > 0){
//		if($row - $strow > $g_maxrow){
//			break;
//		}
//	}
}
?>
</table>
</td></tr>
</table>

<p class="caption"><font size="-2">
項目が存在しないプロジェクトは選択できません。<br>
注）「プロジェクト選択」の画面で指定した「第１層プロジェクト」はこの画面の一覧内容にも影響していまが、「頁行数」は無効です。
頁制御されず全てを一覧します。
</font></p>
</form>
</body>
</html>
<?php
  page_close();
?>

