<?php
/*
*	$id:ti_use_tool_ul.php (c)A.Ida 2017/3/10 15:37:31
*	テスト項目運用システム - アップロード一覧
*/
include("ti_prepend.inc");
page_open(array("sess"=>"Ti_Session",
		"auth"=>"Ti_Auth",
		"perm"=>"Ti_Perm"));
$perm->check("tester");
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>
<link rel="STYLESHEET" href="tistyle.css" type="TEXT/CSS">
<SCRIPT type="text/javascript" src="ti_lstCtrl.js"></script>
<SCRIPT Language="JavaScript">
<!--
function jrd(pid){
	window.open('<?php $sess->purl("ti_use_tool_ul_ctrl.php?dmy=0"); ?>&pid=' + pid, '_self');
}
function pgmove(dir,row){
	window.open('<?php $sess->purl("ti_use_tool_ul.php?dmy=0"); ?>&dir=' + dir + '&strow=' + row, '_self');
}
// -->
</SCRIPT>
<title>TI-System - ファイル読込一覧</title>
</head>

<body class="fit">

<?php
$req = new ti_request();
$g_toppid = $req->getSess("g_toppid", -1);
$g_pid = $req->getSess("g_pid", -1);
$lic = new ti_lic();
$itm_id = $lic->chkItemId(2);

$db = new DB_Ti;
require_once("ti_pages_1.inc");

$sSql = "SELECT P.*, ";
$sSql .= "toUName(P.cid) AS cmname, ";
$sSql .= "get_fullpname(P.nupid, P.cpname) AS cpname_f, ";
$sSql .= "I.icnt ";
$sSql .= "FROM vproj P ";
$sSql .= sprintf("INNER JOIN tpmember M ON P.npid = M.npid AND M.cid = '%s' ", $auth->auth["uname"]);
$sSql .= "LEFT JOIN (SELECT DISTINCT npid, 1 AS icnt FROM titem GROUP BY npid) I ON I.npid = P.npid ";
$sSql .= "WHERE P.csucce IS null ";
if(isset($g_toppid) && ($g_toppid != -1)){
	$sSql .= sprintf("AND P.n1 = %d ", $g_toppid);
}
$sSql .= "ORDER BY n1 DESC,n2,n3,n4,n5,n6,n7,n8,n9,npid";
?>

<table border="0" cellspacing="0" cellpadding="0">
<tr><td colspan="2" nowrap>
<p class="caption">
対象プロジェクトを選択してください。 
</p>
</td></tr>
<tr><td colspan="2">
<table class="view" cellspacing="0">
<tr>
<th nowrap><font size="-1">項番</font></th>
<th nowrap><font size="-1">読込</font></th>
<th nowrap><font size="-1">プロジェクト名</font></th>
<th nowrap><font size="-1">作成者</font></th>
</tr><tr>

<?php
$db->query($sSql);
$db->seek($strow);
$row = $strow + 1;
while($db->next_record())
{
	$even = "odd";
	$out = "outColor";
	if($g_pid == $db->f("npid")){
		$even = "cur";
		$out = "curColor";
	}else if($row%2 == 0){
		$even = "even";
	}
	printf("<tr class=%s id=r%d onMouseOver='ovrColor(%d);' onMouseOut='%s(%d);'>\n",$even, $row, $row, $out, $row);
	// 項番
	print("<td class=\"bd caption\">\n");
	printf("%04d\n", $itm_id ? $db->f("npid") : $row);
	// 読込
	print("</td><td class=\"bd view\">\n");
	if($db->f("icnt") > 0){
		print("&nbsp;\n");
	}else{
		printf("<input type=\"button\" name=\"RDFILE\" value=\"読込\" onClick=\"jrd('%d')\">\n", $db->f("npid"));
	}
	// プロジェクト名
	print("</td><td class=\"bd view\">\n");
	printf("<font size=\"-1\"><b>%s</b></font>\n", htmlspecialchars($db->f("cpname_f")));
	// 作成者
	print("</td><td class=\"bd view\" nowrap>\n");
	printf("<font size=\"-1\">%s</font>\n", htmlspecialchars($db->f("cmname")));
	print("</td></tr>\n");
	$row++;
	if($g_maxrow > 0){
		if($row - $strow > $g_maxrow){
			break;
		}
	}
}
?>
</table>
</td></tr>
<?php include("ti_pages_2.inc"); ?>
</table>

<p class="caption"><font size="-2">
既に項目が登録されているプロジェクトは選択できません。<br>
注）「プロジェクト選択」の画面で指定した「第１層プロジェクト」「頁行数」はこの画面の一覧内容にも影響しています。
</font></p>
</body>
</html>
<?php
  page_close();
?>

