<?php
/*
*	$id:ti_use_tool_ul_ctrl.php (c)A.Ida 2017/3/10 15:37:31
*	テスト項目運用システム - ＣＳＶ読込
*/
include("ti_prepend.inc");
page_open(array("sess"=>"Ti_Session",
		"auth"=>"Ti_Auth",
		"perm"=>"Ti_Perm"));
$perm->check("tester");
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>
<link rel="STYLESHEET" href="tistyle.css" type="TEXT/CSS">
<SCRIPT type="text/javascript" src="ckForm.js"></script>
<SCRIPT Language="JavaScript">
<!--
function atUpload(){
	var parry = new Array(1,0);
	var narry = new Array(0,0);
	ckForm(document.frmUpload, parry, narry, "");
};
// -->
</SCRIPT>
<title>テスト項目運用システム - ファイル読込</title>
</head>

<body class="fit">
<form name="frmUpload" method="POST" action="<?php $sess->purl('ti_use_tool_ul_act.php'); ?>" enctype="multipart/form-data">
<?php
$req = new ti_request();
$pid = $req->getReqCheck("pid");
$db = new DB_Ti;
$get = new ti_get($db);
$pname_f = $get->fullPrjName($pid);
?>
<p class="caption">
分類や項目が記述されたＣＳＶファイルを指定して【転送】ボタンを押してください。<br>
ファイルのフォーマットは「ファイル出力」−「項目」で取り出されるものと同じですが、実績は無視されます。また、項目を含まず分類だけでもかまいません。<br>
詳細はヘルプを参照してください。
</p>
<input type="hidden" name="MAX_FILE_SIZE" value="5000000" />
<input type="hidden" name="pid" value="<?php print($pid); ?>" />
<table class="form" border="0" cellpadding="5">
<tr>
<td class="caption3" nowrap>
対象プロジェクト：
</td><td colspan="2">
<?php print($pname_f); ?>
</td></tr>
<tr>
<td class="caption3" nowrap>
ファイル指定：
</td><td colspan="2">
<input type="file" name="upfl" accept=".txt,.csv,text/plain,text/comma-separated-values" size="42" class="en" style="width:500px;">
</td></tr>
<tr><td class="caption3" nowrap>
項目行：
</td><td align="left">
<select name="fhead">
<option value=1>1</option>
<option value=2 selected>2</option>
<option value=3>3</option>
<option value=4>4</option>
<option value=5>5</option>
</select>
行目
</td></tr>
<tr><td class="caption3" nowrap>
区切り文字：
</td><td align="left">
<select name="fdelm">
<option value=0>カンマ</option>
<option value=1>タブ</option>
</select>
</td></tr>
<tr><td class="caption3" nowrap>
オプション：
<td align="left">
<input type="checkbox" name="fcls" value=1>分類のみ
&nbsp;&nbsp;
<input type="checkbox" name="fcmt" value=1>強制コミット
</td></tr>
<tr><td>
</td><td align="right" nowrap>
<input type="button" name="upload" value="　転　送　" onClick="atUpload();">
</td></tr>
</table>
</form>
</td></tr>
</table>
</body>
</html>
<?php
  page_close();
?>

