<?php
/*
*	$id:timon.php (c)A.Ida 2017/3/10 15:37:30
*	テスト項目運用システム - モニター通知 V1.0
*	for V0.5
*/
require_once("ti_db.inc");
$uid = $_REQUEST["uid"];
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>
<link rel="STYLESHEET" href="tistyle.css" type="TEXT/CSS">
<title>TI-System - モニター通知</title>
</head>
<body>
<h2 class="proj">
障害・相談新規投稿モニター
</h2>
<table border="0">
<tr><td>Ver.</td><td>1.0</td></tr>
</table>
<br>
<?php if (strlen($uid) > 0): ?>
担当者：<?php print($uid); ?><br><br>
<?php
$db = new DB_Ti;
// 未回答障害数
$sSql  = "SELECT count(*) AS acnt ";
$sSql .= "FROM vbug ";
$sSql .= sprintf("WHERE cid_a IS null AND cid_p = '%s'", $uid);
$db->query($sSql);
$db->next_record();
$bcnt = $db->f("acnt");
$bmax = $db->f("amax");
// 未回答相談数・最大相談ID
$sSql  = "SELECT COALESCE(max(nckey),0) AS amax, count(*) AS acnt ";
$sSql .= "FROM vconvers ";
$sSql .= sprintf("WHERE cid_a = '%s' AND nans IS null", $uid);
$db->query($sSql);
$db->next_record();
$ccnt = $db->f("acnt");
$cmax = $db->f("amax");
?>

<table border="1" class="view">
<tr><th>
項目
</th><th>
値
</th></tr>
<tr><td class="caption">
未回答障害数
</td><td align="right">
<?php print($bcnt); ?>
</td></tr>
<tr><td class="caption">
未回答相談数
</td><td align="right">
<?php print($ccnt); ?>
</td></tr>
<tr><td class="caption">
未回答最大相談ＩＤ
</td><td align="right">
<?php print($cmax); ?>
</td></tr>
</table>

<br>

プロジェクト別最大障害ＩＤ<br>
<table border="1" class="view">
<tr><th>
通番
</th><th>
プロジェクト番号
</th><th>
最大障害ID
</th></tr>
<?php
// 最大障害ID
$sSql  = "SELECT npid, max(nbid) AS amax ";
$sSql .= "FROM vbug ";
$sSql .= sprintf("WHERE cid_a IS null AND cid_p = '%s' ", $uid);
$sSql .= "GROUP BY npid";
$db->query($sSql);
$i = 0;
while($db->next_record()){
	$i++;
	print("<tr>\r\n");
	printf("<td>B%d</td>\r\n",$i);
	printf("<td>%d</td>\n\r",$db->f("npid"));
	printf("<td align='right'>%d</td>\r\n",$db->f("amax"));
	print("</tr>\r\n");
}
?>
</table>

<?php else: ?>
<p class="error">
ユーザIDが指定されていません。
</p>
<?php endif; ?>

</body>
</html>

