<?php
/*
*	$id:ti_lump.inc (c)A.Ida 2017/3/10 15:37:31
*	一括変更
*	１行ずつ処理してるので結構遅いだろうが、現状では仕様^^;
*/

class ti_lump {
	var $p_req;
	var $g_prePid;
	var $p_Msg;
	var $p_Set;
	
	var $db;
	
	// コンストラクタ
	function ti_lump($req){
		$this->req = $req;
		$this->p_Msg = "";
		$this->g_prePid = "";
		$this->db = new DB_Ti(true);
	}
	
	// 有効判定
	function is_eff($val){
		$bret = false;
		if(!is_null($val)){
			if($val != -1){
				if($val != ""){
					$bret = true;
				}
			}
		}
		return $bret;
	}
	
	// メンバ判定
	function ckCharge($pid, $uid1, $uid2){
		$bret = true;
		$uidNum = 0;
		if($pid != $this->g_prePid){
			$uids = "";
			if($this->is_eff($uid1)){
				$uids .= "'" . $uid1 . "'";
				$uidNum++;
			}
			if($uid1 != $uid2){
				if($this->is_eff($uid2)){
					if($uidNum > 0){
						$uids .= ", ";
					}
					$uids .= "'" . $uid2 . "'";
					$uidNum++;
				}
			}
			if($uidNum > 0){
				$sSql = sprintf("SELECT cid FROM tpmember WHERE npid = %d AND cid IN (%s)", $pid, $uids);
				$this->db->query($sSql);
				if($this->db->num_rows() < $uidNum){
				// 問題あり
					$bret = false;
					$sSql = sprintf("SELECT toPName(%d) AS cpname_f", $pid);
					$this->db->query($sSql);
					$this->db->next_record();
					$pname = $this->db->f("cpname_f");
					$this->p_Msg = sprintf("指定された担当者が「%s」プロジェクトにメンバ登録されていません。", $pname);
				}else{
					$this->p_prePid = $pid;
				}
			}
		}
		return $bret;
	}

	// UPDATEのSET文生成
	function mkSet(){
		$req = $this->req;
		$this->p_Set = $sSet = "";
		// 主担当
		if($this->is_eff($req["charge1"])){
			$sSet .= sprintf("cid = '%s', ", $req["charge1"]);
		}
		// 副担当
		if($this->is_eff($req["charge2"])){
			$sSet .= sprintf("cid2 = '%s', ", $req["charge2"]);
		}
		// 重要度
		if($this->is_eff($req["simp"])){
			$sSet .= sprintf("nimp = %d, ", $req["simp"]);
		}
		// 難易度
		if($this->is_eff($req["sdif"])){
			$sSet .= sprintf("ndif = %d, ", $req["sdif"]);
		}
		// 予定日
		if($this->is_eff($req["syear"]) && $this->is_eff($req["smonth"]) && $this->is_eff($req["sday"])){
			$sSet .= sprintf("dplan = to_date('%04d/%02d/%02d', 'YYYY/MM/DD'), ", $req["syear"], $req["smonth"], $req["sday"]);
		}
		// 最後の,を取る
		if(strlen($sSet) > 0){
			$sSet = substr($sSet, 0, strrpos($sSet, ","));
		}
		$this->p_Set = $sSet;
		return $sSet;
	}

	// １項目更新
	function oneUpdate($pid, $iid){
		$req = $this->req;
		// 事前確認
		$bret = $this->ckCharge($pid, $req["charge1"], $req["charge2"]);
		
		if($bret){
			if(strlen($this->p_Set) > 0){
				// 数値変更
				$sSql = sprintf("UPDATE titem SET %s WHERE npid = %d AND niid = %d", $this->p_Set, $pid, $iid);
				$this->db->query($sSql);
			}
			if(strlen($req["prestr"]) > 0){
				// 現在値取得
				$sSql  = "SELECT cope, cexp FROM titem ";
				$sSql .= sprintf("WHERE npid = %d AND niid = %d ", $pid, $iid);
				$sSql .= sprintf("AND (cope like '%%%s%%' OR cexp like '%%%s%%')", $req["prestr"], $req["prestr"]);
				$this->db->query($sSql);
				if($this->db->next_record()){
					// 文字列置換
					$sope = str_replace($req["prestr"],$req["aftstr"],$this->db->f("cope"));
					$sexp = str_replace($req["prestr"],$req["aftstr"],$this->db->f("cexp"));
					$sSql = sprintf("UPDATE titem SET cope = '%s', cexp = '%s' ", addslashes($sope), addslashes($sexp));
					$sSql .= sprintf("WHERE npid = %d AND niid = %d", $pid, $iid);
					$this->db->query($sSql);
				}
			}
		}
		return $bret;
	}
	
	// 一括処理
	// $iids: pid-iid形式文字列の配列
	function UpAll($iids){
		$bret = true;
		$this->mkSet();
		$this->db->query("BEGIN");
		while(list($key, $val) = each($iids)){
			list($pid, $iid) = explode("-", $val, 2);
			$bret = $this->oneUpdate($pid, $iid);
			if($bret == false){
				break;
			}
		}
		if($bret){
			$this->db->query("END");
		}else{
			$this->db->query("ROLLBACK");
		}
		return $bret;
	}
}
