<?php
/*
*	$id:ti_run_init.inc (c)A.Ida 2017/3/10 15:37:31
*	実施画面変数初期化
*/

// 検索条件値の確定（省略値設定）
$req = new ti_request();
// プロジェクトＩＤ
$g_pid = $req->getSessCheck("g_pid");
// ラウンド
$g_nr = $req->getSessCheck("g_nr");
// 表示モード
$g_imode = $req->getSess("g_imode", "VIEW");
// 担当
$g_charge = $req->getReqSessSet("charge", "g_charge", 3);
// 済表示
$g_examv = $req->getCBReqSessSet("examv", "charge", "g_examv", 0, 0);
// 予定日
$g_pday = $req->getReqSessSet("spday", "g_pday", 0);
// 重要度
$g_imp = $req->getReqSessSet("simp", "g_imp", 0);
// 分類01
$g_sclass = $req->getReqSessSet("sclass", "g_sclass", -1);
// 添付資料種別
$_SESSION["atkind"] = $g_atkind = "I";

// 検索条件WHERE節作成
$where = "";
$where .= sprintf("WHERE I.npid = %d AND ", $g_pid);
if($g_charge > 0){
	$where .= "(";
	if($g_charge & 1){
		$where .= sprintf("(cid = '%s') ", $auth->auth["uname"]);
		if($g_charge & 2){
			$where .= "OR ";
		}
	}
	if($g_charge & 2){ 
		$where .= sprintf("(cid2 = '%s')", $auth->auth["uname"]);
	}
	$where .= ") AND ";
}
if($g_imode != "CARD"){	// CARDの場合済み状態でもカレント認識のために対象にする必要あり
	if($g_examv != 1){
		$where .= sprintf("nround < %d AND ", $g_nr);		
	}
}
if($g_pday > 0){
	if($g_pday == 1){
		$sf = "<=";
	}else{
		$sf = "<";
	}
	$where .= sprintf("dplan %s sysdate() AND ", $sf);
}
// add V0.3.1
// V0.4.1 r2 有効な分類IDの場合のみ処理するように変更
if($g_sclass > 0){
	// 配下の分類ＩＤ取得
	$sSql2  = sprintf("SELECT get_ClassChildren(%d,%d,'%d') AS classs", $g_pid, $g_sclass, $g_sclass);
	$sSql2 .= ", count(*) AS cnt FROM tclass";
	$sSql2 .= sprintf(" WHERE npid = %d AND ncid = %d", $g_pid, $g_sclass);
	$db->query($sSql2);
	$db->next_record();
	if($db->f("cnt") > 0){
		$where .= sprintf("I.ncid IN (%s) AND ", $db->f("classs"));
	}else{
		$g_sclass = -1;
	}
}

$where .= sprintf("nimp >= %d", $g_imp);		
$order = " ORDER BY o1, o2, o3, o4, o5, o6, o7, o8, o9, I.norder";	// excheng V0.2
?>