<?php
/*
*	$id:ti_tvCls.inc (c)A.Ida 2017/3/10 15:37:31
*	分類TreeView作成 (jQuery版）
*/

class ti_tvcls {
	var $g_pid;
	var $g_root;
	var $g_rlvl;
	var $g_rlvl_N;

	var $g_lvl_pre;
	
	var $db;

	// コンストラクタ
	function ti_tvcls(&$sess, $pid, $rootcls = 0){
		$this->g_pid  = $pid;
		$this->g_root = $rootcls;
		$this->g_url = $sess->url("ti_run_item_2_card.php?dmy=tv");
		
		// ＤＢクラス作成
		$this->db = new DB_Ti;
		
		// 分類リスト取得
		$sSql  = sprintf("SELECT *, oneline(cclass) AS cls_ol FROM vclass WHERE npid = %d", $pid);
		$sSql .= " ORDER BY o1,o2,o3,o4,o5,o6,o7,o8,o9";
		$this->db->query($sSql);
		// 開始分類に移動
		while($this->db->next_record()){
			if($this->db->f("ncid") == $rootcls){
				$this->g_rlvl = $this->db->f("nlvl");
				$this->g_rlvl_N = sprintf("n%d", $this->g_rlvl);
				$this->g_lvl_pre = $this->g_rlvl;
				break;
			}else if($rootcls == 0){
				$this->g_rlvl = 0;
				$this->g_lvl_pre = 1;
				break;
			}
		}
	}
	
	// ルート出力
	function initOut($name){
		print("<ul id='$name' class='treeview'>\n");
	}
	
	// １分類取得
	function OneClsOut(){
		$res = TRUE;
		if($this->g_rlvl > 0){
			if($this->db->f($this->g_rlvl_N) != $this->g_root){
				// 開始クラス配下でなくなった
				$res = FALSE;
			}
		}
		if($res){
			$cid   = $this->db->f("ncid");						// 分類ＩＤ
			$lvl   = $this->db->f("nlvl");						// 階層
			$cname = htmlspecialchars($this->db->f("cls_ol"));	// 分類名
			// ノード出力
			if($lvl > $this->g_lvl_pre)
			{
				while($lvl > $this->g_lvl_pre){ print("<ul>\n"); $this->g_lvl_pre++; }
			}
			else if($lvl < $this->g_lvl_pre)
			{
				while($lvl < $this->g_lvl_pre){ print("</ul>\n</li>\n"); $this->g_lvl_pre--; }
			}
			printf("<li><a href = '%s&pid=%d&cid=%d&lvl=%d' target='item_view_card'>%s</a>", $this->g_url, $this->g_pid, $cid, $lvl, $cname);
			// 配下有無確認
			$res = $this->db->next_record();
			$child = false;
			if($res){
				if($this->db->f("nlvl") > $lvl){
					// 配下がある
					$child = true;
				}
			}
			if($child == false)
			{
				print("</li>");
			}
			print("\n");

		}
		return $res;
	}
	
	function endOut(){
		$this->g_lvl_pre--;
		while($this->g_rlvl < $this->g_lvl_pre){ print("</ul>\n</li>\n"); $this->g_lvl_pre--; }
		print("</ul>\n");
	}
}
