<?php
/*
 *	権限付与用ＳＱＬ作成ＰＨＰスクリプト
 *
 *  CLI版PHP.exeを使用してコマンドラインで実行します。
 *  ex) c:\php\php Gr_ti.php
 *
*	$id:Gr_ti.php (c)A.Ida 2017/3/10 15:37:32
 */

function isWin()
{
	return (strpos(PHP_OS, "WIN") === false) ? false : true;
}

function print_ex($str)
{
	//if (isWin())
	//{
	//	$str = mb_convert_encoding($str, "SJIS-WIN", "auto");
	//}
	print $str;
}

$uname_def = (isWin()) ? "tiuser" : "apache";
print_ex("このスクリプトは、権限付与用のＳＱＬ文を作成します。\n");
print_ex("WEBサーバの実行ユーザ名、あるいは接続用ユーザ名を入力して下さい。\n");
print_ex("改行のみの場合は'$uname_def'が使用されます。\n");
echo ">";
$uname = trim(fgets(STDIN));
if (strlen($uname) == 0)
{
	$uname = $uname_def;
}
print_ex("作成するＳＱＬファイルの名前を入力して下さい。\n");
print_ex("既存する場合には警告なく上書きします。\n");
print_ex("改行のみの場合は'Gr_ti.sql'が使用されます。\n");
echo ">";
$fname = trim(fgets(STDIN));
if (strlen($fname) == 0)
{
	$fname = "Gr_ti.sql";
}
$lst = fopen("Gr_ti.lst", "r");
if($lst)
{
	$file = fopen($fname, "w");
	if ($file)
	{
		while($line = trim(fgets($lst)))
		{
			if(strlen($line) > 0)
			{
				$line = sprintf("GRANT ALL ON %s TO \"%s\";\n", $line, $uname);
				fputs($file, $line);
			}
		}
		print_ex(sprintf("%sを作成しました。内容を確認してください。", $fname));
	}
	else
	{
		print_ex(sprintf("%sを作成できません。", $fname));
	}
}
else
{
	print_ex("Gr_ti.lst が見つかりません。");
}
print("\n");
?>
