--
-- $id:alt041to05.sql (c)A.Ida 2017/3/10 15:37:32
-- テスト項目運用システム　ＤＢバージョンアップ
-- V0.5で追加したテーブルを反映します。
--

-- 保留テーブル
-- DROP TABLE TITEMHLD;
CREATE TABLE TITEMHLD (
	NPID	INT4			NOT NULL,	
	NIID	INT4			NOT NULL,	-- 項目ＩＤ
	CKIND	CHAR(1)			NOT NULL,	-- B:障害票 R:根拠
	NADD	INT4			NOT NULL,
	NPID_O	INT4			NOT NULL,
	NID_O	INT4			NOT NULL,	-- 障害番号など
	PRIMARY KEY(NPID, NIID, CKIND, NADD)
);


-- 保留と項目参照整合
ALTER TABLE titemhld ADD CONSTRAINT ref_hld_item
FOREIGN KEY (npid, niid) REFERENCES titem(npid, niid)
ON DELETE CASCADE;


-- 保留有効判定ビュー
-- DROP VIEW vitemhld;
CREATE VIEW vitemhld AS
SELECT DISTINCT
	H.npid,
	H.niid
FROM
	titemhld H
	LEFT JOIN tans A
	ON (H.npid_o = A.npid AND H.nid_o = A.nbid)
WHERE
	A.npid is NULL
;

