<?php
/*
*	$id:ti_ana_item_graph.php (c)A.Ida 2017/3/10 15:37:30
*	テスト項目運用システム - 分析グラフ
*/
include("ti_prepend.inc");
page_open(array("sess"=>"Ti_Session",
		"auth"=>"Ti_Auth",
		"perm"=>"Ti_Perm"));
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>
<link rel="STYLESHEET" href="tistyle.css" type="TEXT/CSS">
<SCRIPT type="text/javascript" src="ckForm.js"></script>
<SCRIPT Language="JavaScript">
<!--
function ckf(cForm){
	var parry = new Array(3,3,0);
	var narry = new Array(0,0,0);
	ckForm(cForm, parry, narry, "");
};
// -->
</SCRIPT>
<title>テスト項目運用システム - 分析グラフ</title>
</head>

<body class="fit">
<?php
$req = new ti_request();
$projs = $req->getReqCheck("projs");
$xsize = $req->getReq("xsize", 640);
$ysize = $req->getReq("ysize", 450);
if ($xsize < 100){ $xsize = 100; }
if ($ysize < 100){ $ysize = 100; }
$rgraph = $req->getReq("rgraph", 0);
$g_pname = $req->getSess("g_pname", "");
?>

<form name="frmAnaGraph" target="_self" method="POST" action="<?php $sess->purl("ti_ana_item_graph.php"); ?>">
<input type="hidden" name="projs" value="<?php print($projs); ?>">
<table border="0" class="form" width="100%"><tr><td>
<h2 class="proj">
分析グラフ：<?php print($g_pname); ?>
</h2>
</td></tr><tr><td nowrap>
<table border="0" width="100%">
<tr><td width="10%" nowrap>
<input type="radio" name="rgraph" value="0">実績推移
<input type="radio" name="rgraph" value="1">信頼度成長曲線
&nbsp;
&nbsp;
幅：
<input type="text" name="xsize" size="5" value=<?php print($xsize); ?>>
&nbsp;
高さ：
<input type="text" name="ysize" size="5" value=<?php print($ysize); ?>>
</td><td nowrap>
&nbsp;
<input type="button" value="再作成" onClick="ckf(document.frmAnaGraph);">
</td><td align="right">
<input type="button" value="閉じる" onClick="window.close();">
</td></tr>
</table>
</table>
</form>
<?php
switch($rgraph)
{
case 1:
	$swk = "trust";
	break;
default:
	$swk = "calen";
	break;
}
printf("<img src='ti_ana_item_graph_%s.php?projs=%s&xsize=%d&ysize=%d'>\n",$swk,$projs,$xsize,$ysize);
?>
<SCRIPT Language="JavaScript">
<!--
<?php
printf("document.frmAnaGraph.rgraph[%d].checked = true;\n",$rgraph);
?>
// -->
</SCRIPT>
</body>
</html>
<?php
  page_close();
?>
