<?php
/*
*	$id:ti_ans_bug_view.php (c)A.Ida 2017/3/10 15:37:30
*	テスト項目運用システム - 障害一覧
*/
include("ti_prepend.inc");
page_open(array("sess"=>"Ti_Session",
		"auth"=>"Ti_Auth",
		"perm"=>"Ti_Perm"));
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>
<link rel="STYLESHEET" href="tistyle.css" type="TEXT/CSS">
<SCRIPT type="text/javascript" src="ti_lstCtrl.js"></script>
<SCRIPT Language="JavaScript">
<!--
function toBug(p,b){
	bugwin = window.open('<?php $sess->purl("ti_up_bug.php?mod=ans"); ?>&pid=' + p + '&bid=' + b, 'tibug');
	bugwin.focus();
}
function pgmove(dir,row){
	window.open('<?php $sess->purl("ti_ans_bug_view.php?dmy=0"); ?>&dir=' + dir + '&strow=' + row, '_self');
}
// -->
</SCRIPT>
<title>テスト項目運用システム　障害票一覧</title>
</head>

<body class="fit">

<?php
$lic = new ti_lic();
$req = new ti_request();
$g_mode = $req->getSess("g_mode", "");
require_once("ti_bugsdef.inc");

$db = new DB_Ti;
include("ti_pages_1.inc");
?>

<form name="frmAnsBugView" target="tibug" method="POST" action="<?php $sess->purl("ti_up_bug.php"); ?>">
<table border="0" cellspacing="0" cellpaddinf="0">
<tr><td colspan="2">
<table class="view" cellspacing="0">
<tr>
<th nowrap><font size="-1">項番</font></th>
<th nowrap><font size="-1">障害番号</font></th>
<th nowrap><font size="-1">プロジェクト名</font></th>
<?php if($lic->chkItemId(1)): ?>
<th nowrap><font size="-1">項目ID</font></th>
<?php endif; ?>
<th nowrap><font size="-1">表題</font></th>
<th nowrap><font size="-1">担当</font></th>
<th nowrap><font size="-1">重度</font></th>
<th nowrap><font size="-1">回答期限</font></th>
<th nowrap><font size="-1">状態</font></th>
<th nowrap><font size="-1">種別</font></th>
</tr>
<input type="hidden" name="dir" value="NON">
<?php
printf("<input type='hidden' name='strow' value=%d>\n", $strow);
$sSql  = "SELECT *, get_fullpname(I.npid,'') AS pname_f, toUName(cid_p) AS charge, toBugStat(I.cid_a, I.cid_c) AS bugstat ";
if($g_stat == 9){	// add V0.3.4
	$sSql .= sprintf("FROM vbug I INNER JOIN tbmark M ON M.cid = '%s' AND M.npid = I.npid AND M.nbid = I.nbid WHERE ", $auth->auth["uname"]);
}else{
	$sSql .= "FROM vbug I WHERE ";
}
// 重要度
$sSql .= sprintf("nimp_b >= %d ", $g_imp);	// > to >= V0.3
// 担当
if($g_charge == 2){
	$sSql .= sprintf("AND cid_b = '%s' ", $auth->auth["uname"]);
}else if($g_charge == 1){
	$sSql .= sprintf("AND cid_p = '%s' ", $auth->auth["uname"]);
}else{
	// 所属プロジェクト add V0.3.1
	$sSql .= sprintf("AND I.npid IN (SELECT npid FROM tpmember WHERE cid = '%s') ", $auth->auth["uname"]);
}
// 期限
if($g_term > 0){
	if($g_term == 1){
		$sign = "<=";
	}else{
		$sign = "<";
	}
	$sSql .= sprintf("AND dterm %s sysdate() ", $sign);
}
// 状態
if($g_stat == 2){
	$sSql .= "AND cid_a IS NULL ";
}else if($g_stat == 1){
	$sSql .= "AND cid_c IS NULL ";
}else if($g_stat == 3){
	$sSql .= "AND cid_a IS NOT NULL AND cid_c IS NULL ";
}
// 種別 add V0.5.1
if($g_kind >= 0)
{
	$sSql .= sprintf("AND nkind = '%s' ", $g_kind);
}
// 第１階層プロジェクト add V0.3.3
if($g_proj == 1){
	if(isset($g_toppid) && ($g_toppid != -1)){
		// 配下プロジェクト取得
		$sSql2 = sprintf("SELECT get_children(%d,'') AS chdr", $g_toppid);
		$db->query($sSql2);
		$db->next_record();
		if(strlen($db->f("chdr")) == 0){
			$projs = sprintf("%d", $g_toppid);
		}else{
			$projs = sprintf("%d, %s", $g_toppid, $db->f("chdr"));
		}
		$sSql .= sprintf("AND I.npid IN (%s) ", $projs);
	}

}
// 対象プロジェクト群 add V0.4.1
if(($g_mode == "ana") && (strlen($g_projs) > 0)){
	$sSql .= sprintf("AND I.npid IN (%s) ", $g_projs);
}
// 文字列 append V0.5
if(strlen($g_keywd) > 0){
	$sSql .= "AND (";
	$sSql .= sprintf("ctitle like '%%%s%%'", $g_keywd);
	$sSql .= " OR " . sprintf("cpheno like '%%%s%%'", $g_keywd);
	$sSql .= " OR " . sprintf("cproc like '%%%s%%'", $g_keywd);
	$sSql .= " OR " . sprintf("ccause like '%%%s%%'", $g_keywd);
	$sSql .= " OR " . sprintf("ccope like '%%%s%%'", $g_keywd);
	$sSql .= " OR " . sprintf("cnote like '%%%s%%'", $g_keywd);
	$sSql .= " OR " . sprintf("csrc like '%%%s%%'", $g_keywd);
	$sSql .= ") ";
}
// ソート
$sSql .= "ORDER BY I.npid, I.nbid";
// SQL実行 --------------------
$db->query($sSql);
$i=1;
$g_pids = array();
$g_bids = array();
// テーブル作成ループ ---------
$today = date("Y/m/d");
while($db->next_record()){
	$g_pids[$i] = $db->f("npid");
	$g_bids[$i] = $db->f("nbid");
	if(($i > $strow) && ($i <= $strow + $g_maxrow)){
		$even = "odd";
		if($i%2 == 0){
			$even = "even";
		}
		printf("<tr class=%s id=r%d onMouseOver='ovrColor(%d);' onMouseOut='outColor(%d);'>\n",$even, $i, $i, $i);
		// 項番
		$sclass = "caption";
		if(strlen($db->f("cid_a")) == 0){
			if($db->f("cterm") < $today){
				$sclass = "alert";
			}else if($db->f("cterm") == $today){
				$sclass = "warn";
			}
		}
//		printf("<td class=\"bd %s\" align=\"right\"><font size=\"-1\"><input type=\"button\" value=\"%03d\" onClick=\"toBug(%d);\"></font></td>\n", $sclass, $i, $i);
		printf("<td class=\"bd %s\" align=\"right\"><font size=\"-1\"><input type=\"button\" value=\"%03d\" onClick=\"toBug(%d,%d);\"></font></td>\n", $sclass, $i, $db->f("npid"), $db->f("nbid"));	// exchenge V0.5
		// 障害番号
		printf("<td class=\"bd view\"><font size=\"-1\">%04d-%04d</font></td>\n", $db->f("npid"), $db->f("nbid"));
		// プロジェクト名
		printf("<td class=\"bd view\"><font size=\"-1\">%s</font></td>\n", nl2br(htmlspecialchars($db->f("pname_f"),0)));
		// 項目ID add V0.5.1
		if($lic->chkItemId(1)){
			printf("<td class=\"bd view\" align='right'><font size=\"-1\">%s</font></td>\n", nl2br($db->f("niid")));
		}
		// 表題
		printf("<td class=\"bd view\"><font size=\"-1\">%s</font></td>\n", nl2br(htmlspecialchars($db->f("ctitle"),0)));
		// 担当
		printf("<td class=\"bd view\"><font size=\"-1\">%s</font></td>\n", nl2br(htmlspecialchars($db->f("charge"),0)));
		// 重度
		printf("<td class=\"bd view\"><font size=\"-1\">%s</font></td>\n", $c_iaryR[$db->f("nimp_b")]);
		// 回答期限
		printf("<td class=\"bd view\"><font size=\"-1\">%s</font></td>\n", $db->f("cterm"));
		// 状態
		printf("<td class=\"bd view\"><font size=\"-1\">%s</font></td>\n", $db->f("bugstat"));
		// 種別 add V0.5.1
		$kind = "";
		if($db->f("nkind") != null){ $kind = $c_karyR[$db->f("nkind")]; }
		printf("<td class=\"bd view\"><font size=\"-1\">%s</font></td>\n", $kind);
		print("</tr>\n");
	}
	$i++;
	if($g_maxrow > 0){
		if($i - $strow > $g_maxrow){
			break;
		}
	}
}
$sess->register("g_pids");
$sess->register("g_bids");
?>
</table>
</td></tr>
<?php include("ti_pages_2.inc"); ?>
</table>

<p class="caption"><font size="-1">
<?php if($i == 1): ?>
検索条件にあう障害はありません。
<?php else: ?>
項番のボタンを押すことで障害票の画面が開きます。
<?php endif; ?>
</font></p>
</form>
</body>
</html>
<?php
  page_close();
?>

