<?php
/*
*	$id:ti_ctrl.php (c)A.Ida 2017/3/10 15:37:31
*	テスト項目運用システム - 概要
*/
include("ti_prepend.inc");
page_open(array("sess"=>"Ti_Session",
		"auth"=>"Ti_Auth",
		"perm"=>"Ti_Perm"));
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>
<link rel="STYLESHEET" href="tistyle.css" type="TEXT/CSS">
<SCRIPT Language="JavaScript">
<!--
function toBug(pid,bid){
	var bugwin = window.open('<?php $sess->purl("ti_up_bug.php?mod=lnk"); ?>&pid=' + pid + '&bid=' + bid, 'tibug');
	bugwin.document.focus();
}
function toAns(ckey){
	var win = window.open('ti_wr_conv_view.php?dmy=0&ckey=' + ckey, 'conv');
	win.document.focus();
};
function jrun(pid){
	window.open('ti_run_item.php?dmy=0&pid=' + pid, '_self');
};
function jpsel(){
	window.open('ti_select_proj.php', '_self');
	parent.menu.menuBtn(1);
};
// -->
</SCRIPT>
<title>テスト項目運用システム - CTRL</title>
</head>

<body class="help">
<?php $lic = $_SESSION["lic"]; ?>
<p>
<?php if($lic->lic_regist > 0): ?>
<?php if ($lic->lic_uid > 1){ printf("%s様。", $lic->lic_user); } ?>
テスト項目運用システムのご利用及びカンパへのご協力ありがとうございます。
<?php else: ?>
テスト項目運用システムをご試用いただきありがとうございます。
<?php endif; ?>

<br>
本システムは、ソフトウェア開発におけるテスト項目の作成/実施・障害票発行/回答・進捗管理を総合的に行うことを目的に作成しました。<br>
本システムについての最新情報は<a href="http://www.fpdock.net" target=_blank>こちら</a>へどうぞ。<br>
ご意見、ご要望、障害報告等は、「ツール」-「投稿」でもお待ちしています。
</p>
<?php if($lic->lic_regist > 0): ?>
<?php
if(count($lic->lic_cdatas) > 0){
	print("<p>次のカスタマイズ項目が有効です。<br>\n");
	print("<ul>\n");
	while(list($key,$var) = each($lic->lic_cdatas)){
		printf("<li>%s\n",$var);
	}
	print("</ul>\n");
	print("</p>\n");
}
if(count($lic->lic_odatas) > 0){
	print("<p>次のオプションが有効です。<br>\n");
	print("<ul>\n");
	while(list($key,$var) = each($lic->lic_odatas)){
		printf("<li>%s",$var);
	}
	print("</ul>\n");
	print("</p>\n");
}
?>
<?php else: ?>
<p>
<b>カンパウェアです。継続して使用される場合には<a href="http://www.fpdock.net/programs/tisystem/dlpage.php3#regist" target="hp">カンパ</a>へのご協力をお願いします。</b>
<br>
<font size=-1>カンパしていただくことにより、各種オプションン設定が可能な環境設定ファイルを提供させていただきます。</font>
</p>
<?php endif; ?>

<br>
<ul class="cr" type="circle">
<li><font size=-2 color="gray">本システムの著作権は Atsuro.Idaが所有します。</font>
<li><font size=-2 color="gray">いかなる場合においても、本システムを使用したことによる不利益に対して著作権者は責任を負いません。</font>
</ul>

<?php
// 起動パラメタ処理
$lnk = false;
if($sess->is_registered("o_pid")){
	$msg = "";
	$src = "";
	$pid = $_SESSION["o_pid"];
	$sess->unregister("o_pid");
	// メンバに含まれるか確認
	$db = new DB_Ti;
	$sSql = sprintf("SELECT count(*) AS cnt FROM tpmember WHERE npid = %d AND cid = '%s'", $pid, $auth->auth["uname"]);
	$db->query($sSql);
	$db->next_record();
	if($db->f("cnt") > 0){
		if($sess->is_registered("o_ckey")){
		// 相談
			// 指定プロジェクトの相談であることの確認
			$sSql = sprintf("SELECT count(*) AS cnt FROM tconvers WHERE nckey = %d AND npid = %d", $_SESSION["o_ckey"], $pid);
			$db->query($sSql);
			$db->next_record();
			if($db->f("cnt") == 0){
				$msg = "起動パラメタが指定されましたが、指定に矛盾があるので無視されました。";
				print($sSql);
			}
		}
	}else{
		$msg = "起動パラメタが指定されましたが、指定プロジェクトのメンバではありませんので無視されました。";
	}
	if(strlen($msg) > 0){
		printf("<p class='warn'>%s</p>\n", $msg);
	}else{
	// スクリプト生成
		$g_pid = $pid;
		$sess->register("g_pid");
		if($sess->is_registered("o_bid")){
		// 障害票
			$src = sprintf("toBug(%d, %d);\n", $g_pid, $_SESSION["o_bid"]);
		}else if($sess->is_registered("o_ckey")){
		// 相談
			$src = sprintf("toAns(%d);\n", $_SESSION["o_ckey"]);
		}else{
		// 実施
			$src = sprintf("jrun(%d);\n", $g_pid);
		}
		$lnk = true;
	}
	// アンレジスト
	if($sess->is_registered("o_bid")){$sess->unregister("o_bid");}
	if($sess->is_registered("o_ckey")){$sess->unregister("o_ckey");}
	$sess->unregister("o_pid");
}else{
	$lic = new ti_lic();
	if ($lic->ynIniPsel())
	{
		$src = "jpsel();";
		$lnk = true;
	}
}

?>
<?php if($lnk): ?>
<SCRIPT Language="JavaScript">
<?php print($src); ?>
</SCRIPT>
<?php endif; ?>
</body>
</html>
<?php
  page_close();
?>

