<?php
/*
*	$id:ti_dl_bug.php (c)A.Ida 2017/3/10 15:37:30
*	テスト項目運用システム - ダウンロード（障害）
*	PHP3/PHP4共用
*/
include("ti_prepend.inc");
page_open(array("sess"=>"Ti_Session",
		"auth"=>"Ti_Auth",
		"perm"=>"Ti_Perm"));
		
function k2v($key, $ary){
	$val = "";
	if (is_null($key) || !is_numeric($key)){
		return "";
	}else{
		return $ary[$key];
	}
};
$req = new ti_request();
$pid = $req->getReqCheck("pid");

header("Content-Type: application/octet-stream");
header("Content-Disposition: attachment; filename=bugfile_" . sprintf("%04d",$pid) . ".csv");

$cnv = new ti_jconv;
$db = new DB_Ti;

$db->query(sprintf("SELECT get_fullpname(%d,'') AS pname_f, to_char(sysdate(),'YYYY/MM/DD') AS cdate", $pid));
$db->next_record();
$str = sprintf("\"障害一覧（%s）　：　%s\"\r\n", $db->f("pname_f"), $db->f("cdate"));
print($cnv->to_sj($str));

$sSql  = "SELECT *, toUName(cid_b) AS c_b, toUName(cid_p) AS c_p, toUName(cid_a) AS c_a, toUName(cid_c) AS c_c ";
$sSql .= "FROM vbug ";
$sSql .= sprintf("WHERE npid = %d ", $pid);
$sSql .= "ORDER BY nbid";
$db->query($sSql);

// ヘッダ
$str  = "\"障害票番号\",\"表題\",";
$str .= "\"発行者\",\"発行日\",\"現象\",\"手順\",\"重要度\",\"回答担当\",\"回答期限日\",";
$str .= "\"回答者\",\"回答日\",\"原因\",\"対処\",\"障害種別\",\"修正対象\",";
$str .= "\"確認者\",\"確認日\",\"備考\"\r\n";
print($cnv->to_sj($str));

// データ
$iid_c = 0;
while($db->next_record()){
	// 番号
	printf("\"%04d-%04d\",", $db->f("npid"), $db->f("nbid"));
	// タイトル
	print($cnv->to_csv_sj($db->f("ctitle")));
	print(",");

	// 発行 -------
	print($cnv->to_csv_sj($db->f("c_b")));
	print(",");
	print($cnv->to_csv_sj($db->f("cissue")));
	print(",");
	print($cnv->to_csv_sj($db->f("cpheno")));
	print(",");
	print($cnv->to_csv_sj($db->f("cproc")));
	print(",");
	print($cnv->to_csv_sj($c_iaryR[$db->f("nimp_b")]));
	print(",");
	print($cnv->to_csv_sj($db->f("c_p")));
	print(",");
	print($cnv->to_csv_sj($db->f("cterm")));
	print(",");

	// 回答 --------
	print($cnv->to_csv_sj($db->f("c_a")));
	print(",");
	print($cnv->to_csv_sj($db->f("cans")));
	print(",");
	print($cnv->to_csv_sj($db->f("ccause")));
	print(",");
	print($cnv->to_csv_sj($db->f("ccope")));
	print(",");
	print($cnv->to_csv_sj(k2v($db->f("nkind"), $c_karyR)));
	print(",");
	print($cnv->to_csv_sj($db->f("csrc")));
	print(",");

	// 確認
	print($cnv->to_csv_sj($db->f("c_c")));
	print(",");
	print($cnv->to_csv_sj($db->f("cconf")));
	print(",");
	print($cnv->to_csv_sj($db->f("cnote")));

	print("\r\n");
}	

  page_close();
?>

