<?php
/*
*	$id:ti_dl_item.php (c)A.Ida 2017/3/10 15:37:30
*	テスト項目運用システム - ダウンロード（項目）
*	PHP3/PHP4共用
*/
include("ti_prepend.inc");
page_open(array("sess"=>"Ti_Session",
		"auth"=>"Ti_Auth",
		"perm"=>"Ti_Perm"));

$req = new ti_request();
$pid = $req->getReqCheck("pid");

header("Content-Type: application/octet-stream");
header("Content-Disposition: attachment; filename=testfile_" . sprintf("%04d",$pid) . ".csv");

$cnv = new ti_jconv;
$db = new DB_Ti;

$db->query(sprintf("SELECT get_fullpname(%d,'') AS pname_f, to_char(sysdate(),'YYYY/MM/DD') AS cdate", $pid));
$db->next_record();
$str = sprintf("\"テスト項目及び実施結果一覧（%s）　：　%s\"\r\n", $db->f("pname_f"), $db->f("cdate"));
print($cnv->to_sj($str));
$sSql  = "SELECT C.*, I.*, toUName(I.cid) AS charge1, toUName(I.cid2) AS charge2, toUName(I.cid_r) AS ruser, ";
$sSql .= sprintf("to_char(I.dplan, '%s') AS cplan, ", $c_dexec_csv);
$sSql .= sprintf("to_char(I.dexec, '%s') AS cexec, ", $c_dexec_csv);
$sSql .= "get_Bugs2(I.npid, I.niid, I.nround) AS bugs ";
$sSql .= "FROM vclass C, vitem2 I ";
$sSql .= sprintf("WHERE I.npid = %d AND ", $pid);
$sSql .= sprintf("C.npid = %d AND ", $pid);
$sSql .= "C.ncid = I.ncid ";
$sSql .= "ORDER BY o1, o2, o3, o4, o5, o6, o7, o8, o9, I.norder, I.nround";
$db->query($sSql);

// ヘッダ
$str  = "\"項番\",\"分類１\",\"分類２\",\"分類３\",\"分類４\",\"分類５\",\"分類６\",\"分類７\",\"分類８\",\"分類９\",";
$str .= "\"操作\",\"結果\",\"主担当\",\"副担当\",\"重要度\",\"難易度\",\"予定日\",\"メモ\",";
$str .= "\"実施者１\",\"実施日１\",\"障害番号１\",";
$str .= "\"実施者２\",\"実施日２\",\"障害番号２\",";
$str .= "\"実施者３\",\"実施日３\",\"障害番号３\",";
$str .= "\"実施者４\",\"実施日４\",\"障害番号４\",";
$str .= "\"実施者５\",\"実施日５\",\"障害番号５\",";
$str .= "\"実施者６\",\"実施日６\",\"障害番号６\",";
$str .= "\"実施者７\",\"実施日７\",\"障害番号７\",";
$str .= "\"実施者８\",\"実施日８\",\"障害番号８\",";
$str .= "\"実施者９\",\"実施日９\",\"障害番号９\"";
print($cnv->to_sj($str));

// データ
$iid_c = 0;
$icnt = 0;
while($db->next_record()){
	if($iid_c != $db->f("niid")){
		$nr = 1;	// 回数カウント append V0.3
		$icnt++;
		printf("\r\n%d,",$icnt);
		for($i=1;$i<=9;$i++){
			// 分類１〜９
			$c = sprintf("c%d",$i);
			print($cnv->to_csv_sj($db->f($c)));
			print(",");
		}
		// 操作
		print($cnv->to_csv_sj($db->f("cope")));
		print(",");
		// 結果
		print($cnv->to_csv_sj($db->f("cexp")));
		print(",");
		// 主担当
		print($cnv->to_csv_sj($db->f("charge1")));
		print(",");
		// 副担当
		print($cnv->to_csv_sj($db->f("charge2")));
		print(",");
		// 重要度
		print($cnv->to_csv_sj($c_iaryR[$db->f("nimp")]));
		print(",");
		// 複雑度
		print($cnv->to_csv_sj($c_daryR[$db->f("ndif")]));
		print(",");
		// 予定日
		print($cnv->to_csv_sj($db->f("cplan")));
		print(",");
		// メモ
		print($cnv->to_csv_sj($db->f("cmemo")));
		print(",");

		// 現分類ＩＤ記憶
		$iid_c = $db->f("niid");
	}
	// append V0.3
	for(; $nr < $db->f("nround"); $nr++){
		print("\"\",\"\",\"\",");
	}

	// 実施者
	print($cnv->to_csv_sj($db->f("ruser")));
	print(",");
	// 実施日
	print($cnv->to_csv_sj($db->f("cexec")));
	print(",");
	// 障害番号
	print($cnv->to_csv_sj($db->f("bugs")));
	print(",");

	$nr++;	// append V0.3
}	
print("\r\n");

page_close();
?>

