<?php
/*
*	$id:ti_en_proj_ctrl.php (c)A.Ida 2017/3/10 15:37:30
*	テスト項目運用システム - プロジェクト完了（一覧）
*/
include("ti_prepend.inc");
page_open(array("sess"=>"Ti_Session",
		"auth"=>"Ti_Auth",
		"perm"=>"Ti_Perm"));
$perm->check("leader");
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>
<link rel="STYLESHEET" href="tistyle.css" type="TEXT/CSS">
<SCRIPT type="text/javascript" src="ti_lstCtrl.js"></script>
<SCRIPT Language="JavaScript">
<!--
function jend(pid){
	window.open('<?php $sess->purl("ti_en_proj_ctrl_2.php?dmy=0"); ?>&pid=' + pid, '_self');
}
function pgmove(dir,dmy){
	document.frmEnProj.dir.value = dir;	
	document.frmEnProj.submit();
}
// -->
</SCRIPT>
<title>TI-System - プロジェクト完了一覧</title>
</head>

<body class="fit">

<?php
$req = new ti_request();
$g_toppid = $req->getSess("g_toppid", -1);
$enview = $req->getReq("enview", 0);
$g_pid = $req->getSess("g_pid", -1);
$lic = new ti_lic();
$itm_id = $lic->chkItemId(2);

$db = new DB_Ti;
include("ti_pages_1.inc");

$sSql = "SELECT P.n1,P.n2,P.n3,P.n4,P.n5,P.n6,P.n7,P.n8,P.n9,";
$sSql .= "P.npid AS npid, P.csucce AS csucce, toUName(P.cid) AS cmname, get_fullpname(P.npid, '') AS cpname_f, COALESCE(P.nround, 0) AS rnow, COALESCE(R.rmax,0) AS rmax, I.icnt AS icnt ";
$sSql .= "FROM vproj P ";
$sSql .= "LEFT JOIN (SELECT npid, COUNT(npid) AS icnt FROM titem GROUP BY npid) I ON I.npid = P.npid ";
$sSql .= "LEFT JOIN (SELECT npid, MAX(nround) AS rmax FROM tresult GROUP BY npid) R ON R.npid = P.npid ";
$sSql .= "WHERE P.npid is NOT NULL ";	// コードを簡便にするためのダミー
if($auth->auth["uname"] != "admin"){
	$sSql .= sprintf("AND P.cid = '%s' ", $auth->auth["uname"]);
}
if(isset($g_toppid) && ($g_toppid != -1)){
	$sSql .= sprintf("AND P.n1 = %d ", $g_toppid);
}
if($enview != 1){
	$sSql .= "AND P.csucce IS NULL ";
}
$sSql .= "ORDER BY P.n1 DESC,P.n2,P.n3,P.n4,P.n5,P.n6,P.n7,P.n8,P.n9,P.npid";
?>

<!-- このページのformはenviewチェックボックスのポストバックと頁切替のためだけに存在する -->
<form name="frmEnProj" method="POST" action="<?php $sess->purl("ti_en_proj_ctrl.php");?>">
<table border="0" cellspacing="0" cellpaddinf="0">
<tr><td nowrap>
<p class="caption">
完了させたいプロジェクトを選択してください。<br>
</p>
</td><td nowrap align="right">
<?php
$ckon = ($enview == 1) ? " checked" : "";
printf("<input id=\"enview_id\" type=\"checkbox\" name=\"enview\" value=\"1\"%s onclick=\"submit()\">\n", $ckon);
?>
<LABEL for="enview_id"><font size="-1">完了ﾌﾟﾛｼﾞｪｸﾄも表示する</font></LABEL>
<tr><td colspan="2">
<table class="view" cellspacing="0">
<tr>
<th nowrap><font size="-1">項番</font></th>
<th nowrap><font size="-1">完了</font></th>
<th nowrap><font size="-1">プロジェクト名</font></th>
<th nowrap><font size="-1">作成者</font></th>
<th nowrap><font size="-1">完了ラウンド数</font></th>
</tr>
<input type="hidden" name="dir" value="NON">
<?php
printf("<input type='hidden' name='strow' value=%d>\n", $strow);
$db->query($sSql);
$db->seek($strow);
$row = $strow + 1;
while($db->next_record()){
	$even = "odd";
	$out = "outColor";
	if($g_pid == $db->f("npid")){
		$even = "cur";
		$out = "curColor";
	}else if($row%2 == 0){
		$even = "even";
	}
	printf("<tr class=%s id=r%d onMouseOver='ovrColor(%d);' onMouseOut='%s(%d);'>\n",$even, $row, $row, $out, $row);
	// 項番
	print("<td class=\"bd caption\">\n");
	printf("%04d\n", $itm_id ? $db->f("npid") : $row);
	// 完了
	print("</td><td class=\"bd view\">\n");
	if(strlen($db->f("csucce")) == 0){
		// 項目が無い（icnt=0）場合はフォルダプロジェクトと判定し完了可能とする
		if(($db->f("rmax") == 0) && ($db->f("icnt") > 0)){
			print("未実施\n");
		}else if(($db->f("rnow") >= $db->f("rmax")) || ($db->f("icnt") == 0)){
			printf("<input type=\"button\" name=\"ENPROJ\" value=\"完了>>\" onClick=\"jend(%d)\">\n", $db->f("npid"));
		}else{
			print("作業中\n");
		}
	}else{
		printf("<input type=\"button\" name=\"REPROJ\" value=\"<<取消\" onClick=\"jend(%d)\">\n", $db->f("npid"));
	}
	// プロジェクト名
	print("</td><td class=\"bd view\">\n");
	printf("<font size=\"-1\"><b>%s</b></font>\n", htmlspecialchars($db->f("cpname_f")));
	// 作成者
	print("</td><td class=\"bd view\">\n");
	printf("<font size=\"-1\">%s</font>\n", htmlspecialchars($db->f("cmname")));
	// 完了ラウンド数
	print("</td><td class=\"bd view\" align=\"right\">\n");
	printf("%d\n", $db->f("rnow"));
	print("</td></tr>\n");
	$row++;
	if($g_maxrow > 0){
		if($row - $strow > $g_maxrow){
			break;
		}
	}
}
?>
</table>
</td></tr>
<?php include("ti_pages_2.inc"); ?>
</table>

<p class="caption"><font size="-2">
ログインユーザが作成したプロジェクトが一覧されます。（adminの場合は全てが一覧されます。）<br>
「済」状態の項目が存在するプロジェクトは完了ボタンが表示されません。先にラウンド完了させてください。<br>
注）「プロジェクト選択」の画面で指定した「第１層プロジェクト」「頁行数」はこの画面の一覧内容にも影響しています。
</font></p>
</form>
</body>
</html>
<?php
  page_close();
?>

