<?php
/*
*	$id:ti_en_proj_ctrl_2.php (c)A.Ida 2017/3/10 15:37:30
*	テスト項目運用システム - プロジェクト完了（確認）
*/
include("ti_prepend.inc");
page_open(array("sess"=>"Ti_Session",
		"auth"=>"Ti_Auth",
		"perm"=>"Ti_Perm"));
$perm->check("leader");
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>
<link rel="STYLESHEET" href="tistyle.css" type="TEXT/CSS">
<SCRIPT Language="JavaScript">
<!--
// -->
</SCRIPT>

<title>TI-System - プロジェクト完了確認</title>
</head>

<body class="wiz">

<form name="frmEnProj" method="POST" action="<?php $sess->purl("ti_en_proj_ctrl_act.php"); ?>">
<?php
$req = new ti_request();
$pid = $req->getReqCheck("pid");

$db = new DB_Ti;

$sSql = "SELECT *, get_fullpname(npid, '') AS cpname_f, COALESCE(nround,0) AS nr ";
$sSql .= sprintf("FROM tproj WHERE npid = %d", $pid);
$db->query($sSql);
$db->next_record();
$reflg = 1;
if(strlen($db->f("csucce")) == 0){
	$reflg = 0;
}
$pname = $db->f("cpname_f");
$nr = $db->f("nr");
if($reflg == 0){
	// 未回答障害確認
	$sSql = sprintf("SELECT count(*) AS cntall, count(dans) AS cntans FROM vbug WHERE npid = %d", $pid); 
	$db->query($sSql);
	$db->next_record();
	$cntall = $db->f("cntall");
	$cntans = $db->f("cntans");
}
printf("<input type=\"hidden\" name=\"pid\" value=\"%d\">\n", $pid);
printf("<input type=\"hidden\" name=\"reflg\" value=\"%d\">\n", $reflg);

$guide = "次のプロジェクトを完了します。";
if($reflg == 1){
	$guide = "次のプロジェクトの完了を取り消します。";
}
printf("<p class=\"caption\">%s</p>\n",$guide);
?>

<table class="form"><tr><td>
<table border="1" cellspacing="0" cellpadding="2">
<tr><td align="right" class="caption" nowrap>
プロジェクト名
</td><td align="left" colspan="3">
<b>
<?php print(htmlspecialchars($pname)); ?>
</b>
</td></tr>
<tr><td align="right" class="caption" nowrap>
完了ラウンド数
</td><td align="left" colspan="3">
<?php printf("%d回", $nr); ?>
</td></tr>

<?php
if($reflg == 0){
// 完了時のみ
	print("<tr><td align=\"right\" class=\"caption\" nowrap>\n");
	print("未回答障害数\n");
	print("</td><td align=\"left\" colspan=\"3\">");
	$cnt = $cntall - $cntans;
	if($cnt > 0){
		printf("<font color=\"red\">%d</font>件", $cnt);
	}else{
		print("なし");
	}
}
?>

</td></tr>
</table>
</td></tr>
<tr><td align="right">
<input type="submit" name="ENDNR" value="　実　行　">
</table>
</form>
</body>
</html>
<?php
  page_close();
?>

