<?php
/*
*	$id:ti_en_round_ctrl_2.php (c)A.Ida 2017/3/10 15:37:30
*	テスト項目運用システム - ラウンド完了（確認）
*/
include("ti_prepend.inc");
page_open(array("sess"=>"Ti_Session",
		"auth"=>"Ti_Auth",
		"perm"=>"Ti_Perm"));
$perm->check("leader");
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>
<link rel="STYLESHEET" href="tistyle.css" type="TEXT/CSS">
<SCRIPT Language="JavaScript">
<!--
// -->
</SCRIPT>

<title>TI-System - ラウンド完了確認</title>
</head>

<body class="wiz">

<form name="frmEnRound" method="POST" action="<?php $sess->purl("ti_en_round_ctrl_act.php"); ?>">
<p class="caption">
<?php
$req = new ti_request();
$act = $req->getReqCheck("act");
$pid = $req->getReqCheck("pid");

if($act == "rb"){
	print("[実行]ボタンを押すと直前のラウンド完了を取り消します。<br>ただし、実施予定日は戻りません。</p>");
}else{
	print("以下の内容を確認して[実行]ボタンを押すとラウンド完了処理を行います。</p>");
}

$opt = new ti_mkOptions();
$db = new DB_Ti;

$sSql = "SELECT get_fullpname(npid, '') AS cpname_f, COALESCE(nround,0) AS nr ";
$sSql .= sprintf("FROM tproj WHERE npid = %d", $pid);
$db->query($sSql);
$db->next_record();
$pname = $db->f("cpname_f");
$nr = $db->f("nr") + 1;

$sSql = "SELECT count(*) AS nnum FROM vitem ";
$sSql .= sprintf("WHERE npid = %d", $pid);
$db->query($sSql);
$db->next_record();
$nall = $db->f("nnum");

$sSql .= sprintf(" AND COALESCE(nround,0) < %d", $nr);
$db->query($sSql);
$db->next_record();
$nnon = $db->f("nnum");

printf("<input type=\"hidden\" name=\"act\" value=\"%s\">\n", $act);
printf("<input type=\"hidden\" name=\"pid\" value=\"%d\">\n", $pid);
printf("<input type=\"hidden\" name=\"nr\" value=\"%d\">\n", $nr);

?>

<table class="form"><tr><td>
<table border="1" cellspacing="0" cellpadding="2">
<tr><td align="right" class="caption" nowrap>
プロジェクト名
</td><td align="left">
<b>
<?php print(htmlspecialchars($pname)); ?>
</b>
</td></tr>
<tr><td align="right" class="caption" nowrap>
現ラウンド
</td><td align="left">
<?php printf("%d回目", $nr); ?>
</td></tr>

<?php if($act == "en"): ?>

<tr><td align="right" class="caption" nowrap>
全項目数
</td><td>
<?php print($nall); ?>
</td></tr>
<tr><td align="right" class="caption" nowrap>
未実施項目数
</td><td>
<?php print($nnon); ?>
</td></tr>
<tr><td align="right" class="caption" nowrap>
実施予定日一括更新
</td><td>
<select name="syear">
<?php print($opt->mkYears(null, true)); ?>
</select>
/
<select name="smonth">
<?php print($opt->mkMonths(null, true)); ?>
</select>
/
<select name="sday">
<?php print($opt->mkDays(null, true)); ?>
</select>
</td></tr>

<?php endif; ?>

</table>
</td></tr>
<tr><td align="right">
<input type="submit" name="ENDNR" value="　実　行　">
</table>

<?php if($act == "en"): ?>
<p class="caption">
「実施予定日一括更新」は次ラウンドでの実施予定日を全項目について一括して再設定したい場合に指定します。<br>
年月日全てを指定した場合にのみ有効です。オプションですので設定しなくても続行できます。<br>
再設定された実施予定日はラウンド完了の取り消し処理を行っても元に戻すことはできません。
</p>
<?php endif; ?>

</form>

<?php if(($act == "rb") && ($nall != $nnon)): ?>
<SCRIPT Language="JavaScript">
<!--
document.frmEndRound.ENDNR.disabled = true;
-->
</SCRIPT>
<p class="error">
このプロジェクトは既に新しいラウンドで実績があります。ラウンド完了の取消はできません。
</p>
<?php endif; ?>

</body>
</html>
<?php
  page_close();
?>

