<?php
/*
*	$id:ti_ins_proj_ctrl_conf.php (c)A.Ida 2017/3/10 15:37:31
*	テスト項目運用システム - プロジェクト作成（３画面目）
*/
include("ti_prepend.inc");
require_once("ti_ckMemb.inc");
page_open(array("sess"=>"Ti_Session",
		"auth"=>"Ti_Auth",
		"perm"=>"Ti_Perm"));
$perm->check("leader");
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>
<link rel="STYLESHEET" href="tistyle.css" type="TEXT/CSS">
<SCRIPT Languege="JavaScript">
<!--
function bkf(cForm){
	cForm.action = "<?php $sess->purl("ti_ins_proj_ctrl_2.php"); ?>";
	cForm.submit();
}
// -->
</SCRIPT>
<title>TI-System - INS PROJ 確認</title>
</head>

<body class="wiz">

<?php
function getMembs($num){
	$i = 0;
	$j = 0;
	$cids = array();
	while($i < $num){
		$mno = sprintf("%04d",$i);
		if(isset($_REQUEST[$mno])){
			if(strlen($_REQUEST[$mno])){
				$cids[$j] = $_REQUEST[$mno];
				$j++;
			}
		}
		$i++;
	}
	return $cids;
}
$req = new ti_request();
$upid = $req->getReqcheck("upid");
$rpid = $req->getReqCheck("rpid");
$rpkind = $req->getReq("rpkind", 1);
$pname = $req->getReqCheck("pname");
$upname_f = $req->getReq("upname_f", "【不明】");
$rpname_f = $req->getReq("rpname_f", "【不明】");
$fullmnum = $req->getReqCheck("fullmnum");

$g_cids = getMembs($fullmnum);
$sess->register("g_cids");
$db = new DB_Ti;
$get = new ti_get($db);
$ckM = new ti_ckMemb($db, $g_cids); 
?>

<form name="frmConf" method="POST" action="<?php $sess->purl("ti_ins_proj_ctrl_act.php"); ?>">
<?php
printf("<input type=\"hidden\" name=\"upid\" value=\"%d\">\n", $upid);
printf("<input type=\"hidden\" name=\"rpid\" value=\"%d\">\n", $rpid);
printf("<input type=\"hidden\" name=\"rpkind\" value=\"%d\">\n", $rpkind);
printf("<input type=\"hidden\" name=\"pname\" value=\"%s\">\n", htmlspecialchars($pname));
?>
<table class="form">
<tr><td>
<h2 class="proj">
プロジェクト登録内容確認
</h2>
</td></tr><tr><td>
<table border="1" cellspacing="0" cellpadding="2">
<tr>
<td class="caption" nowrap>上位プロジェクト名</td>
<td align="left"><?php print($upname_f); ?></td>
</tr><tr>
<td class="caption" nowrap>参照プロジェクト名</td>
<td align="left">
<?php
print($rpname_f);
if($rpid > 0){	
	$swk = ($rpkind == 2) ? "［すべて］" : "［分類のみ］";
	printf("<br>\n%s", $swk);
}
?>
</td>
</tr><tr>
<td class="caption" nowrap>プロジェクト名</td>
<td align="left"><?php print(htmlspecialchars($pname)); ?></td>
</tr><tr>
<td class="caption" nowrap>プロジェクトメンバ</td>
<td align="left">
<?php
$num = 0;
if(($rpid > 0) && ($rpkind == 2)){
	$num = $ckM->chkMembs($rpid);
}
if ($num > 0){
	printf("<font color='red'>参照プロジェクトの担当者に本プロジェクトのメンバでない人が%d人います。<br>該当項目の担当者とするメンバを選択してください。</font><br>\n", $num);
	$cked = " CHECKED";
	foreach($g_cids as $cid){
		printf("<input type='radio' name='proxy' value='%s'%s>%s<br>\n", $cid, $cked, $get->userName($cid));
		$cked = "";
	}
}else{	
	foreach($g_cids as $cid){
		printf("%s<br>\n", $get->userName($cid));
	}
}
?>
</td>
</tr>
</table>
</td></tr><tr><td align="right">
<input type="submit" name="OK" value="確定">
<input type="button" name="BACK" value="戻る" onClick="bkf(document.frmConf)">
<input type="button" name="STOP" value="中断" onClick="window.open('<?php $sess->purl("ti_admin_proj.php"); ?>','_parent')">
</td></tr>
</table>
</form>	 
</body>
</html>
<?php
  page_close();
?>

