<?php
/*
*	$id:ti_mak_class_act.php (c)A.Ida 2017/3/10 15:37:30
*	テスト項目運用システム - 分類編集（実行部）
*/
include("ti_prepend.inc");
page_open(array("sess"=>"Ti_Session",
		"auth"=>"Ti_Auth",
		"perm"=>"Ti_Perm"));
$perm->check("tester");
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>
<link rel="STYLESHEET" href="tistyle.css" type="TEXT/CSS">
<SCRIPT Language="JavaScript">
<!--
function reView(){
	if(parent.item_btns.document.frmBtnsItem.ckauto.checked){
		parent.item_view.document.location.reload();
	}
};
function fix(rv){
	window.open('<?php $sess->purl("ti_mak_item_ctrl.php"); ?>', 'item_ctrl');
	// 第１階層分類候補更新
	parent.item_btns.document.frmBtnsItem.submit();
	if(rv == 1){ reView(); }
};
function next(rv){
	window.open('<?php $sess->purl("ti_mak_item_ctrl_act.php?bflg=class"); ?>', 'item_ctrl');
	parent.item_btns.document.frmBtnsItem.submit();
	if(rv == 1){ reView(); }
};
function load(){
	document.getElementById('cont').focus();
};
// -->
</SCRIPT>
<title>TI-System - 分類編集 ACT</title>
</head>

<body class="act" onload="load()">

<?php
$req = new ti_request();
$cflg = $req->getReq("cflg", "non");
$g_pid = $req->getSessCheck("g_pid");
$ucid = $req->getReqCheck("ucid");
$cclass = $req->getReq("cclass", "");

$db = new DB_Ti;
$db->Halt_On_Error = "no";
$get = new ti_get($db);
$eno = 0;
$bReView = 0;	// 項目一覧再作成判定
//include("ti_g_item.inc"); del 0.4

// 同名分類確認
// $bup:更新ならtrue
function ckDup($db, $cflg)
{
	global $g_pid;
	global $ucid;
	global $cclass;
	$ret = true;
	
	switch($cflg)
	{
	case "rename":
		// 親分類取得
		$sSql = "SELECT nucid FROM tclass WHERE ";
		$sSql .= sprintf("npid = %d AND ncid = %d", $g_pid, $ucid);
		$db->query($sSql);
		$db->next_record();
		$pcid = $db->f("nucid");
		break;
	case "make":
		$pcid = $ucid;
		break;
	}
	// 確認
	$sSql = "SELECT count(*) AS ncnt FROM tclass WHERE ";
	$sSql .= sprintf("npid = %d AND ", $g_pid);
	$sSql .= sprintf("nucid = %d AND ", $pcid);
	$sSql .= sprintf("cclass = '%s'", a($cclass));
	if($cflg == "rename")
	{
		$sSql .= sprintf(" AND ncid <> %d", $ucid);		// 自分自身は対象外
	}
	$db->query($sSql);
	$db->next_record();
	if($db->f("ncnt") > 0){
		$ret = false;	// 同名あり
	}
	return $ret;
}
?>

<div align="center">

<!-- 分類作成パート ============================== -->
<?php if($cflg == "make"): ?>
<?php
// 階層確定
if($ucid == 0){
	$lvl = 1;
}else{
	$sSql = sprintf("SELECT nlvl FROM tclass WHERE npid = %d AND ncid = %d", $g_pid, $ucid);
	$db->query($sSql);
	$db->next_record();
	$lvl = $db->f("nlvl");
	$lvl++;
}
if($lvl > 9){
	$ret = false;
	$eno = 1;
}else{
	//重複確認 add v0.2
	$ret = ckDup($db, $cflg);
	if ($ret){
		//order値を取得 add v0.2
		$sSql = sprintf("SELECT COALESCE(MAX(norder),0) AS ordr FROM tclass WHERE npid = %d", $g_pid);
		$db->query($sSql);
		$db->next_record();
		$ordr = $db->f("ordr") + 1;
		//INSERT
		$sSql = sprintf("INSERT INTO tclass VALUES (%d, nextval('scid'), %d, %d, %d, '%s')", $g_pid, $ordr, $lvl, $ucid, a($cclass));
		$ret = $db->query($sSql);
	}else{
		$eno = 2;
	}
		
}
if($ret){
//	$db->query("SELECT currval('scid')");
//	$db->next_record();
	print("<h3>登録しました</h3>\n");
}else{
	if($eno == 1){
		print("<p class=\"error\">階層が深過ぎます。これ以上は登録できません。<br>\n");
	}elseif($eno == 2){
		print("<p class=\"error\">同名の分類が既に登録されています。<br>\n");
	}else{
		print("<p class=\"error\">登録できませんでした。<br>\n");
		print($db->Error);
		print("<br>\n");
		print($sSql);
	}
	print("</p>\n");
}
?>

<!-- 分類変名パート ============================== -->
<?php elseif($cflg == "rename"): ?>
<?php
$ret = ckDup($db, $cflg);
if ($ret)
{
	$sSql = sprintf("UPDATE tclass SET cclass = '%s' WHERE npid = %d AND ncid = %d", a($cclass), $g_pid, $ucid);
	$ret = $db->query($sSql);
}else{
	$eno = 2;
}
if($ret){
	$bReView = 1;
	print("<h3>変名しました</h3>\n");
}else{
	if ($eno == 2){
		print("<p class=\"error\">同名の分類が既に存在します。<br>\n");
	}else{
		print("<p class=\"error\">変名できませんでした。<br>\n");
		print($db->Error);
		print("<br>\n");
		print($sSql);
	}
	print("</p>\n");
}
?>

<!-- 分類削除パート ============================== -->
<?php elseif($cflg == "del"): ?>
<?php
// 項目存在チェック add V0.3.3 参照整合のCASCADE化のため
$sSql = sprintf("SELECT count(*) AS cnt FROM titem WHERE npid = %d AND ncid = %d", $g_pid, $ucid);
$ret = $db->query($sSql);
if($ret){
	$db->next_record();
	if($db->f("cnt") == 0){
		// 削除実行
		$sSql = sprintf("DELETE FROM tclass WHERE npid = %d AND ncid = %d ", $g_pid, $ucid);
		$sSql .= sprintf("AND NOT EXISTS (SELECT * FROM tclass WHERE npid = %d AND nucid = %d)", $g_pid, $ucid);
		$ret = $db->query($sSql);
		if($ret){
			if($db->affected_rows() > 0){
				print("<h3>削除しました</h3>\n");
			}else{
				print("<p class=\"error\">削除できませんでした。<br>\n");
				print("【ルート】や下位分類がある分類は削除できません。</p>\n");
			}
		}
	}else{
		print("<p class=\"error\">削除できませんでした。<br>\n");
		print("この分類には既に項目が登録されています。</p>\n");
	}
}
if($ret == false){
	print("<p class=\"error\">削除できませんでした。<br>\n");
	printf("%s</p>\n",$db->Error);
}
?>
<?php else: ?>
<p class="error">処理が指定されていません。</p>
<?php endif; ?>
<input id="end" type="button" value="編集終了" onClick="fix(<?php print($bReView); ?>);">
<input id="cont" type="button" value="編集続行" onClick="next(<?php print($bReView); ?>);">
</div>
</html>
<?php
  page_close();
?>

