<?php
/*
*	$id:ti_mak_item_btns.php (c)A.Ida 2017/3/10 15:37:31
*	テスト項目運用システム - 項目作成（操作ボタン）
*/
include("ti_prepend.inc");
page_open(array("sess"=>"Ti_Session",
		"auth"=>"Ti_Auth",
		"perm"=>"Ti_Perm"));
$perm->check("tester");
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>
<link rel="STYLESHEET" href="tistyle.css" type="TEXT/CSS">
<SCRIPT type="text/javascript" src="ti_lstCtrl.js"></script>
<SCRIPT Language="JavaScript">
<!--
function fbtnable(nck, nrd){
	if(nck == 0){
		document.frmBtnsItem.bclrck.disabled = true;
		document.frmBtnsItem.bupld.disabled = true;
		document.frmBtnsItem.blump.disabled = true;
		document.frmBtnsItem.bmov.disabled = true;
		document.frmBtnsItem.bdel.disabled = true;
		document.frmBtnsItem.brefit.disabled = true;
	}else{
		document.frmBtnsItem.bclrck.disabled = false;
		document.frmBtnsItem.bupld.disabled = false;
		document.frmBtnsItem.blump.disabled = false;
		document.frmBtnsItem.bdel.disabled = false;
		if(nrd == 0){
			document.frmBtnsItem.bmov.disabled = true;
		}else{
			document.frmBtnsItem.bmov.disabled = false;
		}
		document.frmBtnsItem.brefit.disabled = false;
	}	
};
function fckck(cForm){
	var max = cForm.elements.length;
	var ck=0;
	var rd=0;
	for(var j=0;j<max;j++){
		if(cForm.elements[j].type == 'checkbox'){
			if(cForm.elements[j].checked){
				ck++;
			}
		}else if(cForm.elements[j].type == 'radio'){
			if(cForm.elements[j].checked){
				rd++;
			}
		}
		if((ck != 0) && (rd != 0)){
			break;
		}
	}
	fbtnable(ck, rd);
};
function fclrck(cForm){
	chkclr(cForm);
	fbtnable(0, 0);
};
function ftglck(cForm){
	chktgl(cForm);
	fckck(cForm);
};
function fupld(cForm){
	var svtarget = cForm.target;
	var svaction = cForm.action;
	cForm.action ='<?php $sess->purl("ti_up_attach.php")?>';
	cForm.target = "attach";
	cForm.bflg.value = 'attach';
	cForm.submit();
	cForm.action = svaction;
	cForm.target = svtarget;
};
function frefit(cForm){
	var svtarget = cForm.target;
	var svaction = cForm.action;
	cForm.action ='<?php $sess->purl("ti_mak_item_ref.php")?>';
	cForm.target = "attach";
	cForm.submit();
	cForm.action = svaction;
	cForm.target = svtarget;
};
function flump(cForm){
	cForm.bflg.value = 'lump';
	cForm.submit();
};
function fref(cForm, iid){
	cForm.bflg.value = 'ref';
	cForm.iid_r.value = iid;
	cForm.submit();
};
function fmov(cForm){
	cForm.bflg.value = 'mov';
	cForm.submit();
	fckck();
};
function fdel(cForm){
	cForm.bflg.value = 'del';
	var max = cForm.elements.length;
	var i=0;
	for(var j=0;j<max;j++){
		if(cForm.elements[j].type == 'checkbox'){
			if(cForm.elements[j].checked){
				i++;
			}
		}
	}
	if(confirm('選択された' + i + '個の項目を削除してよいですか。')){
		cForm.submit();
	}
};
function fclass(cForm){
	if(navigator.userAgent.indexOf("Gecko/") != -1){
		fclrck(cForm);	// Firefoxで不自然にチェックが残る問題対処。
	}
	document.frmBtnsItem.submit();
	// 連続変更による誤動作抑止
	document.frmBtnsItem.sclass.disabled = true;
}
// -->
</SCRIPT>
<title>TI-System - 項目作成 一覧ボタン制御</title>
</head>

<?php
$req = new ti_request();
$g_pid = $req->getSessCheck("g_pid");
$g_sclass = $req->getReqSessSet("sclass", "g_sclass", -1);
$bload = $req->bChange;		// onloadで一覧再作成判定
$ckauto = $req->getReq("ckauto", 0);

$db = new DB_Ti;
$opt = new ti_mkOptions();
?>
<?php if($bload): ?>
<body class="fit" onload="parent.item_view.location.reload();">
<?php else: ?>
<body class="fit">
<?php endif; ?>

<form name="frmBtnsItem" target="item_btns" method="POST" action="<?php $sess->purl("ti_mak_item_btns.php");?>">
<a name="top"></a>
<table><tr>
<td nowrap width="1%">
<font size="-1">
分類01
</font>
<select name="sclass" onChange="fclass(parent.item_view.document.frmViewItem);" title="指定の第１層分類で表示項目を絞り込む">
<option value="-1">【全て】</option>
<?php
/* 全層分類にする場合はこちらを有効にします。################################
単純にＳＱＬを入れ替えただけの場合、分類が長くなると、ボタン群が押し辛くなると思います。
テーブルレイアウトを変更して２行にする等の変更を行ってもかまいません。この場合、ti_mak_item.phpの
framesetのrowsの値を変更して上フレームの高さを調整してください。
こちらを有効にする場合には、ti_run_item_ctrl.phpも同様の変更を行ってください。
$sSql =  sprintf("SELECT *, get_fullcname(%d, nucid, cclass) AS ccname_f ", $g_pid);
$sSql .= "FROM vclass ";
$sSql .= sprintf("WHERE npid = %d ", $g_pid);
$sSql .= "ORDER BY o1, o2, o3, o4, o5, o6, o7, o8, o9";
############################################################################ */
/* 全層分類にする場合にはこちらをコメントにします。 ======================== */
$sSql = sprintf("SELECT ncid, oneline(cclass) AS ccname_f FROM tclass WHERE npid = %d AND nucid = 0 ORDER BY norder", $g_pid);
/* ========================================================================= */
$db->query($sSql);
print($opt->mkDBOpts($db, "ccname_f", "ncid", $g_sclass));
?>
</select>
</td>
<td nowrap align="right">
<input type="button" name="bclrck" onClick="fclrck(parent.item_view.document.frmViewItem);" value="解除" title="「選」「先」を全て未選択状態にする">
<input type="button" name="btglck" onClick="ftglck(parent.item_view.document.frmViewItem);" value="反転" title="「選」の選択状態を全て逆にする">
<input type="button" name="bupld" onClick="fupld(parent.item_view.document.frmViewItem);" value="資料..." disabled title="添付資料の設定画面を表示する">
<input type="button" name="blump" onClick="flump(parent.item_view.document.frmViewItem);" value="一括..." disabled title="「選」で選択された全ての項目を一括して編集する画面を表示する">
<input type="button" name="brefit" onClick="frefit(parent.item_view.document.frmViewItem);" value="関連..." disabled title="障害票との関連を設定する画面を表示する">
<input type="button" name="bmov" onClick="fmov(parent.item_view.document.frmViewItem);" value="移動" disabled title="「選」で選んだ項目を「先」で選んだ項目の位置に移動させる">
<input type="button" name="bdel" onClick="fdel(parent.item_view.document.frmViewItem);" value="削除" disabled title="「選」で選んだ項目を完全に削除する">
<input type="button" onCLick="parent.item_view.location.reload();" value="一覧更新" title="項目一覧を最新の情報で表示しなおす">
<input type="checkbox" name="ckauto" value="1" <?php print($ckauto == "1" ? " checked" : ""); ?> title="チェックすると、一覧を最新の状態にするように自動的に再作成する">
<a href="ti_mak_item_view.php#bottom" target="item_view" title="一覧の末尾を表示するようにスクロール">▽</a>
<a href="ti_mak_item_view.php#top" target="item_view" title="一覧の先頭を表示するようにスクロール">△</a>
</td></tr>
</table>
</form>
</body>
</html>
<?php
  page_close();
?>

