<?php
/*
*	$id:ti_mak_item_ctrl.php (c)A.Ida 2017/3/10 15:37:30
*	テスト項目運用システム - 項目作成フォームと実行
*/
include("ti_prepend.inc");
page_open(array("sess"=>"Ti_Session",
		"auth"=>"Ti_Auth",
		"perm"=>"Ti_Perm"));
$perm->check("tester");
$lic = new Ti_lic();
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>
<link rel="STYLESHEET" href="tistyle.css" type="TEXT/CSS">
<SCRIPT type="text/javascript" src="ckForm.js"></script>
<SCRIPT Language="JavaScript">
<!--
function ckf(cForm, flg){
	var bret = true;
	var parry, narry;
	if(flg == "lump"){
		bret = ckLump(cForm);
	}
	if(bret){
		cForm.bflg.value = flg;
		if((flg == "class") || (flg == "lump") || (flg == "movcls") || (flg == "cpclsitem")){
			parry = new Array(0,0,0);
		}else{
			parry = new Array(1,1,0);
		}
		narry = new Array(0,0,0);
		bret = ckForm(cForm, parry, narry, "");
	}
	return(bret);
};
function taclr(cObj){
	cObj.value = "";
	cObj.focus();
};
function inifocus(){
	if(document.frmMkItem.ope)
	{
		document.frmMkItem.ope.focus();
	}
};
<?php if($lic->ynMkiSize()): ?>
var mgn = <?php print($lic->key); ?>;
var rflag = 0;
function getAbsPos(obj)
{
    this.left = 0;
    this.top  = 0;
    this.rewind = function(obj,start) {
        if (obj == document.body) return ;
        this.left += obj.offsetLeft;
        this.top  += obj.offsetTop;
        this.rewind(obj.offsetParent, false);
    }
    this.rewind(obj, true);
}
function resetAreaSize()
{
	if(rflag == 0){
		rflag = 1;
		var ope = document.getElementById('ope');
		var exp = document.getElementById('exp');
		var clr = document.getElementById('clr_op');
//		var att = document.getElementById('atts');
		var pos = new getAbsPos(ope);
		
		var w = Math.floor(document.body.clientWidth / 2 - (pos.left + clr.clientWidth + 6) - mgn);
//		var h = Math.floor(document.body.clientHeight - pos.top - att.clientHeight - (mgn * 2));
		ope.style.width = exp.style.width = w + "px";
//		ope.style.height = exp.style.height = h + "px";
	}
	rflag = 0;
};
window.onresize = function(){resetAreaSize();}
window.onload = function(){resetAreaSize(); inifocus();}
<?php else: ?>
window.onload = function(){inifocus();}
<?php endif; ?>
// -->
</SCRIPT>
<title>TI-System - 項目作成</title>
</head>

<?php
$req = new ti_request();
$g_pid = $req->getSessCheck("g_pid");
// モード
$bflg = $req->getReq("bflg", "normal");

$db = new DB_Ti(true);
$opt = new ti_mkOptions();
require_once("ti_g_item.inc");
require_once("ti_pname.inc");
?>

<?php if($bflg == "ref"): ?>
<!-- 既存データ照会 ====================================== -->
<?php
// 参照元項目ＩＤ
$iid_r = $req->getReqCheck("iid_r");

$sSql  = "SELECT *, ";
$sSql .= "to_char(dplan,'YYYY') AS cyear, ";
$sSql .= "to_char(dplan,'MM') AS cmonth, ";
$sSql .= "to_char(dplan,'DD') AS cday ";
$sSql .= sprintf("FROM titem WHERE npid = %d AND niid = %d", $g_pid, $iid_r);
$db->query($sSql);
$db->next_record();
$_SESSION["g_iid"] = $g_iid = $db->f("niid");
$_SESSION["g_cid"] = $g_cid = $db->f("ncid");
$_SESSION["g_ope"] = $g_ope = $db->f("cope");
$_SESSION["g_exp"] = $g_exp = $db->f("cexp");
$_SESSION["g_charge"] = $g_charge = $db->f("cid");
$_SESSION["g_charge2"] = $g_charge2 = $db->f("cid2");
$_SESSION["g_imp"] = $g_imp = $db->f("nimp");
$_SESSION["g_dif"] = $g_dif = $db->f("ndif");
$_SESSION["g_year"] = $g_year = $db->f("cyear");
$_SESSION["g_moth"] = $g_month = $db->f("cmonth");
$_SESSION["g_day"] = $g_day = $db->f("cday");
?>

<?php elseif($bflg == "mov"): ?>
<!-- 項目移動 ============================================== -->
<?php
// 移動先ＩＤ
$dis = $req->getReqCheck("dis");
// 移動対象ＩＤ配列
$ck = $req->getReqCheck("ck");
$cnt = $req->is_ary_cnt($ck);

$db->query("BEGIN");
// 挿入先隙間作成
$sSql = sprintf("SELECT norder, ncid FROM titem WHERE npid = %d AND niid = %d", $g_pid, $dis);
$db->query($sSql);
$db->next_record();
$order = $db->f("norder");
$cid = $db->f("ncid");
$sSql  = sprintf("UPDATE titem SET norder = norder + %d WHERE ", $cnt);
$sSql .= sprintf("npid = %d AND ncid = %d AND ", $g_pid, $cid);
$sSql .= sprintf("norder >= %d", $order);
$ret = $db->query($sSql);
// 挿入
if($ret){
	for($i=0;$i<$cnt;$i++){
		$sSql  = sprintf("UPDATE titem SET ncid = %d, norder = %d ", $cid, $order+$i);
		$sSql .= sprintf("WHERE npid = %d AND niid = %d", $g_pid, $ck[$i]);
		$ret = $db->query($sSql);
		if(!$ret){
			break;
		}
	}
}
if($ret){
	$db->query("END");
}else{
	$db->query("ROLLBACK");
}
?>
<SCRIPT Language="JavaScript">
parent.item_view.location.reload();
</SCRIPT>

<?php elseif($bflg == "del"): ?>
<!-- 指定項目削除 ============================================= -->
<?php
// 削除対象ＩＤ配列
$ck = $req->getReqCheck("ck");
$cnt = $req->is_ary_cnt($ck);
$iids = implode(", ", $ck);	// CSV化

$sSql  = "DELETE FROM titem WHERE ";
$sSql .= sprintf("npid = %d AND niid in (%s)", $g_pid, $iids);
$db->query($sSql);
// 障害の項目との関連付け削除
$sSql = sprintf("UPDATE tbug SET niid = 0, nround = 0 WHERE npid = %d AND niid in (%s)", $g_pid, $iids);
$db->query($sSql);
// 添付資料へのリンク削除 append V0.3
$sSql = sprintf("DELETE FROM tattach WHERE npid = %d AND ckind = 'I' AND niid in (%s)", $g_pid, $iids);
$db->query($sSql);
?>
<SCRIPT Language="JavaScript">
parent.item_view.location.reload();
</SCRIPT>
<?php endif; ?>

<body class="fit">

<!-- 入力フォーム ============================================= -->
<form name="frmMkItem" method="post" target="item_ctrl" action="<?php $sess->purl("ti_mak_item_ctrl_act.php"); ?>">
<input type="hidden" name="bflg" value="">
<table border="0" class="ctrl">
<tr><td width="100%">
<table border="0" cellspacing="0" cellpadding="0" width="100%">
<tr><td class="proj" width="100%">
<?php
$g_cid = $req->getSess("g_cid", -1);

if($bflg == "lump"){
	print("一括変更：");
}else{
	print("項目編集：");
}
printf(htmlspecialchars($g_pname)); 
?>
</td><td class="jump" align="right" nowrap>
<?php printf("<a href='ti_ana_class.php?dmy=0&pid=%d' target='ti_anacls' tabindex=-1 title='分類別項目数分布表を表示'>\n", $g_pid); ?> 
分布&nbsp;
</a>
</td><td class="jump" align="right" nowrap>
<?php printf("<a href='ti_run_item.php?dmy=0&pid=%d' target='_parent' tabindex=-1 title='実施画面に遷移'>\n", $g_pid); ?> 
実施へ
</a>
</td></tr>
</table>
</td></tr><tr><td>
<table border="0" cellspacing="0" cellpadding="0" width="100%">
<tr><td class="item2" nowrap>
分類
</td><td class="item2" nowrap>
<select name="cls" tabindex=1>
<?php
$sSql =  sprintf("SELECT *, get_fullcname(%d, nucid, cclass) AS ccname_f ", $g_pid);
$sSql .= "FROM vclass ";
$sSql .= sprintf("WHERE npid = %d ", $g_pid);
$sSql .= "ORDER BY o1, o2, o3, o4, o5, o6, o7, o8, o9";
$db->query($sSql);

$def = $g_cid;
$hsize = 0;
if ($bflg == "lump"){
	$hsize = 4;
	$def = -1;
}
print($opt->mkDBOpts($db, "ccname_f", "ncid", $def, $hsize));
$clsflg = ($opt->optNum > 0) ? 1 : 0;	// 登録ボタン有効判定
?>
</select>

<!-- 一括変更 ============================================= -->
<?php if($bflg == "lump"): ?>
<?php
$g_iids = $req->getReqCheck("ck");
$_SESSION["g_iids"] = $g_iids;
?>

</td><td align="right" width="100%">
<input type="button" name="bitem" value="　更　新　" onClick="ckf(document.frmMkItem, 'lump')">
<input type="button" name="bitem" value="キャンセル" onClick="history.back();">
</td></tr>
<!-- add V0.3.1 -->
</table>
</td></tr>
<tr><td>
<tr><td>
<table cellspacing="0" cellpadding="0">
<tr><td class="item2" colspan="1" nowrap>
置換前文字列：
</td><td align="right">
<input type="button" value="クリア" onClick="taclr(document.frmMkItem.prestr)">
</td><td>
&nbsp;
</td><td class="item2" nowrap>
置換後文字列：
</td><td align="right">
<input type="button" value="クリア" onClick="taclr(document.frmMkItem.aftstr)">
</td></tr><tr>
<td align="left" colspan="2">
<input type="text" name="prestr" size="38" class="jp" style="width:390px;">
</td><td>
&nbsp;
</td></td>
<td align="left" colspan="2">
<input type="text" name="aftstr" size="38" class="jp" style="width:390px;">
</td></tr>

<!-- 新規登録 ============================================= -->
<?php else: ?>
<input type="button" name="bclass" value="編集..." onClick="ckf(document.frmMkItem, 'class')" tabindex=2 title="分類の作成・変名・削除を行う">
<!-- add v0.2 -->
<input type="button" name="bmovcls" value="移動..." onClick="ckf(document.frmMkItem, 'movcls')" tabindex=3 title="分類の並びを変更する">
<!-- add v0.3.1 -->
<input type="button" name="bcpclsitem" value="項目複写..." onClick="ckf(document.frmMkItem, 'cpclsitem')" tabindex=4 title="分類直下の項目を別の分類にコピー">
</td><td align="right" width="100%">
<?php if($bflg == "ref"): ?>
<button type="button" name="bup" accesskey="u" onClick="ckf(document.frmMkItem, 'up')" tabindex=15 title="現在の内容で項目を更新">更　新 (<u>U</u>)</button>
<?php endif; ?>
<button type="button" name="bins" accesskey="i" <?php print($clsflg == 1 ? "" : " disabled"); ?> onClick="ckf(document.frmMkItem, 'ins')" tabindex=16 title="現在の内容で項目を追加作成">登　録 (<u>I</u>)</button>
</td></tr>
</table>
</td></tr>
<tr><td>
<table border="0" cellspacing="0" cellpadding="0">
<tr><td class="caption2">
操<br>作
</td><td>
<textarea class="mkitem" name="ope" id="ope" cols="50" rows="5" tabindex=10>
<?php print($g_ope); ?>
</textarea>
</td>
<td align="left">
<input type="button" tabindex=-1 class="clear" id="clr_op" value="C" onClick="taclr(document.frmMkItem.ope)" title="「操作」の入力フィールドをクリア">
</td><td>
&nbsp;
</td><td class="caption2">
結<br>果
</td><td rowspan="2">
<textarea class="mkitem" name="exp" id="exp" cols="50" rows="5" tabindex=11>
<?php print($g_exp); ?>
</textarea>
</td><td align="left">
<input type="button" tabindex=-1 class="clear" id="clr_ex" value="C" onClick="taclr(document.frmMkItem.exp)" title="「結果」の入力フィールドをクリア">
</td></tr>
<!-- ============================================= -->
<?php endif; ?>
</table>

</td></tr><tr><td>
<table width="100%" border="0" cellspacing="0" cellpadding="0">
<tr><td nowrap>
<table id="atts" border="1" cellspacing="0" cellpadding="2">
<tr><td class="item" nowrap>
担当
</td><td nowrap>
<font size="-1">主</font>
<select name="charge1">
<?php
$sSql = sprintf("SELECT * FROM vpmember WHERE npid = %d", $g_pid);
$db->query($sSql);

if ($bflg == "lump"){
	$def = "";
	$hsize = 4;
}else{
	$def = $req->getSessNN("g_charge", $auth->auth["uname"]);
	$hsize = 0;
}
print($opt->mkDBOpts($db, "cname", "cid", $def, $hsize, true));
?>
</select>
<font size="-1">副</font>
<select name="charge2">
<?php
$db->seek(0);
if ($bflg != "lump"){
	$def = $req->getSessNN("g_charge2", $auth->auth["uname"]);
}
print($opt->mkDBOpts($db, "cname", "cid", $def, $hsize, true));
?>
</select>
</td><td class="item" nowrap>
重度
</td><td>
<select name="simp">
<?php
if ($bflg != "lump"){
	$def = $req->getSess("g_imp", 2);	// デフォルト：中度
}
print($opt->mkImps($def, $hsize));
?>
</select>
</td><td class="item" nowrap>
難度
</td><td>
<select name="sdif">
<?php
if($bflg != "lump"){
	$def = $req->getSess("g_dif", 2);	// デフォルト：中
}
print($opt->mkDifs($def, $hsize));
?>
</section>
</td><td class="item" nowrap>
予定日
</td><td nowrap>
<select name="syear">
<?php
if(!isset($g_year) || strlen($g_year) == 0 || $g_year == "----" || $g_year == -1){
	$now = new ti_now($db);
	$g_year = $now->y;
	$g_month = $now->m;
	$g_day = $now->d;
}
$bhf = ($bflg == "lump") ? true : false;
$def = ($bflg == "lump") ? -1 : $g_year;
print($opt->mkYears($def, $bhf));
?>
</select>
/
<select name="smonth">
<?php
$def = ($bflg == "lump") ? -1 : $g_month;
print($opt->mkMonths($def, $bhf));
?>
</select>
/
<select name="sday">
<?php
$def = ($bflg == "lump") ? -1 : $g_day;
print($opt->mkDays($def, $bhf));
?>
</select>

</td></tr>
</table>
</td></tr>
</table>
</td></tr>
</form>
</table>
<?php if($bflg == "lump"): ?>
<p class="caption"><font size="-1">
初期値（ハイフン）以外の値に設定して「更新」ボタンを押すことで、指定した項目の該当値を一括して更新できます。<br>
予定日については、年/月/日の全てを指定した場合だけ有効です。<br>
置換前文字列を指定すると、「操作」および「結果」内の文字列で置換前文字列に合致する部分を置換後文字列に入れ替えます。正規表現などは使えません。
</font></p>
<?php endif; ?>
</body>
</html>
<?php
  page_close();
?>

