<?php
/*
*	$id:ti_mak_item_view.php (c)A.Ida 2017/3/10 15:37:31
*	テスト項目運用システム - 項目作成（一覧）
*/
include("ti_prepend.inc");
page_open(array("sess"=>"Ti_Session",
		"auth"=>"Ti_Auth",
		"perm"=>"Ti_Perm"));
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>
<link rel="STYLESHEET" href="tistyle.css" type="TEXT/CSS">
<SCRIPT type="text/javascript" src="ti_lstCtrl.js"></script>
<SCRIPT Language="JavaScript">
<!--
var g_cur = -1;
function waitbtns(){
	while(true){
		if(parent.item_btns.document.frmBtnsItem.bdel){
			break;
		}
	}
};
function fckck(cForm){
	var max = cForm.elements.length;
	var ck=0;
	var rd=0;
	for(var j=0;j<max;j++){
		if(cForm.elements[j].type == 'checkbox'){
			if(cForm.elements[j].checked){
				ck++;
			}
		}else if(cForm.elements[j].type == 'radio'){
			if(cForm.elements[j].checked){
				rd++;
			}
		}
		if((ck != 0) && (rd != 0)){
			break;
		}
	}
	waitbtns();
	if(ck == 0){
		parent.item_btns.document.frmBtnsItem.bclrck.disabled = true;
		parent.item_btns.document.frmBtnsItem.bupld.disabled = true;
		parent.item_btns.document.frmBtnsItem.blump.disabled = true;
		parent.item_btns.document.frmBtnsItem.bmov.disabled = true;
		parent.item_btns.document.frmBtnsItem.bdel.disabled = true;
		parent.item_btns.document.frmBtnsItem.brefit.disabled = true;
	}else{
		parent.item_btns.document.frmBtnsItem.bclrck.disabled = false;
		parent.item_btns.document.frmBtnsItem.bupld.disabled = false;
		parent.item_btns.document.frmBtnsItem.blump.disabled = false;
		parent.item_btns.document.frmBtnsItem.bdel.disabled = false;
		if(rd == 0){
			parent.item_btns.document.frmBtnsItem.bmov.disabled = true;
		}else{
			parent.item_btns.document.frmBtnsItem.bmov.disabled = false;
		}
		parent.item_btns.document.frmBtnsItem.brefit.disabled = false;
	}	
};
function setMouseOut(row){
	if(g_cur > 0){
		chgOutMouse("outColor", g_cur);
		outColor(g_cur);
	}
	chgOutMouse("curColor", row);
	curColor(row);
	g_cur = row;
};
function fref(cForm, iid, row){
	cForm.bflg.value = 'ref';
	cForm.iid_r.value = iid;
	setMouseOut(row);
	cForm.submit();
};
// -->
</SCRIPT>
<title>TI-System - 項目作成 一覧</title>
</head>

<body class="fit" onload="fckck(document.frmViewItem)">
<?php
$req = new ti_request();
$g_pid = $req->getSessCheck("g_pid");
$g_sclass = $req->getSess("g_sclass", -1);
$g_iid = $req->getSess("g_iid", -1);

$db = new DB_Ti(true);
$lic = new ti_lic();
$bplan = $lic->ynMkiPlan();
if ($bplan){ $pfmt = sprintf("to_char(dplan, '%s')", $lic->key); }
$biid = $lic->chkItemId(1);

$sSql = sprintf("SELECT MAX(cntClass(npid,ncid,0)) AS ccnt from tclass WHERE npid = %d", $g_pid);
$db->query($sSql);
$db->next_record();
$ccnt = $db->f("ccnt");
?>

<form name="frmViewItem" target="item_ctrl" method="POST" action="<?php $sess->purl("ti_mak_item_ctrl.php");?>">
<a name="top"></a>
<table border="0" cellspacing="0" cellpadding="0" width="100%">
<tr><td>
<input type="hidden" name="bflg" value="ref">
<input type="hidden" name="iid_r" value="f">
<input type="hidden" name="atkind" value="I">
<input type="hidden" name="mod" value="attach">
<table class="view" cellspacing="0">
<tr>
<th nowrap><font size="-1">項番</font></th>
<th nowrap><font size="-1">選</font></th>
<th nowrap><font size="-1">先</font></th>
<?php
for($c=0;$c<$ccnt;$c++){
	printf("<th nowrap><font size=\"-1\">分類%02d</font></th>\n", $c+1);
}
?>
<th nowrap><font size="-1">操作</font></th>
<th nowrap><font size="-1">結果</font></th>
<th nowrap><font size="-1">重</font></th>
<th nowrap><font size="-1">難</font></th>
<th nowrap><font size="-1">主担</font></th>
<th nowrap><font size="-1">副担</font></th>
<?php if ($bplan): ?>
<th nowrap><font size="-1">予定</font></th>
<?php endif; ?>
</tr>
<?php
$sSql  = "SELECT C.*, I.*, U1.cname AS charge1, U2.cname AS charge2";
if ($bplan){
	$sSql .= ", " . $pfmt . " as cplan";
}
$sSql .= " FROM vclass C, titem I, muser U1, muser U2 ";
$sSql .= sprintf("WHERE I.npid = %d AND ", $g_pid);
$sSql .= "C.npid = I.npid AND ";
$sSql .= "C.ncid = I.ncid AND ";
$sSql .= "I.cid = U1.cid AND I.cid2 = U2.cid ";
if(isset($g_sclass) && ($g_sclass != -1)){
        // 配下の分類ＩＤ取得 add V0.3.2
        $sSql2 = sprintf("SELECT get_ClassChildren(%d,%d,'%d') AS classs", $g_pid, $g_sclass, $g_sclass);
        $db->query($sSql2);
        $db->next_record();
        $sSql .= sprintf("AND I.ncid IN (%s) ", $db->f("classs"));
//	$sSql .= sprintf("AND n1 = %d ", $g_sclass);
}
$sSql .= "ORDER BY o1, o2, o3, o4, o5, o6, o7, o8, o9, I.norder";	// exchg v0.2
$db->query($sSql);
// 分類のrowspan決定処理
for($c=1; $c<=$ccnt;$c++){
	$fwd_id[$c] = -1;
	$spn_cnt[$c][0] = 0;	// 行番号
	$spn_cnt[$c][1] = 1;	// １行目のrowspan初期値
}
while($db->next_record()){
	$cgflg = 0;		// 上位の分類が変化したら下位も無条件に区切る(for nid == 0)
	for($c=1; $c<=$ccnt;$c++){
		$nno = sprintf("n%d", $c);
		if(($fwd_id[$c] == $db->f($nno)) && ($cgflg == 0)){
			// 変化が無いのでカウントアップ
			$spn_cnt[$c][$spn_cnt[$c][0]]++;
		}else{
			// 自分又は親分類が変化した
			$cgflg = 1;
			$fwd_id[$c] = $db->f($nno);	// 変化後のnid保存
			$spn_cnt[$c][0]++;
			$spn_cnt[$c][$spn_cnt[$c][0]] = 1;
		}
	}
}
// ここから
$db->seek(0);
for($c=1; $c<=$ccnt; $c++){
	$fwd_id[$c] = -1;
	$spn_cnt[$c][0] = 1;
}
$i = 1;
$cur_row = -1;
while($db->next_record()){
//	print("<tr>\n");
	$even = "odd";
	$out  = "outColor";
	if($g_iid == $db->f("niid")){
		$even = "cur";
		$out = "curColor";
		$cur_row = $i;
	}else if($i%2 == 0){
		$even = "even";
	}
	printf("<tr class=%s id=r%d onMouseOver='ovrColor(%d);' onMouseOut='%s(%d);'>\n", $even, $i, $i, $out, $i);
	// 項番
	printf("<td class=\"bd caption\" align=\"right\"><font size=\"-1\"><input type=\"button\" name=\"bref\" value=\"%03d\" onClick=\"fref(document.frmViewItem, %d, %d)\"></font></td>\n", $biid ? $db->f("niid") : $i, $db->f("niid"), $i);
	// 選
	printf("<td class=\"bd view\"><input type=\"checkbox\" name=\"ck[]\" value=\"%d\" onClick=\"fckck(document.frmViewItem)\"></td>\n", $db->f("niid"));
	// 先
	printf("<td class=\"bd view\"><input type=\"radio\" name=\"dis\" value=\"%d\" onClick=\"fckck(document.frmViewItem)\"></td>\n", $db->f("niid"));
	// 分類XX
	$cgflg = 0;
	for($c=1; $c<=$ccnt; $c++){
		$nno = sprintf("n%d", $c);
		if(($fwd_id[$c] != $db->f($nno)) || ($cgflg == 1)){
			// 自分又は親分類が変化した
			$cgflg = 1;
			$cno = sprintf("c%d", $c);
			$cstr = $db->f($cno);
			if(strlen($cstr) == 0){
				$cstr = "-";
				$align = "center";
			}else{
				$align = "left";
			}
			printf("<td class=\"bd cls\" bgcolor='#CCCCCC' rowspan=\"%d\" align=\"%s\"><font size=\"-1\">%s</font></td>\n", $spn_cnt[$c][$spn_cnt[$c][0]], $align, nl2br(htmlspecialchars($cstr)));
			$spn_cnt[$c][0]++;
			$fwd_id[$c] = $db->f($nno);
		}
	}
	// 操作
	printf("<td class=\"bd view\"><font size=\"-1\">%s</font></td>\n", nl2br(htmlspecialchars($db->f("cope"),0)));
	// 結果
	printf("<td class=\"bd view\"><font size=\"-1\">%s</font></td>\n", nl2br(htmlspecialchars($db->f("cexp"),0)));
	// 重度
	printf("<td class=\"bd view\"><font size=\"-1\">%s</font></td>\n", $c_iaryR[$db->f("nimp")]);
	// 難度
	printf("<td class=\"bd view\"><font size=\"-1\">%s</font></td>\n", $c_daryR[$db->f("ndif")]);
	// 主担当
	printf("<td class=\"bd view\" nowrap><font size=\"-1\">%s</font></td>\n", $db->f("charge1"));
	// 副担当
	printf("<td class=\"bd view\" nowrap><font size=\"-1\">%s</font></td>\n", $db->f("charge2"));
	// 予定日
	if ($bplan){
		printf("<td class=\"bd view\" nowrap><font size=\"-2\">%s</font></td>\n", $db->f("cplan"));
	}	
	print("</tr>\n");
	$i++;
}
?>
</table>
</td></tr>
<tr><td>
<a name="bottom"></a>
<p class="caption">
<font size="-2">
項番ボタンを押すことで項目の設定内容を編集フィールドに取だして更新できます。一部を変更して別項目として登録することもできます。
</font>
</p>
</td></tr>
</table>
</form>
<?php if($cur_row > 0): ?>
<SCRIPT Language="JavaScript">
<!--
g_cur = <?php print($cur_row); ?>;
// -->
</script>
<?php endif; ?>
</body>
</html>
<?php
  page_close();
?>

