<?php
/*
*	$id:ti_menu.php (c)A.Ida 2017/3/10 15:37:31
*	テスト項目運用システム - メインメニュー
*/
require_once("ti_prepend.inc");
page_open(array("sess"=>"Ti_Session",
		"auth"=>"Ti_Auth",
		"perm"=>"Ti_Perm"));
$db = new DB_Ti;
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>
<SCRIPT type="text/javascript" src="ti_lstCtrl.js"></script>
<SCRIPT Language="JavaScript">
<!--
var bmsg = false;
document.onreadystatechange = ckBugsNum;
function ckIE(){
	var ieflg = 0;
	if(navigator.appName == "Microsoft Internet Explorer"){
		if(navigator.appVersion >= "4.0"){
			ieflg = 1;
		}
	}else if(navigator.appName == "Netscape"){
		if(navigator.appVersion >= "5.0"){
			ieflg = 1;
		}
	}
	if(ieflg == 0){
		alert("Internt Explorer６以降をお使いになることを推奨します。");
	}
};
function ckBugsNum(){
<?php
	$msg = "";
	// 残障害チェック
	$sSql  = "SELECT count(*) AS acnt ";
	$sSql .= "FROM vbug ";
	$sSql .= sprintf("WHERE cid_a IS null AND cid_p = '%s'", $auth->auth["uname"]);
	$db->query($sSql);
	$db->next_record();
	$acnt = $db->f("acnt");
	if($acnt > 0){
		$msg = sprintf("未回答の障害が%d件残っています。", $acnt);
	}
	// 残相談チェック
	$sSql  = "SELECT count(*) AS acnt ";
	$sSql .= "FROM vconvers ";
	$sSql .= sprintf("WHERE cid_a = '%s' AND nans IS null", $auth->auth["uname"]);
	$db->query($sSql);
	$db->next_record();
	$acnt = $db->f("acnt");
	if($acnt > 0){
		if($msg){
			$msg .= "\\n";
		}
		$msg .= sprintf("未回答の相談が%d件残っています。",$acnt);
	}
?>
<?php if(strlen($msg) > 0): ?>
	if(document.readyState != 'complete'){ return; }
	if(!bmsg)
	{
		bmsg = true;
		alert("<?php print($msg); ?>");
	}
<?php endif; ?>
};
function menuBtn(id){
	btnCtrl(id, 6, "menu");
	return true;
};
function fonld(){
<?php
	if(!is_null($auth->p_lastLogin)){
		$logstr = "前回ログイン：" . str_replace("-", "/", $auth->p_lastLogin);
	}else{
		$logstr = "初めてのご利用ですね。よろしくお願いします。";
	}
?>
	window.status = "<?php print($logstr); ?>";
}
// -->
</SCRIPT>
<link rel="STYLESHEET" href="tistyle.css" type="TEXT/CSS" media="all">
<link rel="STYLESHEET" href="tiprint.css" type="TEXT/CSS" media="print">
<title>テスト項目運用システム - MENU</title>
</head>

<body class="fit" onload="ckIE(); ckBugsNum(); fonld();">
<span id="mainmenu">
<table width="100%" border="0" cellspacing="0" cellpadding="0">
<tr style="margin-bottom: 0px;"><td align="left">
<!-- <b class="title">テスト項目運用システム V0.4</b> -->
<img src="img/title.png" alt="テスト項目運用システム V0.5" title="Version 0.5" style="margin:4px 0 0 4px;">
</td>
</td><td class="logout" align="right" nowrap>
<font size="-1">ようこそ、<b title="<?php print($logstr);?>"><?php print(htmlspecialchars($auth->p_cname));?></b>さん。&nbsp;</font>
<A CLASS="logout" HREF="<?php $sess->purl("ti_logout.php"); ?>" TARGET="_top" onMouseOver="fonld();">ログアウト</A>
</td></tr>
</table>
<table border="0" width="100%" style="margin-top: 0px">
<tr style="margin-top: 0px;">
<td id="b1" class="menu" nowrap>
<A CLASS="menu" accesskey="l" onClick="menuBtn(1);" HREF="<?php $sess->purl("ti_select_proj.php"); ?>" TARGET="ctrl">ﾌﾟﾛｼﾞｪｸﾄ撰択(<u>L</u>)</A>
</td>
<td id="b2" class="menu" nowrap>
<A CLASS="menu" accesskey="b" onClick="menuBtn(2);" HREF="<?php $sess->purl("ti_select_bug.php"); ?>" TARGET="ctrl">&nbsp;&nbsp;障害回答(<u>B</u>)&nbsp;&nbsp;</A>
</td>
<td id="b3" class="menu" nowrap>
<A CLASS="menu" accesskey="c" onClick="menuBtn(3);" HREF="<?php $sess->purl("ti_select_conv.php"); ?>" TARGET="ctrl">&nbsp;&nbsp;相談回答(<u>C</u>)&nbsp;&nbsp;</A>
</td>
<?php if($perm->have_perm("admin")): /* --- 管理者のみ ---- */ ?>
<td id="b4" class="menu" nowrap>
<A CLASS="menu" accesskey="p" onClick="menuBtn(4);" HREF="<?php $sess->purl("ti_admin_proj.php"); ?>" TARGET="ctrl">ﾌﾟﾛｼﾞｪｸﾄ管理(<u>P</u>)</A>
</td>
<td id="b5" class="menu" nowrap>
<A CLASS="menu" accesskey="m" onClick="menuBtn(5);" HREF="<?php $sess->purl("ti_admin_user.php"); ?>" TARGET="ctrl">&nbsp;ユーザ管理(<u>M</u>)&nbsp;</A>
</td>
<?php elseif($perm->have_perm("leader")):  /* ----- リーダのみ ------ */ ?>
<td id="b4" class="menu" nowrap>
<A CLASS="menu" accesskey="p" onClick="menuBtn(4);" HREF="<?php $sess->purl("ti_admin_proj.php"); ?>" TARGET="ctrl">ﾌﾟﾛｼﾞｪｸﾄ管理(<u>P</u>)</A>
</td>
<td id="b5" class="menu" nowrap>
<A CLASS="menu" accesskey="m" onClick="menuBtn(5);" HREF="<?php $sess->purl("ti_up_user_ctrl_2.php?dmy=uinf") . printf("&id=%s",$auth->auth["uname"]); ?>" TARGET="ctrl">&nbsp;ユーザ情報(<u>M</u>)&nbsp;</A>
</td>
<?php elseif($auth->auth["uname"] != "guest"):  /* ----- 一般のみ ------ */ ?>
<td id="b5" class="menu" nowrap>
<A CLASS="menu" accesskey="m" onClick="menuBtn(5);" HREF="<?php $sess->purl("ti_up_user_ctrl_2.php?dmy=uinf") . printf("&id=%s",$auth->auth["uname"]); ?>" TARGET="ctrl">&nbsp;ユーザ情報(<u>M</u>)&nbsp;</A>
</td>
<?php endif; /* ------------------------------------------- */ ?>
<td id="b6" class="menu" nowrap>
<A id="tool_id" CLASS="menu" accesskey="o" onClick="menuBtn(6);" HREF="<?php $sess->purl("ti_use_tool.php"); ?>" TARGET="ctrl">&nbsp;&nbsp;&nbsp;ツール(<u>O</u>)&nbsp;&nbsp;&nbsp;</A>
</td><td class="help" nowrap>
<A CLASS="menu" accesskey="q" HREF="<?php $sess->purl("hlp_indx.php"); ?>" TARGET="hlp"><IMG SRC="img/hlp.jpg" HEIGHT="16" WIDTH="16" ALT="ヘルプ" title="ヘルプ(Q)"></A>
<!--
</td><td class="logout" align="right" nowrap>
<A CLASS="logout" HREF="<?php $sess->purl("ti_logout.php"); ?>" TARGET="_top">ログアウト</A>
-->
</td></tr>
</table>
</left>
</span>
</body>
</html>
<?php
  page_close();
?>

