<?php
/*
*	$id:ti_mov_class_act.php (c)A.Ida 2017/3/10 15:37:30
*	テスト項目運用システム - 分類の移動実行部
*/
include("ti_prepend.inc");
page_open(array("sess"=>"Ti_Session",
		"auth"=>"Ti_Auth",
		"perm"=>"Ti_Perm"));
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>
<link rel="STYLESHEET" href="tistyle.css" type="TEXT/CSS">
<SCRIPT type="text/javascript" src="ckForm.js"></script>
<SCRIPT Language="JavaScript">
<!--
function ckf(cForm, flg){
	var parry, narry;
	cForm.bflg.value = flg;
	if((flg == "class") || (flg == "lump") || (flg == "movcls")){
		parry = new Array(0,0,0);
	}else{
		parry = new Array(1,1,0);
	}
	narry = new Array(0,0,0);
	return(ckForm(cForm, parry, narry, ""));
};
function reView(){
	if(parent.item_btns.document.frmBtnsItem.ckauto.checked){
		parent.item_view.document.location.reload();
	}
};
function fix(){
	window.open('<?php $sess->purl("ti_mak_item_ctrl.php"); ?>', 'item_ctrl');
	// 第１階層分類候補更新
	parent.item_btns.document.frmBtnsItem.submit();
	// 一覧更新
	reView();
};
function load(){
	document.getElementById('ok').focus();
};
// -->
</SCRIPT>
<title>TI-System - 分類移動</title>
</head>

<body class="help" onload="load()">

<?php
$req = new ti_request();
$g_pid = $req->getSessCheck("g_pid");
$ck = $req->getReqCheck("ck");
$dis = $req->getReqCheck("dis");

$db = new DB_Ti;
include("ti_pname.inc");
?>

<!-- 項目移動 ==================================================== -->
<?php
$cnt = count($ck);
$db->query("BEGIN");
// 挿入先隙間作成
$sSql = sprintf("SELECT norder, ncid FROM tclass WHERE npid = %d AND ncid = %d", $g_pid, $dis);
$db->query($sSql);
$db->next_record();
$order = $db->f("norder");
$cid = $db->f("ncid");
$sSql  = sprintf("UPDATE tclass SET norder = norder + %d WHERE ", $cnt);
$sSql .= sprintf("npid = %d AND ", $g_pid);
$sSql .= sprintf("norder >= %d", $order);
$ret = $db->query($sSql);
// 挿入
if($ret){
	for($i=0;$i<$cnt;$i++){
		$sSql  = sprintf("UPDATE tclass SET norder = %d ", $order+$i);
		$sSql .= sprintf("WHERE npid = %d AND ncid = %d", $g_pid, $ck[$i]);
		$ret = $db->query($sSql);
		if(!$ret){
			break;
		}
	}
}
if($ret){
	$db->query("END");
}else{
	$db->query("ROLLBACK");
}
?>
<SCRIPT Language="JavaScript">
//parent.item_ctrl.location.reload();
</SCRIPT>

<!-- 確認画面 ================================================ -->
<div align="center">
<?php
if($ret){
	print("<h3>移動しました。</h3>");
}else{
	print("<p class=\"error\">移動できませんでした。<br>\n");
	print($db->Error);
	print("</p>\n");
}
?>
<input id="ok" type="button" value="確認" onClick="fix();">
</div>
</body>
</html>
<?php
  page_close();
?>

