<?php
/*
*	$id:ti_run_item_2_card.php (c)A.Ida 2017/3/10 15:37:30
*	テスト項目運用システム - 実施カード
*/
include("ti_prepend.inc");
page_open(array("sess"=>"Ti_Session",
		"auth"=>"Ti_Auth",
		"perm"=>"Ti_Perm"));
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>
<link rel="STYLESHEET" href="tistyle.css" type="TEXT/CSS">
<SCRIPT Language="JavaScript">
<!--
function toAttach(iid){
	var win = window.open('<?php $sess->purl("ti_up_attach.php?mod=link&atkind=I"); ?>&iid=' + iid, 'attach');
	win.focus();
};
function toBug(iid,nr){
	var win = window.open('<?php $sess->purl("ti_up_bug.php?mod=run"); ?>&iid=' + iid + '&nr=' + nr, 'tibug');
	win.focus();
};
function toConv(pid,iid){
	var win = window.open('<?php $sess->purl("ti_wr_conv_view.php?bid=0"); ?>&pid=' + pid + '&iid=' + iid, 'conv');
	win.focus();
};
function toMove(iid, dir){
	document.frmRunItem.dir.value = dir;
	document.frmRunItem.submit();
};
// -->
</SCRIPT>

<title>TI-System - 実施カード</title>
</head>
<body class="fit">
<?php
function ckExam($db){
	global $g_nr;
	global $g_examv;
	$res = TRUE;
	if($g_examv == 0){
	// 済み非表示
		if($db->f("nround") >= $g_nr){
		// 済み
			$res = FALSE;
		}
	}
	return $res;
};
function getNext($db){
	while($res = $db->next_record()){
		if(ckExam($db)){
			break;
		}
	}
	return $res;
};
function mkFullClass($db){
	$res = "<TABLE border=0 cellpadding=0 cellspacing=0><TR>\n";
	for($col=1; $col<10; $col++){
		$colName = sprintf("n%d", $col);
		if($db->f($colName) != 0){
			$colName = sprintf("c%d", $col);
			if($col > 1){
				$res .= "<TD align=center valign=top>&nbsp;-&nbsp;</TD>";
			}
			$res .= sprintf("<TD align=left valign=top>%s</TD>", nl2br(htmlspecialchars($db->f($colName))));
		}else{
			break;
		}
	}
	$res .= "</TR></TABLE>\n";
	return $res;
};
function nvl($v1,$v2,$v3){
	$res = $v2;
	if(is_null($v1)){
		$res = $v3;
	}
	return $res;
};
function fmtDate($date){
	$res = strtr($date, "-", "/");
	return $res;
};

// セッション変数取得と$where作成
$db = new DB_Ti(true);
include_once("ti_run_init.inc");

$emsg = "";	// 画面表示エラーメッセージ
$amsg = "";	// alert表示メッセージ
$res = TRUE;
$ecls = "error";
// 前画面の保存処理 -----------------------------------
if(isset($_REQUEST["sav"]) && $_REQUEST["sav"] == 1){
	// 既存確認
	$exist = FALSE;
	$sSql  = "SELECT count(*) AS cnt FROM tresult";
	$sSql .= sprintf(" WHERE npid = %d AND niid = %d AND nround = %d", $g_pid, $_REQUEST["iid"], $g_nr);
	$db->query($sSql);
	$db->next_record();
	if($db->f("cnt") > 0){
		$exist = TRUE;
	}
	if(isset($_REQUEST["examin"])){
	// 実施済み
		if($exist == FALSE){
		// 新規追加
			$sSql  = "INSERT INTO tresult (npid, niid, nround, cid_r, dexec) VALUES (";
			$sSql .= sprintf("%d, %d, %d, '%s', 'NOW'", $g_pid, $_REQUEST["iid"], $g_nr,  $auth->auth["uname"]);
			$sSql .= ")";
			$res = $db->query($sSql);
		}
	}else{
	// 未実施
		if($exist == TRUE){
		// 実績削除
			$sSql  = "DELETE FROM tresult";
			$sSql .= sprintf(" WHERE npid = %d AND niid = %d AND nround = %d", $g_pid, $_REQUEST["iid"], $g_nr);
			$res = $db->query($sSql);
		}
	}
	if($res == FALSE){
		$emsg = "実績の更新に失敗しました。";
		$ecls = "dberr";
	}
	// メモ更新
	$sSql  = sprintf("UPDATE titem SET cmemo = '%s'", a($_REQUEST["memo_n"]));
	$sSql .= sprintf(" WHERE npid = %d AND niid = %d", $g_pid, $_REQUEST["iid"]);
	$res = $db->query($sSql);
	if($res == FALSE){
		$emsg .= "メモの更新に失敗しました。";
		$ecls = "dberr";
	}
}

if($res){
	// 件数取得 -----------------------------------------
	$nall = $nrun = -1;
	$sSql = "SELECT count(*) AS nall, count(I.cid_r) AS nrun FROM vitem I " . $where;
	$db->query($sSql);
	if ($db->next_record())
	{
		$nall = $db->f("nall");
		$nrun = $db->f("nrun");
	}
	
	// 指定項目の抽出 -----------------------------------
	$resel = FALSE;
	$res = FALSE;
	$end = FALSE;
	$iid = 0;
	$mode = "NON";
	if(isset($_REQUEST["iid"])){
		$mode = "MOV";
		$iid_pre = 0;
//		$row_pre = 0;
	}else if(isset($_REQUEST["cid"])){
		$mode = "CLS";
		$colName = sprintf("n%d", $_REQUEST["lvl"]);
	}
	// 項目確定
	// 全項目から該当項目検索
	// 注）検索条件に関わらず済み状態項目も含まれる。これは、済み状態に変更した項目の「前」「次」への移動を可能にするため
	$sSql  = "SELECT *, ";
	$sSql .= sprintf("coalesce(to_char(I.dexec, '%s'), '&nbsp') AS cexec ", $c_dexec_card);
	$sSql .= "FROM vitem I";
	$sSql .= " INNER JOIN vclass C USING(npid, ncid) ";
	$sSql_base = $sSql;
	$sSql .= $where;
	$sSql .= $order;

	$db->query($sSql);
	if($db->num_rows() > 0){
		while($db->next_record()){
			switch($mode){
			case "MOV":
			// ページ移動指定
				if($db->f("niid") == $_REQUEST["iid"]){
					$res = TRUE;
					switch($_REQUEST["dir"]){
					case 2:		// 次
						$res = getNext($db);
						if($res){
							$iid = $db->f("niid");
						}else{
							$resel = TRUE;
							$res = TRUE;
							$iid = $_REQUEST["iid"];
							$amsg = "次項目はありません。";
						}
						break;
					case 3:		// 前
						$iid = $iid_pre;
						if($iid != 0){
							// 読み直し
							$resel = TRUE;
						}else{
							$resel = TRUE;
							$iid = $_REQUEST["iid"];
							$amsg = "前項目はありません。";
						}
						break;
					default:	// 指定ＩＤ
						$iid = $db->f("niid");
						break;
					}
					$end = TRUE;
				}else{
					if(ckExam($db)){
						$iid_pre = $db->f("niid");
//						$row_pre = $db->row;
					}
				}
				if($resel){
					// 前頁指定で行き過ぎた項目の読込 及び
					// 頁移動できなかった場合移動前の頁を再表示
					$sSql = $sSql_base;
					$sSql .= sprintf(" WHERE I.npid = %d AND I.niid = %d", $g_pid, $iid);
					$db->query($sSql);
					$res = $db->next_record();
				}
				break;
			case "CLS":
			// 分類アウトライン遷移
				if($db->f($colName) == $_REQUEST["cid"]){
					if(ckExam($db)){
						$res = TRUE;
						$end = TRUE;
						$iid = $db->f("niid");
						break;
					}
				}
				break;
			default:
			// 初期表示（先頭項目）
				if(ckExam($db)){
					$res = TRUE;
					$end = TRUE;
					$iid = $db->f("niid");
					break;
				}
			}
			if($end){
				break;
			}
		}
		if(($end == FALSE)&&($res == FALSE)){
			if(strlen($emsg) == 0){
				$emsg = "該当する項目はありません。";
				$ecls = "warn";
			}
		}
	}else{
		$emsg = "検索条件を満たす項目はありません。";
		$ecls = "inf";
	}
}
?>
<?php if($res): ?>
<?php
// 画面作成 -----------------------------------
include_once("ti_funcs.inc");
$db2 = new DB_Ti;
$get = new ti_get($db2);
$today = date("Y/m/d");
?>
<form name="frmRunItem" method="POST" action="<?php $sess->purl("ti_run_item_2_card.php");?>">
<input type="hidden" name="sav" value="1">
<input type="hidden" name="dir" value="0">
<input type="hidden" name="iid" value="<?php print($iid); ?>">
<input type="hidden" name="examins[]" value="<?php print($iid); ?>">
<table class="form" border="4" cellspacing="0" cellpadding="3">
<tr><td style="border-bottom:0px;">
<table class="card" width="100%" border="1" cellspacing="0" cellpadding="3">
<tr><td colspan="2" class="tbtn" align="left">
<input type="button" name="back" value="<前項目" title="保存して前項目に移動" onClick="toMove(<?php print($iid); ?>,3);">
<td colspan="4" class="tbtn" align="center">
<?php
if(($g_nr > 1) && ($db->f("nround2") == 0)){
	// 実績の全く無い項目
	print("<font size='-1' color='orange'>【未実績項目】</font>");
}else{
	print("&nbsp;");
}
?>
</td>
<td colspan="2" class="tbtn" align="right">
<input type="button" name="next" value="次項目>" title="保存して次項目に移動" onClick="toMove(<?php print($iid); ?>,2);">
</td>
<!-- １行目 -->
</tr><tr>
<td class="caption">分類</td>
<td colspan="7"><?php print(mkFullClass($db)); ?></td>
<!-- ２行目 -->
</tr><tr>
<td class="caption">資料</td>
<td>
<?php if($get->ckAttach("I", $g_pid, $iid)): ?>
<input type="button" name="attach" value="有り" onClick="toAttach(<?php print($iid); ?>);">
<?php else: ?>
無し
<?php endif; ?>
</td>
<td class="caption">相談</td>
<td>
<input type="button" name="conv" value="相談する" title="相談室を開く" onClick="toConv(<?php printf("%d,%d", $g_pid, $iid); ?>);">
</td>
<td class="caption">障害票</td>
<td>
<?php
switch($get->ckBug($g_pid, $iid)){
case 1:
	$bcls = " class='comp'";
	$bval = "回答済";
	$title = "発行済みの障害票（全て回答済み）を参照、又は新規発行する";
	break;
case 2:
	$bcls = " class='still'";
	$bval = "未回答";
	$title = "発行済みの障害票（未回答あり）を参照、又は新規発行する";
	break;
default:
	$bcls = "";
	$bval = "未発行";
	$title = "この項目に関連付けて障害票を発行する";
	break;
}
?>
<input type="button" name="bug" value="<?php print($bval); ?>"<?php print($bcls); ?> title="<?php print($title); ?>" onClick="toBug(<?php printf("%d,%d", $iid, $db->f("nround")); ?>);">
</td>
<td class="caption"><LABEL for="exa">実施済？</LABE></td>
<td style="padding-top:0px;padding-bottom:0px"<?php if($get->ckHold($g_pid, $iid) > 0){print(" class='hold'");} ?>>
<input id="exa" style="width:20px;height:20px;" type="checkbox" name="examin" value="<?php print($iid); ?>" title="項目を消化したらOnにする"<?php if($db->f("nround") >= $g_nr){print(" CHECKED");} ?>>
</td>
<!-- ３行目 -->
</tr><tr>
<td class="caption">重要度</td>
<td><?php print($c_iaryR[$db->f("nimp")]); ?></td>
<td class="caption">主担当</td>
<td>
<?php print($get->userName($db->f("cid"))); ?>
</td>
<?php if($db->f("nround") >= $g_nr): ?>
<td class="caption">実施者</td>
<?php else: ?>
<td class="caption">前回実施者</td>
<?php endif; ?>
<td>
<?php print(nvl($db->f("cid_r"), $get->userName($db->f("cid_r")), "&nbsp;")); ?>
</td>
<td class="caption" colspan="2">実施予定日</td>
<!-- ４行目 -->
</tr><tr>
<td class="caption">難易度</td>
<td><?php print($c_daryR[$db->f("ndif")]); ?></td>
<td class="caption">副担当</td>
<td>
<?php print($get->userName($db->f("cid2"))); ?>
</td>
<?php if($db->f("nround") >= $g_nr): ?>
<td class="caption">実施日</td>
<?php else: ?>
<td class="caption">前回実施日</td>
<?php endif; ?>
<td>
<?php
print($db->f("cexec"));
?>
</td>
<?php
$sclass = "";
$dplan = fmtDate($db->f("dplan"));
if($db->f("nround") < $g_nr){
	if($dplan < $today){
		$sclass = " class='alert'";
	}else if($dplan == $today){
		$sclass = " class='warn'";
	}
}
printf("<td%s colspan=2>%s</td>\n", $sclass, fmtDate($db->f("dplan")));
?>
</tr>
</table>
</td></tr>
<!-- -->
<tr><td style="border-top:0px;">
<table class="card" width="100%" border="1" cellspacing="0" cellpadding="3">
<tr>
<td class="caption" align="center">操<br>作</th>
<td>
<?php print(nl2br(htmlspecialchars($db->f("cope")))); ?>
</td>
</tr><tr>
<td class="caption" align="center">結<br>果</th>
<td>
<?php print(nl2br(htmlspecialchars($db->f("cexp")))); ?>
</td>
</tr><tr>
<td class="caption" align="center">メ<br>モ</th>
<td>
<TEXTAREA class="memo" name="memo_n">
<?php print($db->f("cmemo")); ?>
</TEXTAREA>
</td>
</tr>
</table>
</td></tr>
<tr><td align=right>
<?php
if ($nall > 0){
	$par = round($nrun * 100 / $nall);
	printf("進捗：%d / %d (%d%%)", $nrun, $nall, $par);
}
?>
</td></tr>
</table>

<?php else: ?>
<div align="center">
<p class="<?php print($ecls); ?>">
<?php print($emsg); ?>
</p>
</div>

<?php endif; ?>
<?php if(strlen($amsg) > 0): ?>
<SCRIPT Language="JavaScript">
<!--
alert('<?php print($amsg); ?>');
// -->
</SCRIPT>
<?php endif; ?>
</form>
</body>
</html>
<?php
  page_close();
?>

