<?php
/*
*	$id:ti_run_item_view.php (c)A.Ida 2017/3/10 15:37:30
*	テスト項目運用システム - 実施一覧
*/
include("ti_prepend.inc");
page_open(array("sess"=>"Ti_Session",
		"auth"=>"Ti_Auth",
		"perm"=>"Ti_Perm"));
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>
<link rel="STYLESHEET" href="tistyle.css" type="TEXT/CSS">
<SCRIPT type="text/javascript" src="ti_lstCtrl.js"></script>
<SCRIPT Language="JavaScript">
<!--
<?php require_once("ti_toCmds.inc"); ?>
function tglChk(iid){
	var cForm = document.frmRunItem;
	// クリックされた項目特定
	var max = cForm.elements.length;
	var fcunt = 0;
	var bchk = false;
	for(var i=0; i<max; i++){
		if(cForm.elements[i].type == "checkbox"){
			if(cForm.elements[i].value == iid){
				fcunt++;
				if(fcunt == 1){
					// 「済」を見つけた
					bchk = cForm.elements[i].checked;
				}else{
					// 「戻」を見つけた
					cForm.elements[i].disabled = bchk;
					break;
				}
			}else if(fcunt > 0){
				// 直後に無ければ無い
				break;
			}
		}
	}
};
// -->
</SCRIPT>
<title>テスト項目運用システム　項目一覧</title>
</head>

<body class="fit">
<?php
$_SESSION["g_imode"] = "VIEW";

$db = new DB_Ti(true);
// 検索条件値の確定、$where作成
require_once("ti_run_init.inc");
$lic = new ti_lic();
$biid = $lic->chkItemId(1);

// 分類の最大階層数確定
$sSql = sprintf("SELECT MAX(cntClass(npid,ncid,0)) AS ccnt  from tclass WHERE npid = %d", $g_pid);
$db->query($sSql);
$db->next_record();
$ccnt = $db->f("ccnt");
?>

<form name="frmRunItem" method="POST" action="<?php $sess->purl("ti_run_item_view_act.php");?>">
<table width="100%">
<tr><td>
<table class="view" cellspacing="0">
<tr>
<th nowrap><font size="-1">項番</font></th>
<?php
// 添付資料のある項目判定配列作成 append V0.3
$sSql = "SELECT DISTINCT niid FROM tattach ";
$sSql .= sprintf("WHERE npid = %d AND ckind = '%s' AND cfname is NULL ", $g_pid, $g_atkind);
$sSql .= "ORDER BY niid";
$db->query($sSql);
$indx=0;
while($db->next_record()){
	$iids[$indx++] = $db->f("niid");
}
	
for($c=0;$c<$ccnt;$c++){
	printf("<th nowrap><font size=\"-1\">分類%02d</font></th>\n", $c+1);
}
?>
<th nowrap><font size="-1">操作</font></th>
<th nowrap><font size="-1">結果</font></th>
<th nowrap><font size="-1">重</font></th>
<th nowrap><font size="-1">難</font></th>
<th nowrap><font size="-1">資</font></th>
<!--
<th nowrap><font size="-1">回数</font></th>
-->
<th nowrap><font size="-1">済</font></th>
<?php if(isset($g_examv) && $g_examv == 1): ?>
	<th nowrap><font size="-1">戻</font></th>
<?php endif; ?>
<th nowrap><font size="-1">障</font></th>
<!--
excheng V0.3.1
-->
<?php if(isset($g_examv) && $g_examv == 1): ?>
	<th nowrap><font size="-1">実担</font></th>
	<th nowrap><font size="-1">実日</font></th>
<?php endif; ?>
<th nowrap><font size="-1">記</font></th>
<th nowrap><font size="-1">相</font></th>
<th nowrap><font size="-1">主担</font></th>
<th nowrap><font size="-1">副担</font></th>
</tr>
<?php
$sSql  = "SELECT C.*, I.*, ";
$sSql .= sprintf("coalesce(to_char(I.dexec, '%s'), '&nbsp') AS cexec, ", $c_dexec_lst);
$sSql .= "toUName(I.cid) AS cname, ";
$sSql .= "toUName(I.cid2) AS cname2, ";
$sSql .= "nsp(toUName(cid_r)) AS cname_r, ";
$sSql .= "ckBug(I.npid, I.niid) AS bflg, ";
$sSql .= "H.niid AS bhld ";
$sSql .= "FROM vitem I ";
$sSql .= "INNER JOIN vclass C USING(npid, ncid) ";
$sSql .= "LEFT JOIN vitemhld H USING(npid, niid) ";
$sSql .= $where;
$sSql .= $order;

$db->query($sSql);
// 分類のrowspan決定処理
for($c=1; $c<=$ccnt;$c++){
	$fwd_id[$c] = -1;
	$spn_cnt[$c][0] = 0;
	$spn_cnt[$c][1] = 1;
}
while($db->next_record()){
	$cgflg = 0;
	for($c=1; $c<=$ccnt;$c++){
		$nno = sprintf("n%d", $c);
		if(($fwd_id[$c] == $db->f($nno)) && ($cgflg == 0)){
			$spn_cnt[$c][$spn_cnt[$c][0]]++;
		}else{
			$cgflg = 1;
			$fwd_id[$c] = $db->f($nno);
			$spn_cnt[$c][0]++;
			$spn_cnt[$c][$spn_cnt[$c][0]] = 1;
		}
	}
}
// ここから
$db->seek(0);
for($c=1; $c<=$ccnt; $c++){
	$fwd_id[$c] = -1;
	$spn_cnt[$c][0] = 1;
}
$i = 1;
$indx = 0;
while($db->next_record()){
//	print("<tr>\n");
	$even = "odd";
	if($i%2 == 0){
		$even = "even";
	}
	printf("<tr class=%s id=r%d onMouseOver='ovrColor(%d);' onMouseOut='outColor(%d);'>\n", $even, $i, $i, $i);
	// 項番
	$cls = "caption";
	if(($g_nr > 1) && ($db->f("nround2") == 0)){
		// 実績の全く無い項目
		$cls = "alert";
	}
	printf("<td class=\"bd %s\" align=\"right\"'><font size=\"-1\">%03d</font></td>\n", $cls, $biid ? $db->f("niid") : $i);
	// 分類
	$cgflg = 0;
	for($c=1; $c<=$ccnt; $c++){
		$nno = sprintf("n%d", $c);
		if(($fwd_id[$c] != $db->f($nno)) || ($cgflg == 1)){
			$cgflg = 1;
			$cno = sprintf("c%d", $c);
			$cstr = $db->f($cno);
			if(strlen($cstr) == 0){
				$cstr = "-";
				$align = "center";
			}else{
				$align = "left";
			}
			printf("<td class=\"bd cls\" bgcolor='#CCCCCC' rowspan=\"%d\" align=\"%s\"><font size=\"-1\">%s</font></td>\n", $spn_cnt[$c][$spn_cnt[$c][0]], $align, nl2br(htmlspecialchars($cstr)));
			$spn_cnt[$c][0]++;
			$fwd_id[$c] = $db->f($nno);
		}
	}
	// 操作
	printf("<td class=\"bd view\"><font size=\"-1\">%s</font></td>\n", nl2br(htmlspecialchars($db->f("cope"),0)));
	// 結果
	printf("<td class=\"bd view\"><font size=\"-1\">%s</font></td>\n", nl2br(htmlspecialchars($db->f("cexp"),0)));
	// 重要度
	printf("<td class=\"bd view\"><font size=\"-1\">%s</font></td>\n", $c_iaryR[$db->f("nimp")]);
	// 難易度
	printf("<td class=\"bd view\"><font size=\"-1\">%s</font></td>\n", $c_daryR[$db->f("ndif")]);
	// 資料 append V0.3
	print("<td class=\"bd view\">");
	$str = "<font size=\"-1\">無</font>";
	if(isset($iids)){
		for($indx=0; $indx<count($iids); $indx++){
			if($iids[$indx] == $db->f("niid")){
				$str = sprintf("<input type=\"button\" name=\"attach\" value=\"資\" onClick=\"toAttach(%d,%d);\" title=\"添付資料の一覧を表示する\">\n", $g_pid, $db->f("niid"));
				break;
			}
		}
	}
	print($str);
	print("</td>\n");
	// 済 excheng V0.3.1
	$title = "項目を消化したらOnにする。保留項目の指定にも使用する";
	$swk = $swk2 = "";
	$name = "examins";
	if($db->f("nround") >= $g_nr){
		$name = "examins2";
		$swk = " checked";
		if(isset($g_examv) && $g_examv == 1){	// 「戻」トグル
			$title = "未実施に戻す場合は、Offにした上で「戻」をOnにする";
			$swk = sprintf(" checked onClick='tglChk(%d)'", $db->f("niid"));
		}
	}
	if($db->f("bhld") > 0){	// 保留
		$title = "保留中";
		$swk2 = " hold"; 
	}
	printf("<td class=\"bd view%s\"><input class='%s' type=\"checkbox\" name=\"%s[]\" value=\"%d\"%s title=\"%s\"></td>\n", $swk2, $swk2, $name, $db->f("niid"), $swk, $title);
	// 戻し add V0.3.1
	if(isset($g_examv) && $g_examv == 1){
		if($db->f("nround") >= $g_nr){
			printf("<td class=\"bd view\"><input type=\"checkbox\" name=\"dels[]\" value=\"%d\" disabled title=\"未実施に戻すならOnにする\"></td>\n", $db->f("niid"));
		}else{
			print("<td class=\"bd view\">&nbsp;</td>\n");
		}
	}
	// 障害
	$title = "";
	if($db->f("bflg") == 0){
		$bflg_s = "　";
		$bflg_c = "";
		$title = "この項目に関連付けて障害票を発行する";
	}else if($db->f("bflg") == 1){
		$bflg_s = "済";
		$bflg_c = " class=\"comp\"";
		$title = "発行済みの障害票（全て回答済み）を参照、又は新規発行する";
	}else{
		$bflg_s = "未";
		$bflg_c = " class=\"still\"";
		$title = "発行済みの障害票（未回答あり）を参照、又は新規発行する";
	}
	printf("<td class=\"bd view\"><input type=\"button\"%s name=\"bug\" value=\"%s\" onClick=\"toBug(%d,%d);\" title=\"%s\"></td>\n", $bflg_c, $bflg_s, $db->f("niid"), $db->f("nround"), $title);
//	if($g_rnum > 0){ excheng V0.3.1
	if(isset($g_examv) && $g_examv == 1){
		if($db->f("nround") >= $g_nr){
		// 済の場合
			// 前実施者
			printf("<td class=\"bd view\"><font size=\"-1\">%s</font></td>\n", $db->f("cname_r"));
			// 前実施日
			printf("<td class=\"bd view\"><font size=\"-1\">%s</font></td>\n", $db->f("cexec"));
		}else{
		// 現ラウンド未実施の場合
			print("<td class=\"bd view\">&nbsp;</td>\n");
			print("<td class=\"bd view\">&nbsp;</td>\n");
		}
	}
	// メモ
	$title = "";
	if($db->f("cmemo")){
		$imgf = "img/memo_yes.jpg";
		$title = "メモを参照、更新する";
	}else{
		$imgf = "img/memo_no.jpg";
		$title = "メモを記入する";
	}
	printf("<td class=\"bd view\"><img src=\"%s\" onClick=\"toMemo(%d,%d)\" title=\"%s\"></td>\n", $imgf, $g_pid, $db->f("niid"), $title);
	// 相談 add V0.3.4
	printf("<td class=\"bd view\"><input type='button' name='conv' value=' ' onClick='toConv(%d,%d);' title='相談室を開く'></td>\n",$g_pid,$db->f("niid"));
	// 主担当
	printf("<td class=\"bd view\"><font size=\"-1\">%s</font></td>\n", $db->f("cname"));
	// 副担当
	printf("<td class=\"bd view\"><font size=\"-1\">%s</font></td>\n", $db->f("cname2"));
	print("</tr>\n");
	$i++;
}
?>
</table>
</td></tr>
</table>
</form>
</body>
</html>
<?php
  page_close();
?>

