<?php
/*
*	$id:ti_select_proj.php (c)A.Ida 2017/3/10 15:37:30
*	テスト項目運用システム - プロジェクト一覧
*/
include("ti_prepend.inc");
page_open(array("sess"=>"Ti_Session",
		"auth"=>"Ti_Auth",
		"perm"=>"Ti_Perm"));
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>
<link rel="STYLESHEET" href="tistyle.css" type="TEXT/CSS">
<SCRIPT type="text/javascript" src="ti_lstCtrl.js"></script>
<SCRIPT Language="JavaScript">
<!--
function jrun(pid){
	window.open('<?php $sess->purl("ti_run_item.php?dmy=0"); ?>&pid=' + pid, '_self');
};
function jmak(pid){
	window.open('<?php $sess->purl("ti_mak_item.php?dmy=0"); ?>&pid=' + pid, '_self');
};
function jana(pid){
	window.open('<?php $sess->purl("ti_ana_item.php?dmy=0"); ?>&pid=' + pid, '_self');
};
function jbug(pid){
	var win = window.open('<?php $sess->purl("ti_up_bug.php?mod=sel"); ?>&pid=' + pid, 'tibug');
	win.focus();
};
function jatt(pid){
	var win = window.open('<?php $sess->purl("ti_up_attach.php?mod=all&atkind=P&iid=0"); ?>&pid=' + pid, 'attach');
	win.focus();
};
function jmemo(pid){
	var win = window.open('<?php $sess->purl("ti_memo.php?dmy=0"); ?>&pid=' + pid, 'tibug', 'toolbar=no, status=no, width=600, height=180');
	win.focus();
};
function jconv(pid){
	var win = window.open('<?php $sess->purl("ti_wr_conv_view.php?dmy=0"); ?>&pid=' + pid, 'conv');
	win.focus();
};
function pgmove(dir,dmy){
	document.frmSelProjs.dir.value = dir;
	document.frmSelProjs.submit();
};
function load(){
	document.frmSelProjs.toppid.focus();
};
// -->
</SCRIPT>
<title>TI-System - プロジェクト選択</title>
</head>

<body class="fit" onload="load()">

<?php
// REQUEST処理
$req = new ti_request();
$lic = new ti_lic();
$relst = $req->getReq("relst", 0);
$pgs = $req->getReq("pgs", ($relst == 0) ? ($lic->ynPgsLst() ? 1 : 0) : 0);
$toppid = $req->getReqSessSet("toppid", "g_toppid", -1);
$maxrow = $req->getReqSessSet("maxrow", "g_maxrow", 40);
$g_pid = $req->getSess("g_pid", -1);
// 検索条件セッション変数の開放（プロジェクトが変わった場合残っていると不味いので）
unset($_SESSION["g_charge"]);
unset($_SESSION["g_examv"]);
unset($_SESSION["g_pday"]);
unset($_SESSION["g_imp"]);
unset($_SESSION["g_sclass"]);
// 項番モード
$itm_id = $lic->chkItemId(2);
// DB制御クラス
if ($lic->ynSelCur()){
	$db = new DB_Ti(true);
}else{
	$db = new DB_Ti;
}
// ページ制御ヘッダ
require_once("ti_pages_1.inc");
?>

<!-- このページのformは【検索】ボタンで使用されるだけ。他のボタンはwindow.openで移動する -->
<form name="frmSelProjs" method="POST" action="<?php $sess->purl("ti_select_proj.php");?>">
<input type="hidden" name="relst" value="1">
<table border="0" cellspacing="0" cellpadding="0">
<tr>
<td nowrap></td>
<td nowrap align="right" valign="bottom">
<?php
$str = "";
if($pgs == 1){ $str = " CHECKED"; }
printf("<input id='pgs_id' type='CHECKBOX' name='pgs' value='1'%s>\n",$str);
?>
<LABEL for="pgs_id"><font size="-1">実績計算</font></LABEL>
&nbsp;
<font size="-1">第１層ﾌﾟﾛｼﾞｪｸﾄ</font>
<select name="toppid">
<option value="-1">【全て】</option>
<?php
$sSql = "SELECT P.npid, P.nupid, P.cpname FROM tproj P ";
$sSql .= "INNER JOIN tpmember M ON M.npid = P.npid AND M.cid = '" . $auth->auth["uname"] . "' ";
$sSql .= "WHERE P.csucce is NULL AND P.nupid = 0";
$sSql .= "ORDER BY npid DESC";
$db->query($sSql);
$sel = "";
$toppname = "【全て】";
while($db->next_record()){
	if($db->f("nupid") == 0){
	// ルートプロジェクト
		if($toppid == $db->f("npid")){
			$sel = " selected";
			$toppname = $db->f("cpname");
		}else{
			$sel = "";
		}
		printf("<option value='%d'%s>%s</option>\n", $db->f("npid"), $sel, htmlspecialchars($db->f("cpname")));
	}
}
// 第１層プロジェクト名記憶
$_SESSION["g_toppname"] = $toppname;
?>
</select>
<font size="-1">頁行数</font>
<select name="maxrow">
<?php
$sel = "";
$txt = "";
for($row=0; $row<100; $row+=10){
	if($maxrow == $row){
		$sel = " selected";
	}else{
		$sel = "";
	}
	if($row == 0){
		$txt = "【全て】";
	}else{
		$txt = $row;
	}
	printf("<option value='%d'%s>%s</option>\n", $row, $sel, $txt);
}
?>
</select>
<input type="submit" value="検索">
</td></tr>
<tr><td colspan="2">
<table class="view" cellspacing="0">
<tr>
<th nowrap><font size="-1">項番</font></th>
<th nowrap><font size="-1">実施</font></th>
<?php if($perm->have_perm("tester")): ?>
<th nowrap><font size="-1">作成</font></th>
<?php endif; ?>
<th nowrap><font size="-1">分析</font></th>
<th nowrap><font size="-1">障害</font></th>
<th nowrap><font size="-1">資料</font></th>
<th nowrap><font size="-1">相談</font></th>
<?php if($itm_id == false): ?>
<th nowrap><font size="-1">番号</font></th>
<?php endif; ?>
<th nowrap><font size="-1">プロジェクト名</font></th>
<th nowrap><font size="-1">回</font></th>
<th nowrap><font size="-1">記</font></th>
<th nowrap><font size="-1">項数</font></th>
<?php if($pgs == 1): ?>
	<th nowrap><font size="-1">残数</font></th>
	<th nowrap><font size="-1">障数</font></th>
<?php endif; ?>
<th nowrap><font size="-1">作成者</font></th>
<th nowrap><font size="-1">作成日</font></th>
</tr><tr>
<input type="hidden" name="dir" value="NON">
<?php
printf("<input type='hidden' name='strow' value=%d>\n", $strow);

// 一覧と第１層プロジェクトのＳＱＬを独立化 V0.4r2
$sSql =  "SELECT DISTINCT P.n1, P.n2, P.n3, P.n4, P.n5, P.n6, P.n7, P.n8, P.n9, P.npid, P.cpname, P.nupid, P.cmemo, ";
$sSql .= "U.cname AS cmname, get_fullpname(P.nupid, P.cpname) AS cpname_f, to_dchar(P.dmake) AS cmake, toINum(P.npid) AS ni, COALESCE(P.nround,0)+1 AS nr ";
if($pgs == 1){
	$sSql .= ", (SELECT COUNT(R.npid) FROM tresult R WHERE R.npid = P.npid AND R.nround = COALESCE(P.nround,0)+1) AS nres";
	$sSql .= ", (SELECT COUNT(B.npid) FROM tbug B WHERE B.npid = P.npid) AS nbug ";
}
$sSql .= "FROM vproj P ";
$sSql .= "INNER JOIN tpmember M ON M.npid = P.npid AND M.cid = '" . $auth->auth["uname"] . "' ";
$sSql .= "INNER JOIN muser U ON U.cid = P.cid ";
$sSql .= "WHERE P.csucce is NULL ";	// add V0.3.3
if($toppid != -1){	// add V0.4r2
	$sSql .= "AND P.n1 = " . $toppid . " ";
}
$sSql .= "ORDER BY n1 DESC,n2,n3,n4,n5,n6,n7,n8,n9,npid";	// 降順に変更 v0.2

if($db->query($sSql))
{
	if(($g_pid > 0) && (!isset($_REQUEST["strow"])) && ($lic->ynSelCur()))
	{
		$strow = getInitStrow($db, "npid", $g_pid);
	}
	$db->seek($strow);
}
if($db->isError()){
	$db->printErr();
}else{
	$row = $strow + 1;	// 項番
	while($db->next_record()){
		if($toppid != -1){
			if($toppid != $db->f("n1")){	// 通らないはず V0.4r2以降
				continue;
			}
		}
		$even = "odd";
		$out = "outColor";
		if($g_pid == $db->f("npid")){
			$even = "cur";
			$out = "curColor";
		}else if($row%2 == 0){
			$even = "even";
		}
		printf("<tr class='%s' id=r%d onMouseOver='ovrColor(%d);' onMouseOut='%s(%d);'>\n",$even, $row, $row, $out, $row);
		// 項番
		print("<td class=\"bd caption\">\n");
		printf("%04d\n", $itm_id ? $db->f("npid") : $row);
		print("</td><td class=\"bd view\">\n");
		if(($db->f("ni") > 0) && ($db->f("nr") < 10)){
			printf("<input type=\"button\" name=\"RNITEM\" value=\"実施\" onClick=\"jrun(%d)\">\n", $db->f("npid"));
		}else{
			print("&nbsp;\n");
		}
		if($perm->have_perm("tester")){
			print("</td><td class=\"bd view\">\n");
			printf("<input type=\"button\" name=\"MKITEM\" value=\"作成\" onClick=\"jmak(%d)\">\n", $db->f("npid"));
		}
		print("</td><td class=\"bd view\">\n");
		printf("<input type=\"button\" name=\"AZPROJ\" value=\"分析\" onClick=\"jana(%d)\">\n", $db->f("npid"));
		print("</td><td class=\"bd view\">\n");
		printf("<input type=\"button\" name=\"ANSBUG\" value=\"障害\" onClick=\"jbug(%d)\">\n", $db->f("npid"));
		print("</td><td class=\"bd view\">\n");
		printf("<input type=\"button\" name=\"ATPROJ\" value=\"資料\" onClick=\"jatt(%d)\">\n", $db->f("npid"));
		print("</td><td class=\"bd view\">\n");
		printf("<input type=\"button\" name=\"CVPROJ\" value=\"相談\" onClick=\"jconv(%d)\">\n", $db->f("npid"));
		// 番号
		if ($itm_id == false){
			print("</td><td class=\"bd view\" align=\"right\">\n");
			printf("%04d", $db->f("npid"));
		}
		// プロジェクト名
		print("</td><td class=\"bd view\">\n");
		printf("<font size=\"-1\"><b>%s</b></font>\n", htmlspecialchars($db->f("cpname_f")));
		// 回
		print("</td><td class=\"bd view\" nowrap align=\"right\">\n");
		if($db->f("ni") > 0){
			printf("%d\n", $db->f("nr"));
		}else{
			print("&nbsp;\n");
		}
		// 記
		print("</td><td class=\"bd view\" nowrap>\n");
		if($db->f("cmemo")){
			$imgf = "img/memo_yes.jpg";
		}else{
			$imgf = "img/memo_no.jpg";
		}
		printf("<img src=\"%s\" onClick=\"jmemo(%d)\">", $imgf, $db->f("npid"));
		// 項数
		print("</td><td class=\"bd view\" nowrap align=\"right\">\n");
		printf("%d", $db->f("ni"));
		if($pgs == 1){
			// 残数
			print("</td><td class=\"bd view\" nowrap align=\"right\">\n");
			if($db->f("ni") > 0){
				printf("%d\n", $db->f("ni") - $db->f("nres"));
			}else{
				print("&nbsp;\n");
			}
			// 障害数
			print("</td><td class=\"bd view\" nowrap align=\"right\">\n");
			printf("%d\n", $db->f("nbug"));
		}
		// 作成者
		print("</td><td class=\"bd view\" nowrap>\n");
		printf("<font size='-1'>%s</font>\n", htmlspecialchars($db->f("cmname")));
		// 作成日
		print("</td><td class=\"bd view\">\n");
		printf("<font size='-2'>%s</font>\n", $db->f("cmake"));
		print("</td></tr>\n");
		$row++;
		// add 0.3.1
		if($maxrow > 0){
			if($row - $strow > $maxrow){
				break;
			}
		}
	}
}
?>
</table>
</td></tr>
<?php
// ページ制御フッター
require_once("ti_pages_2.inc");
?>
</table>
</form>
<?php if($row > 1): ?>
<p class="caption"><font size="-2">
「実施」：テストを項目一覧に沿って実施し、実績を保存します。障害票の発行も行えます。<br>
「作成」：テスト項目を作成・編集します。<br>
「分析」：テスト実績に関する集計を行って進捗状況を表示します。<br>
「障害」：テスト中以外に見つかった不具合の障害票を発行します。テスト中に見つかった障害の発行は「実施」内の障害ボタンを使用してください。<br>
「資料」：プロジェクトの添付資料を参照・編集・追加します。<br>
「相談」：プロジェクト全般に関しての相談や質問をする相談室を開きます。<br>
</font></p>
<?php else: ?>
<p class="warn">現在、作業メンバに登録されている未完了プロジェクトはありません。</p>
<?php endif; ?>
</body>
</html>
<?php
  page_close();
?>

