<?php
/*
*	$id:ti_ss_ins_result.php (c)A.Ida 2017/3/10 15:37:31
*	テスト項目運用システム - SideShowテスト済み設定
*/
include("ti_prepend.inc");
header("Content-type:text/xml;charset=utf-8");
print("<?xml version=\"1.0\" encoding=\"UTF-8\" ?>\n");
$err = 0;
$emsg = "";
$ret = 0;
if(isset($_REQUEST["pid"]) && isset($_REQUEST["uid"]) && isset($_REQUEST["iid"])){
	$pid = $_REQUEST["pid"];
	$uid = $_REQUEST["uid"];
	$iid = $_REQUEST["iid"];
	$db = new DB_Ti;
	$db->Halt_On_Error = "no";
	// ラウンド数取得
	$sSql = sprintf("SELECT COALESCE(nround,0) AS nr FROM tproj WHERE npid = %s", $pid);
	$db->query($sSql);
	$db->next_record();
	$nr = $db->f("nr");
	$nr++;
	// 既存確認
	$sSql = "SELECT *  FROM tresult WHERE ";
	$sSql .= sprintf("npid = %d AND niid = %d AND nround = %d", $pid, $iid, $nr);
	$db->query($sSql);
	if($db->num_rows() == 0){
		// 済み情報追加
		$sSql  = "INSERT INTO tresult VALUES";
		$sSql .= sprintf("(%d, %d, %d, '%s', 'NOW')", $pid, $iid, $nr, $uid);
		$ret = $db->query($sSql);
		if($ret){
			$err = 0;
		}else{
			$err = 2;
			$emsg = "書き込みエラー";
		}
	}else{
		$err = 0;	// 正常扱い
		$emsg = "既に実施済み";
	}
}else{
	$err = 1;
	$emsg = "パラメタ不足";
}
?>
<ssresult>
<result><?php print($err); ?></result>
<msg><?php print(mb_convert_encoding(htmlspecialchars($emsg), "UTF-8","EUC-JP")); ?></msg>
</ssresult>
