<?php
/*
*	$id:ti_up_bug_svn_diff.php (c)A.Ida 2017/3/10 15:37:30
*	テスト項目運用システム - 障害subversion-diff差分表示
*/
include("ti_prepend.inc");
page_open(array("sess"=>"Ti_Session",
		"auth"=>"Ti_Auth",
		"perm"=>"Ti_Perm"));
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>
<link rel="STYLESHEET" href="tistyle.css" type="TEXT/CSS">
<title>TI-System - svn-diff表示</title>
</head>
<?php
function mkHead($url, $rs, $re){
	if(strlen($url) == 0){
		$url_s = "<font color='red'>【未設定】</font>";
	}else{
		$url_s = htmlspecialchars($url);
	}
	$swk  = "<table border='0' class='form' width='100%'>\n<tr>\n";
	$swk .= "<td class='caption' nowrap><font size='-1'>リポジトリＵＲＬ：</font></td>\n";
	$swk .= "<td nowrap><font size='-1'>" . $url_s . "</font></td>\n";
	$swk .= "<td>&nbsp;&nbsp;</td>\n";
	$swk .= "<td class='caption' nowrap><font size='-1'>リビジョン範囲：</font></td>\n";
	$swk .= "<td nowrap><font size='-1'>" . sprintf("Rev.%d → Rev.%d", $rs, $re) . "</font></td>\n";
	$swk .= "<td width='99%' align='right'><input type='button' value='閉じる' onClick='top.close();'></td>\n";
	$swk .= "</tr>\n</table>\n";
	print($swk);
};
function mkHead2(){
	$swk  = "<table border='0' class='form' width='100%'>\n<tr>\n";
	$swk .= "<td width='100%' align='right'><input type='button' value='閉じる' onClick='top.close();'></td>\n";
	$swk .= "</tr>\n</table>\n";
	print($swk);
};
?>

<?php if(isset($_REQUEST["pid"])): ?>
<body class="fit">
<?php
include_once("ti_tvSvn.inc");
$res = FALSE;
$cnv = new ti_jconv;
$svn = new ti_tvsvn($_REQUEST["pid"], $_REQUEST["rs"], $_REQUEST["re"], $_REQUEST["repos"]);
//$res = $svn->getURL();
mkHead($svn->g_repos, $_REQUEST["rs"], $_REQUEST["re"]);
if(isset($_REQUEST["path"])){
// Diff
	$res = $svn->svnDiff($_REQUEST["path"]);
}else{
// Log
	$res = $svn->svnLog();
}
if($res){
	print("<PRE>\n");
	$max = count($svn->p_diffAry);
	for($indx=0; $indx<$max; $indx++){
	//	$line = mb_convert_encoding($svn->p_diffAry[$indx], "EUC-JP", "EUC-JP,SJIS,JIS,UTF-8");
		$line = $cnv->to_base($svn->p_diffAry[$indx]);
		$line = htmlspecialchars($line);
		if(isset($_REQUEST["path"])){
			switch($line[0]){
			case '-':
				$line = "<font class='old'>" . $line . "</font>";
				break;
			case '+':
				$line = "<font class='new'>" . $line . "</font>";
				break;
			default:
				break;
			}
		}
		print($line);
		print("\n");
	}
	print("</PRE>\n");
	$res = TRUE;
}
if($res == FALSE){
	printf("<p class='error'>%s</p>\n", $svn->g_emsg);
}
?>
<?php else: ?>
<body class="fit">
<?php mkHead2(); ?>
<p>
「ログ情報表示」は、各リビジョンのコミット時に書いたログ情報を表示します。svn logコマンドの結果を表示しているだけです。
</p>
<p>
「変更ファイルリスト」は、リビジョン間で変更があったファイルのツリービューです。<br>
ツリービューの末端（ファイル名）をクリックすると、障害票で指定されたリビジョン範囲でのそのファイルに対する変更個所が表示されます。<br>
単にSubversionのsvn diffコマンドの結果を表示しているだけです。よって、同時期に修正された他の障害などによる変更箇所も含まれている場合があります。
</p>
<?php endif; ?>
</body>
</html>
<?php
  page_close();
?>
