<?php
/*
*	$id:ti_up_bugref_act.php (c)A.Ida 2017/3/10 15:37:30
*	テスト項目運用システム - 関連付け（実行部）
*/
include("ti_prepend.inc");
page_open(array("sess"=>"Ti_Session",
		"auth"=>"Ti_Auth",
		"perm"=>"Ti_Perm"));
require_once("ti_bugref.inc");
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>
<link rel="STYLESHEET" href="tistyle.css" type="TEXT/CSS">
<title>関連既存障害保存実行</title>
</head>

<body class="act">

<div align="center">
<br>
<?php
$req = new ti_request();
$pid = $req->getSessCheck("gbr_pid");
$iid = $req->getSessCheck("gbr_iid");
$nr = $req->getSessCheck("gbr_nr");
$ckb = $req->getReq("ckb", array());

$db = new DB_Ti;
$ir = new ti_bugref($db, $pid, $iid, $nr);

$res = $ir->UpdateDB($ckb);
if($res){
	print("<h3>関連既存障害定を完了しました。</h3>\n");
	print("<font size=-1>項目一覧の表示に即時反映はされません。気になる場合は再検索等を行ってください。</font>");
}else{
	printf("<p class=\"error\">%s</p>\n", $errstr);
	printf("<p class=\"dber\">%s</p>\n", $db->Error);
}
?>
</div>
</body>
</html>
<?php
  page_close();
?>
