<?php
/*
*	$id:ti_up_bugref_view.php (c)A.Ida 2017/3/10 15:37:31
*	テスト項目運用システム - 項目関連付け
*/
include("ti_prepend.inc");
page_open(array("sess"=>"Ti_Session",
		"auth"=>"Ti_Auth",
		"perm"=>"Ti_Perm"));
require_once("ti_bugref.inc");
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>
<link rel="STYLESHEET" href="tistyle.css" type="TEXT/CSS">
<SCRIPT type="text/javascript" src="ti_lstCtrl.js"></script>
<SCRIPT type="text/javascript">
<!--
function nooff(){
	alert("別のラウンドで設定されています。解除できません。");
}
-->
</script>
<title>テスト項目運用システム - 関連既存障害選択</title>
</head>

<body class="fit">
<?php
$req = new ti_request();
$pid = $req->getSessCheck("gbr_pid");
$iid = $req->getSessCheck("gbr_iid");
$nr = $req->getSessCheck("gbr_nr");

$db = new DB_Ti;
$ir = new ti_bugref($db, $pid, $iid, $nr);
?>
<form name="frmRefItem" target="bugref_view" method="POST" action="<?php $sess->purl("ti_up_bugref_act.php");?>">
<table border="0" cellspacing="0" cellpadding="0" width="100%">
<tr><td>
<p class="caption">
関連付けを行いたい障害票を選択し【保存】してください。
</p>
</td></tr>
<tr><td>
<?php print($ir->mkList()); ?>
</td></tr>
<tr><td>
<p class="caption">
既存の障害票と同内容の障害がある場合に、新規に障害票を起こす代わりにその既存障害との関連付けを行います。
新規に起票するのと異なり、障害数にカウントされません。また、関連障害が回答されると「済」扱いになります。
ですので、同一障害であることが明確でない場合には使用すべきではありません。
</p>
</td></tr>
</table>
</form>
</body>
</html>
<?php
  page_close();
?>

