<?php
/*
*	$id:ti_up_proj_ctrl_2.php (c)A.Ida 2017/3/10 15:37:30
*	テスト項目運用システム - プロジェクト編集フォーム
*/
include("ti_prepend.inc");
page_open(array("sess"=>"Ti_Session",
		"auth"=>"Ti_Auth",
		"perm"=>"Ti_Perm"));
$perm->check("leader");
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>
<link rel="STYLESHEET" href="tistyle.css" type="TEXT/CSS">
<SCRIPT type="text/javascript" src="ckForm.js"></script>
<SCRIPT Language="JavaScript">
<!--
function ckf(cForm){
        var max = cForm.elements.length;
	for(var j=0;j<max;j++){
		if(cForm.elements[j].type == "checkbox"){
			if(cForm.elements[j].checked){
				var parry = new Array(1,0,0);
				var narry = new Array(0,0,0);
				return(ckForm(cForm, parry, narry, ""));
			}
		}
	}
	alert("一人以上を選択してください。");
	return false;
};
function nooff(){
	alert("既に担当もしくは配下プロジェクトメンバに指定されているのでOFFにできません。");
};
function load(){
	document.frmUpdate.pname.focus();
};
// -->
</SCRIPT>

<title>TI-System - プロジェクト編集</title>
</head>

<body class="wiz" onload="load()">
<?php
$req = new ti_request();
$pid = $req->getReqCheck("pid");
?>

<p class="caption">
変更したい項目を編集してください。ただし、以下の制限があります。
</p>
<ul class="caption">
<li><font size="-2">上位プロジェクトは変更できません。</font>
<li><font size="-2">実施実績や担当者に登録されているメンバーは削除できません。</font>
<li><font size="-2">下位プロジェクトに属するメンバーは削除できません。</font>
</ul>
<form name="frmUpdate" method="POST" action="<?php $sess->purl("ti_up_proj_ctrl_act.php"); ?>">
<?php
printf("<input type=\"hidden\" name=\"pid\" value=\"%d\">\n", $pid);
?>
<table class="form"><tr><td>
<table border="1" cellspacing="0" cellpadding="2">
<?php
$db = new DB_Ti;

$sSql = sprintf("SELECT *, get_fullpname(nupid, '') AS cpname_f FROM tproj WHERE npid = %d", $pid);
$db->query($sSql);
$db->next_record();
?>

<tr><td align="right" class="caption" nowrap>
上位プロジェクト
</td><td align="left">
<?php
$pname_f = $db->f("cpname_f");
if(strlen($db->f("cpname_f")) == 0){
	$pname_f = "ルート";
}
print($pname_f);
?>

</td></tr>
<tr><td align="right" class="caption" nowrap>
プロジェクト名
</td><td align="left">
<?php printf("<input type=\"text\" name=\"pname\" size=\"50\" maxlength=\"50\" value=\"%s\">\n", htmlspecialchars($db->f("cpname"))); ?>
</td></tr>
<tr><td align="right" class="caption" nowrap>
プロジェクトメンバ
</td><td align="left">
<table border="1">

<?php
if($db->f("nupid") == 0){
	$sSql  = "SELECT U.*, M.cid AS cked, ";
	$sSql .= sprintf("chkUsedId(%d, M.cid) AS used, ", $pid);
	$sSql .= sprintf("chkUsedMemb(%d, M.cid) AS used2 ", $pid);
	$sSql .= "FROM muser U LEFT OUTER JOIN tpmember M ";
	$sSql .= sprintf("ON U.cid = M.cid AND M.npid = %d", $pid);
}else{
	$sSql  = "SELECT P.*, M.cid AS cked, ";
	$sSql .= sprintf("chkUsedId(%d, M.cid) AS used, ", $pid);
	$sSql .= sprintf("chkUsedMemb(%d, M.cid) AS used2 ", $pid);
	$sSql .= sprintf("FROM (SELECT V.* FROM vpmember V, tproj T WHERE T.npid = %d AND V.npid = T.nupid) AS P ", $pid);
	$sSql .= "LEFT OUTER JOIN tpmember M ";
	$sSql .= sprintf("ON M.cid = P.cid AND M.npid = %d", $pid);
}
$db->query($sSql);
$i = 0;
$rnum = 3;
while($db->next_record()){
	if( $i%$rnum == 0 ){
		print("<tr>\n");
	}
	printf("<td><input type=\"checkbox\" ");
	if($db->f("cked")){
		print("checked ");
		if(($db->f("used") == "1") || ($db->f("used2") == "1")){	// add used2 V0.3.4
			print("onclick='nooff();this.checked=true;' style='background-color: gray' ");
		}
	}
	printf("name='cids[]' id='%04d_id' value='%s'><LABEL for='%04d_id'>%s</LABEL><br></td>\n", $i, $db->f("cid"), $i, htmlspecialchars($db->f("cname")));
	if( $i%$rnum == ($rnum-1) ){
		print("</tr>");
	}
	$i++;
}
?>

</table>
</td></tr>
<tr><td align="right" class="caption" nowrap>リポジトリＵＲＬ</td>
<td align="left">
<?php
$url = "";
$sSql = sprintf("SELECT * FROM trepos WHERE npid = %d", $pid);
$db->query($sSql);
if($db->next_record()){
	$url = $db->f("curl");
}
printf("<input type='text' name='url' size='50' maxlength='255' value='%s' style='ime-mode:inactive;'>\n", $url);
?>
</td></tr>
</table>
</td></tr>
<tr><td align="right">
<input type="button" name="UPDATE" value="更新" onClick="ckf(document.frmUpdate)">
</table>
<p class="caption">
subversionでソース管理されている場合、「リポジトリＵＲＬ」を設定しておくと、障害票画面で修正内容を確認することが可能になります。<br>
<?php
switch(substr(php_uname('s'),0,1)){
case 'L':	// Linux
case 'F':	// FreeBSD
case 'H':	// HP-UX
case 'S':	// SunOS
case 'M':	// Mac
	$swk = "例えば、サーバ機の /svn/repos/prog01 にリポジトリがある場合には、「file:///svn/repos/prog01」と設定します。<br>";
	break;
default:
	$swk = "例えば、サーバ機の D:\\svn\\repos\\prog01 にリポジトリがある場合には、「file:///D:/svn/repos/prog01」と設定します。<br>";
	break;
}
print($swk);
?>
なお、親プロジェクトと同じリポジトリの場合には省略できます。
</p>
</form>
</body>
</html>
<?php
  page_close();
?>

