<?php
/*
*	$id:ti_up_user_ctrl_2.php (c)A.Ida 2017/3/10 15:37:31
*	テスト項目運用システム - ユーザ編集フォーム
*/
include("ti_prepend.inc");
page_open(array("sess"=>"Ti_Session",
		"auth"=>"Ti_Auth",
		"perm"=>"Ti_Perm"));
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>
<link rel="STYLESHEET" href="tistyle.css" type="TEXT/CSS">
<SCRIPT type="text/javascript" src="ckForm.js"></script>
<SCRIPT Language="JavaScript">
<!--
function rdCan(){
	var res = true;
	var elms = document.frmUpdate.uauth;
	for(var i=0; i<elms.length; i++){
		if(elms[i].value == "leader"){
			break;
		}
		if(elms[i].checked){
			res = false;
			break;
		}
	}
	return res;
};
function ckBoxP(){
	if(document.frmUpdate.chgpass.checked){
		document.frmUpdate.passwd.disabled = false;
	}else{
		document.frmUpdate.passwd.disabled = true;
	}
};
function ckBox(cElm, rElm, alvl){
	if(alvl > 0){
		var can = false;
		if(document.frmUpdate.uauth){
			can = rdCan();
		}else if(alvl > 1){
			can = true;
		}
		if(can){
			if(cElm.checked){
				rElm.disabled = false;
			}else{
				rElm.disabled = true;
			}
		}else{
			rElm.disabled = true;
		}
	}
};
function ckf(cForm){
	var parry, narry;
	if(cForm.chgpass.checked){
		parry = new Array(17, 1, 0);
	}else{
		parry = new Array(0, 1, 0);
	}
	narry = new Array(0, 0, 0);
	return(ckForm(cForm, parry, narry, ""));
};
function cken(cForm, val){
	var res = true;
	if(val.indexOf('@',1) > 0){
		res = false;
	}
	cForm.mbug.disabled = res;
	cForm.mconv.disabled = res;
};
function ckBox2(alvl){
	if(alvl > 0){
		ckBox(document.frmUpdate.mbug, document.frmUpdate.mbug_a, alvl);
		ckBox(document.frmUpdate.mconv, document.frmUpdate.mconv_a, alvl);
	}
};
function load(){
	document.frmUpdate.uname.focus();
};
// -->
</SCRIPT>

<title>TI-System - ユーザ編集</title>
</head>
<?php
// REQUEST
$req = new ti_request();
$id = $req->getReqCheck("id");
// 権限レベル判定
$alvl = 0;
if($perm->have_perm("leader")){
	$alvl = 1;
}
if($perm->have_perm("admin")){
	$alvl = 2;
}
?>
<body class="wiz" onLoad="ckBoxP();cken(document.frmUpdate, document.frmUpdate.email.value);ckBox2(<?php print($alvl); ?>);load();">
<form name="frmUpdate" method="POST" action="<?php $sess->purl("ti_up_user_ctrl_act.php"); ?>">
<p class="caption">
変更したい項目を編集してください。
</p>
<input type="hidden" name="id" value="<?php print($id); ?>">
<table class="form"><tr><td>
<table border="1" cellspacing="0" cellpadding="2">
<?php
$db = new DB_Ti;

$sSql  = "SELECT U.*, A.*, E.* FROM muser U";
$sSql .= " INNER JOIN auth_user_md5 A ON U.cid = A.username";
$sSql .= " LEFT JOIN tmail E ON U.cid = E.cid";
$sSql .= sprintf(" WHERE U.cid = '%s'", $id);
$db->query($sSql);
$db->next_record();
?>

<tr><td align="right" class="caption" nowrap>
ユーザＩＤ
</td><td align="left">
<b>
<?php print($id); ?>
</b>
</td></tr>
<tr><td align="right" class="caption" nowrap>
パスワード
</td><td align="left">
<table>
<tr><td>
<input id="chgpass_id" type="checkbox" name="chgpass" value="on" onClick="ckBoxP()"><LABEL for="chgpass_id">パスワードを変更する</LABEL>
</td></tr><tr><td>
<input type="password" name="passwd" size="32" maxlength="32" value="">
</td></tr>
</table>
<tr><td align="right" class="caption" nowrap>
ユーザ名
</td><td align="left">
<input type="text" name="uname" size="40" maxlength="40" value="<?php print($db->f("cname")); ?>">
</td></tr>
<?php if($perm->have_perm("admin") && ($db->f("cid") != "admin")): ?>
<tr><td align="right" class="caption" nowrap>
権限レベル
</td><td align="left">
<?php
while(list($a, $t) = each($c_aary)){
	if($a == $db->f("perms")){
		$c = "checked ";
	}else{
		$c = "";
	}
	printf("<input type=\"radio\" name=\"uauth\" %s value=\"%s\" onClick=\"ckBox2(%d);\">%s\n", $c, $a, $alvl, $t);
	print("&nbsp;\n");
}
?>
</td></tr>
<?php else: ?>
<input type="hidden" name="uauth" value="<?php print($db->f("perms")); ?>">
<?php endif; ?>
<tr><td align="right" class="caption" nowrap>
Ｅ−Ｍａｉｌ：
</td><td align="left">
<input type="text" name="email" size="40" maxlength="64" style="ime-mode:disabled;" onBlur="cken(document.frmUpdate, this.value);" value="<?php print($db->f("cmail")); ?>"><br>
<?php
$fbug = $fbug_a = $fconv = $fconv_a = "";
switch($db->f("cbug")){
case "2":
	$fbug_a = " CHECKED";
case "1":
	$fbug = " CHECKED";
	break;
}
switch($db->f("cconv")){
case "2":
	$fconv_a = " CHECKED";
case "1":
	$fconv = " CHECKED";
	break;
}
?>
<?php if($perm->have_perm("leader")): ?>
<input type="checkbox" name="mbug" value=1<?php print($fbug); ?>  onClick="ckBox(document.frmUpdate.mbug, document.frmUpdate.mbug_a, <?php print($alvl); ?>)">障害票送信許可
（<input type="checkbox" name="mbug_a" value=2<?php print($fbug_a); ?>>全件）
<br>
<input type="checkbox" name="mconv" value=1<?php print($fconv); ?>  onClick="ckBox(document.frmUpdate.mconv, document.frmUpdate.mconv_a, <?php print($alvl); ?>)">相談送信許可
（<input type="checkbox" name="mconv_a" value=2<?php print($fconv_a); ?>>全件）
<?php else: ?>
<input type="checkbox" name="mbug" value=1<?php print($fbug); ?>>障害票送信許可
<br>
<input type="checkbox" name="mconv" value=1<?php print($fconv); ?>>相談送信許可
<?php endif; ?>
</td></tr>
</table>
</td></tr>
<tr><td align="right">
<input type="button" name="UPDATE" value="確定" onClick="ckf(document.frmUpdate)">
</td></tr>
</table>
<p class="caption"><font size="-2">
Ｅ−Ｍａｉｌで配信許可しても必ず配信されるわけではありません。<br>
発行者がメール送信確認ダイアログで【ＯＫ】を選択した場合で、サーバのメール発信環境とメールアドレスが正しく設定されている場合のみ配信されます。<br>
<?php if($perm->have_perm("leader")): ?>
<br>
Ｅ−Ｍａｉｌの「全件」にチェックを入れると、ユーザが回答責任者でないものもメール配信の対象になります。<br>
この項目は「リーダ」以上の権限をもつユーザにのみ設定可能です。
<?php endif; ?>
</font></p>
</form>
</body>
</html>
<?php
  page_close();
?>

