<?php
/*
*	$id:ti_up_user_ctrl_act.php (c)A.Ida 2017/3/10 15:37:31
*	テスト項目運用システム - ユーザ編集実行部
*/
include("ti_prepend.inc");
page_open(array("sess"=>"Ti_Session",
		"auth"=>"Ti_Auth",
		"perm"=>"Ti_Perm"));
require_once("ti_mail.inc");
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>
<link rel="STYLESHEET" href="tistyle.css" type="TEXT/CSS">
<title>TI-System - ユーザ編集実行</title>
</head>

<body class="act">
<div align="center">
<?php
// REQUEST
$req = new ti_request();
$id = $req->getReqCheck("id");
$chgpass = $req->getReq("chgpass", "off");
if ($chgpass == "on")
{
	$passwd = $req->getReqCheck("passwd", false);
}
$uname = $req->getReqCheck("uname");
$uauth = $req->getReqCheck("uauth");
$email = $req->getReq("email", "");
$mbug = $req->getReq("mbug", 0);
if ($mbug != 0){ $mbug = $req->getReq("mbug_a", $mbug); }
$mconv = $req->getReq("mconv", 0);
if ($mconv != 0){ $mconv = $req->getReq("mconv_a", $mconv); }

$db = new DB_Ti;
$mutil = new ti_mailUtil();
// $db->Halt_On_Error = "no";

// append V0.3
if(!isset($chgpass)){
	$chgpass = "off";
}

$db->query("BEGIN");
// muser更新
$sSql = sprintf("UPDATE muser SET cname = '%s' WHERE cid = '%s'", $uname, $id);
$ret = $db->query($sSql);
if($ret){
	// auth_user_md5更新
	$sSql = sprintf("UPDATE auth_user_md5 SET perms = '%s' WHERE username = '%s'", $uauth, $id);
	$ret = $db->query($sSql);
	// パスワード更新
	if($ret && $chgpass == 'on'){
		$sSql = sprintf("UPDATE auth_user_md5 SET password = '%s' WHERE username = '%s'", md5($passwd), $id);
		$ret = $db->query($sSql);
	}
	// tmail追加・更新・削除
	if($ret){
		// 既存確認
		$sSql = sprintf("SELECT count(*) AS cnt FROM tmail WHERE cid = '%s'", $id);
		$db->query($sSql);
		$db->next_record();
		if($db->f("cnt") > 0){
			// 既存
			if($mutil->ckMail($email)){
				// 更新
				$sSql = sprintf("UPDATE tmail SET cmail = '%s', cbug = '%s', cconv = '%s' WHERE cid = '%s'", $email, $mbug, $mconv, $id);
			}else{
				// 削除
				$sSql = sprintf("DELETE FROM tmail WHERE cid = '%s'", $id);
			}
		}else{
			if($mutil->ckMail($email)){
				// 追加
				$sSql = sprintf("INSERT INTO tmail (cid, cbug, cconv, crecog, cmail) VALUES ('%s', '%s', '%s', '0', '%s')", $id, $mbug, $mconv, $email);
			}else{
				// 処理なし
				$sSql = "";
			}
		}
		if(strlen($sSql) > 0){
			$ret = $db->query($sSql);
		}
	}
}
if($ret){
	print("<h3>更新が完了しました。</h3>\n");
	if((strlen($email) > 0) && ($mutil->ckMail($email) == FALSE)){
		print("<p class=\"warn\">E-Mailは不適当と判断し削除されました。</p>\n");
	}
	$db->query("END");
}else{
	print("<p class=\"error\">更新に失敗しました。</p>\n<p class=\"dber\">");
	print($db->Error);
	print("</p>\n");
	$db->query("ROLLBACK");
}

?>
</div>
</body>
</html>
<?php
  page_close();
?>

