<?php
/*
*	$id:ti_upload.php (c)A.Ida 2017/3/10 15:37:31
*	テスト項目運用システム - 添付ファイルアップロード
*/
include("ti_prepend.inc");
page_open(array("sess"=>"Ti_Session",
		"auth"=>"Ti_Auth",
		"perm"=>"Ti_Perm"));
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>
<link rel="STYLESHEET" href="tistyle.css" type="TEXT/CSS">
<SCRIPT type="text/javascript" src="ckForm.js"></script>
<SCRIPT Language="JavaScript">
<!--
function jclose(){
	close();
};
function delAttach(atid){
	var res = confirm("添付資料ファイルとその添付資料の参照情報を削除します。\nよろしいですか？");
	if(res){
		window.open('<?php $sess->purl("ti_upload_del.php?dmy=0");?>&atid=' + atid, '_self');
	}
};
function atUpload(){
<?php if($auth->auth["uname"] == "guest"): ?>
	alert("guestさんはアップロードできません。");
	return false;
<?php else: ?>
	parry = new Array(0,1,0);
	narry = new Array(0,0,0);
	ckForm(document.frmUpload, parry, narry, "");
<?php endif; ?>
};
function load(){
	document.frmUpload.upcmnt.focus();
};
// -->
</SCRIPT>
<title>テスト項目運用システム - 添付資料アップロード</title>
</head>

<body class="fit" onload="load()">
<div align="center">
<?php
$req = new ti_request();
$g_atpid = $req->getSessCheck("g_atpid");

$db = new DB_Ti;
$db2 = new DB_Ti;
//include("ti_g_item.inc"); del 0.4
include_once("ti_atfuncs.inc");
$atf = new ti_atfuncs;

// 一覧対象プロジェクト番号取得（上位プロジェクトのＣＳＶ）
$sSql = sprintf("SELECT get_Parents(%d, '%d') AS parents", $g_atpid, $g_atpid);
$db->query($sSql);
$db->next_record();
$pids = $db->f("parents");

// アップロード済みファイル一覧
$sSql = "SELECT A.nattach, get_fullpname(A.npid,'') AS pname, A.nadd, A.cfname, A.ccmnt, A.cid, U.cname, A.npid ";
$sSql .= "FROM tattach A, muser U ";
$sSql .= sprintf("WHERE npid IN (%s) ", $pids);
$sSql .= "AND cfname is NOT NULL ";		// 実体のみを対象
$sSql .= "AND ckind = 'C' AND niid = 0 ";	// 現版では固定
$sSql .= "AND A.cid = U.cid ";
$sSql .= "ORDER BY npid, nadd";
$db->query($sSql);
?>
<table border="0" width="98%">
<tr><td>
登録済み添付資料一覧
</td></tr>
<tr><td>
<table class="view" cellspacing="0" width="100%">
<tr>
<th nowrap>ファイル名</th>
<th nowrap>コメント</th>
<th nowrap>プロジェクト</th>
<th width="1%" nowrap>登録者</th>
<th width="1%" nowrap>削除</th>
</tr>
<?php
$nrow = 1;
while($db->next_record()){
	// フルパス生成
	$path = sprintf("%s/%d/%s", $c_attach, $db->f("npid"), $atf->get_urlfname($db));
	// ファイル名
	printf("<td class='bd view'><a href='%s' target='_blank'>%s</a></td>\n", $path, $db->f("cfname"));
	// コメント
	$cmnt = htmlspecialchars($db->f("ccmnt"),0);
	if(strlen($cmnt) == 0){
		$cmnt = "　";
	}
	printf("<td class='bd view'>%s</td>\n", $cmnt);
	// プロジェクト
	printf("<td class='bd view'>%s</td>\n", htmlspecialchars($db->f("pname"),0));
	// 登録者
	printf("<td class='bd view' nowrap>%s</td>\n", htmlspecialchars($db->f("cname"),0));
	// 削除
	print("<td class='bd view'>");
	if($db->f("cid") == $auth->auth["uname"]){
		// 登録した人だけ削除できる
		printf("<input type='button' value='削除' onClick='delAttach(%d)'>\n", $db->f("nattach"));
	}else{
		print("&nbsp;");
	}
	print("</td></tr>\n");
	$nrow++;
}
?>
</table>
</td></tr>
<tr><td>
<?php
if(!isset($path)){
	print("<p class='warn'>登録された添付資料はありません。</p>\n");
}
?>
<font size="-1">
自プロジェクト及び上位プロジェクトに登録されている添付資料の一覧です。
</font>
<br><br>
</td></tr>
<tr><td>
新規に登録したい添付資料を指定して[転送]ボタンを押してください。
</td></tr>
<tr><td colspan="2">
<form name="frmUpload" method="POST" action="<?php $sess->purl('ti_upload_act.php'); ?>" enctype="multipart/form-data">
<input type="hidden" name="MAX_FILE_SIZE" value="5000000" />
<table class="form" border="0" cellpadding="5" width="120">
<tr><td class="caption3" nowrap>
コメント：
</td><td colspan="2" align="left">
<input type="text" name="upcmnt" size="60" class="jp" style="width:600px;">
</td></tr>
<tr><td class="caption3" nowrap>
資料ファイル指定：
</td><td colspan="2" align="left">
<input type="file" name="upfl" size="54" class="en" style="width:540px;">
</td></tr>
<tr><td class="caption3" nowrap>
オプション：
</td><td align="left">
<input type="checkbox" name="ovwr" value="ov">上書き可
</td></tr>
<tr><td></td>
<td align="right" nowrap>
<input type="button" name="upload" value="　転　送　" onClick="atUpload();">
</td></tr>
</table>
</form>
</td></tr>
</table>
</div>
</body>
</html>
<?php
  page_close();
?>
