<?php
/*
*	$id:ti_upload_del.php (c)A.Ida 2017/3/10 15:37:31
*	テスト項目運用システム - アップロード（削除部）
*/
include("ti_prepend.inc");
//include("jcode.phps");
page_open(array("sess"=>"Ti_Session",
		"auth"=>"Ti_Auth",
		"perm"=>"Ti_Perm"));
require_once("ti_atfuncs.inc");
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>
<SCRIPT Language="JavaScript">
<!--
function jclose(){
	close();
};
// -->
</SCRIPT>
<title>ti-system アップロード削除</title>
</head>

<body class="fit">

<div align="center">
<br>
<?php
$req = new ti_request();
$atid = $req->getReqCheck("atid");

$atf = new ti_atfuncs;
$db = new DB_Ti;

$sSql = sprintf("SELECT * FROM tattach WHERE nattach = %d", $atid);
$db->query($sSql);
$res = TRUE;
if($db->next_record()){
	// フルパス生成
	$path = sprintf("%s/%d/%s", $c_attach, $db->f("npid"), $atf->get_pathfname($db->f("cfname")));
	if(is_file($path)){
		// ファイル削除
		$res = unlink($path);
		if($res == FALSE){
			$errstr = "ファイルを削除できませんでした。";
		}
	}else{
		$errstr = "ファイルは元から存在していませんでした。";
	}
}else{
	$res = FALSE;
	$errstr = "既に削除されているようです。";
}
if($res){
	// ＤＢ削除
	$sSql = sprintf("DELETE FROM tattach WHERE nattach = %d OR nattach_s = %d", $atid, $atid);
	$res = $db->query($sSql);
	if($res == FALSE){
		$errstr = "ファイルは削除しましたが、ＤＢの削除に失敗しました。";
		$dberr = $b->Error;
	}
}
if($res){
	print("<p class=\"caption\">削除しました。</p>\n");
	if(isset($errstr)){
		printf("<p class=\"error\">ただし、%s</p>\n", $errstr);
	}
}else{
	printf("<p class=\"error\">削除に失敗しました。<br>%s</p>\n", $errstr);
	if(isset($dberr)){
		printf("<p class=\"dber\">%s</p>\n", $dberr);
	}
}
?>
</div>
</body>
</html>
<?php
  page_close();
?>

