<?php
/*
*	$id:ti_use_tool_ul_act.php (c)A.Ida 2017/3/10 15:37:30
*	テスト項目運用システム - ファイル読込（実行部）
*/
include("ti_prepend.inc");
page_open(array("sess"=>"Ti_Session",
		"auth"=>"Ti_Auth",
		"perm"=>"Ti_Perm"));
$perm->check("tester");
require_once("ti_rdfile.inc");
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>
<link rel="STYLESHEET" href="tistyle.css" type="TEXT/CSS">
<title>ti-system ファイル読込実行</title>
</head>
<body class="act">
<?php
$req = new ti_request();
$pid = $req->getReqCheck("pid");

$res = FALSE;
// アップロードファイルか
if(isset($_FILES['upfl']['tmp_name'])){
	$res = is_uploaded_file($_FILES['upfl']['tmp_name']);
}
if($res){
	if($_FILES['upfl']['size'] < 10){
		$res = FALSE;
		$errstr = "ファイルサイズが小さすぎます。";
	}
}else{
	$res = FALSE;
	$errstr = "アップロードファイルとして不正です。";
}


$rdres = FALSE;
if($res){
	$rdfile = new ti_rdfile($pid, $_FILES['upfl']['tmp_name'], $c_attach);
	// プロパティ設定
	$rdfile->i_uid   = $auth->auth["uname"];
	$rdfile->i_fhead = $req->getReq("fhead", 2);
	$rdfile->i_fdelm = $req->getReq("fdelm", 0);
	$rdfile->i_fcls  = $req->getReq("fcls", 0);
	$rdfile->i_fcmt  = $req->getReq("fcmt", 0);
	// 実行（エラー情報もこの中で出力）
	$rdres = $rdfile->insAll();
}
if($res == FALSE){
	printf("<p class='error'>%s</p>", $errstr);
}else{
	if($rdfile->g_mkClsNum > 0){
		printf("<p class='inf'>%d件の分類を作成しました。</p>", $rdfile->g_mkClsNum);
	}
	if($rdfile->g_iorder > 1){
		printf("<p class='inf'>%d件の項目を作成しました。</p>", $rdfile->g_iorder - 1);
	}
	if($rdfile->g_erItemNum > 0){
		printf("<p class='warn'>%d件の項目の作成をスキップしました。</p>", $rdfile->g_erItemNum);
	}
	if($rdfile->db->Errno != 0){
		printf("<p class=\"dber\">Errno:%d\n%s</p>\n", $rdfile->db->Errno, $rdfile->db->Error);
	}
	$resmsg = "<font color='red'>ロールバック</font>";
	if($rdres){
		$resmsg = "<font color='blue'>コミット</font>";
	}
	printf("<p class='inf'>この処理は<b>%s</b>されました。念のため、結果を確認してください。</p>\n", $resmsg);
}
?>
</body>
</html>
<?php
  page_close();
?>

