<?php
/*
*	$id:ti_wr_conv_act.php (c)A.Ida 2017/3/10 15:37:30
*	テスト項目運用システム 相談実行部
*/	
include("ti_prepend.inc");
page_open(array("sess"=>"Ti_Session",
		"auth"=>"Ti_Auth",
		"perm"=>"Ti_Perm"));
require_once("ti_convers.inc");
require_once("ti_mail.inc");
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<meta http-equiv="Content-Type" content="text/html; charset=euc-jp">
<html>
<head>
<head>
<link rel="STYLESHEET" href="tistyle.css" type="TEXT/CSS">
<title>テスト項目運用システム - 相談実行部</title>
<SCRIPT Language="JavaScript">
<!--
function fix(pid,iid,bid){
	window.open('<?php $sess->purl("ti_wr_conv_view.php?dmy=0");?>&pid=' + pid + '&iid=' + iid + '&bid=' + bid, '_self');
};
// -->
</SCRIPT>
</head>
<body class="act">
<div align="center">
<?php
$req = new ti_request();
$uckey = $req->getReqCheck("uckey");
$pid = $req->getReqCheck("pid");
$iid = $req->getReqCheck("iid");
$bid = $req->getReqCheck("bid");
$subj = $req->getReqCheck("subj");
$body = $req->getReqCheck("body");
$cid_a = $req->getReqCheck("cid_a", true);
$term_y = $req->getReqCheck("term_y");
$term_m = $req->getReqCheck("term_m");
$term_d = $req->getReqCheck("term_d");

$db = new DB_Ti;
$dbobj = new ti_convers($db);
$tos = "";
// 新規投稿の登録
if($dbobj->InsConv($uckey, $pid, $iid, $bid, $auth->auth["uname"], $subj, $body, $cid_a, $term_y, $term_m, $term_d)):
?>
<h4 align="center">書き込みました。</h4>
<?php
// メール送信確認 append V0.4
$mail = new ti_mail($pid, 11, $dbobj->p_ckey);
$tos = $mail->toTos();
$para = sprintf("&pid=%d&kind=11&id=%d&iid=%d&bid=%d", $pid, $dbobj->p_ckey, $iid, $bid);
?>
<?php else: ?>
<p class="error"><?php print($dbobj->p_estr); ?></p>
<table class="view" cellspacing="0">
<caption align="top">書き込めなかった発言は次のような内容でした</caption>
<tr>
<td class='bdh caption' nowrap>表題</th>
<td class='bdh view'><?php print(htmlspecialchars($subj)); ?></td>
</tr><tr>
<td class='bd caption' >内容</th>
<td class='bd view'><?php print(nl2br(htmlspecialchars($body))); ?></td>
</tr>
</table>
<?php endif; ?>
<br>
<?php
printf("<input type='button' value='確認' onClick='fix(%d,%d,%d);'>\n", $pid, $iid, $bid);
?>
</div>
<?php if(strlen($tos) > 0): ?>
<SCRIPT Language="JavaScript">
<!--
msg = "次の人にメールを送信します。よろしいですか？\n";
msg = msg + "<?php print($tos); ?>";
ret = confirm(msg);
if(ret){
	window.open('<?php $sess->purl("ti_mailsend_act.php?dmy=0"); print($para); ?>', '_self');
}
// -->
</SCRIPT>
<?php endif; ?>
</body>
</html>
<?php page_close(); ?>
