<?php
/*
*	$id:ti_wr_conv_view.php (c)A.Ida 2017/3/10 15:37:30
*	テスト項目運用システム - 相談フォーム
*/	
include("ti_prepend.inc");
page_open(array("sess"=>"Ti_Session",
		"auth"=>"Ti_Auth",
		"perm"=>"Ti_Perm"));
require_once("ti_convers.inc");
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<meta http-equiv="Content-Type" content="text/html; charset=euc-jp">
<html>
<head>
<link rel="STYLESHEET" href="tistyle.css" type="TEXT/CSS">
<title>テスト項目運用システム - 相談室</title>
<SCRIPT type="text/javascript" src="ckForm.js"></script>
<SCRIPT Language="JavaScript">
<!--
function ckf(cForm){
	var bRet = false;
	if(cForm.cid_a.value == "×"){
		alert("回答責任者を指定してください。");
	}else{
		var parry = new Array(1,0,1);	// ２つめはdummy
		var narry = new Array(0,0,0);
		bRet = ckForm(cForm, parry, narry, "");
	}
	return bRet;
};
function fans(ckey){
	window.open('<?php $sess->purl("ti_wr_conv_view.php?dmy=ans"); ?>&ckey=' + ckey,'_self');
};
function fread(ckey, rmode){
	window.open('<?php $sess->purl("ti_wr_conv_view.php?dmy=rd"); ?>&rmode=' + rmode + '&ckey=' + ckey,'_self');
};
function load(ans_mode){
	if (ans_mode == 1){
		document.frmConvers.body.focus();
	}else{
		document.frmConvers.subj.focus();
	}
};
// -->
</SCRIPT>
</head>
<?php
$req = new ti_request();
$pid = $req->getReq("pid", -1);
$bid = $req->getReq("bid", 0);
$iid = $req->getReq("iid", 0);
$ckey = $req->getReq("ckey", -1);
$rmode = $req->getReq("rmode", -1);
$ino = $req->getReq("ino", 0);
$dir = $req->getReq("dir", "TOP");

$db = new DB_Ti(true);
$get = new ti_get($db);
$dbobj = new ti_convers($db);
$now = new ti_now($db);
$opt = new ti_mkOptions();

$ans_mode = 0;
$q_subj = $q_body = "";
$uckey = 0;
$btnname = "新規発言";
if ($ckey >= 0){
	// 主キーから対象情報を抽出
	$dbobj->ReadOne($ckey);
	$pid = $dbobj->p_pid;
	$iid = $dbobj->p_iid;
	$bid = $dbobj->p_bid;
	if ($rmode >= 0){
	// 既読設定
		$dbobj->UpRead($ckey, $rmode);
	}else if(is_null($dbobj->p_ans)){
	// 回答モード
		// 初期表示文字列
		$q_subj = "Re:" . $dbobj->p_subj_;
		$q_body = "> " . $dbobj->p_body_;
		$q_body = str_replace("\n","\n> ", $q_body);
		$q_body .= "\n";
		// 親発言設定
		$uckey = $ckey;		
		// submitボタン名
		$btnname = "回答する";
		$ans_mode = 1;
	}else{
		// 回答済みなので新規扱い
	}
}
// プロジェクト名
$pname = $get->fullPrjName($pid);
$subj = $pheno = $proc = $class = $ope = $exp = "";
// 障害
if($bid > 0){
	$subj = $get->bugSubject($pid, $bid);
	$pheno = $get->p_data1;
	$proc = $get->p_data2;
	$iid = $get->p_data3;
}
// 項目
if($iid > 0){
	$class = $get->fullClsName($pid, $iid);
	$ope = $get->p_data1;
	$exp = $get->p_data2;
}
?>
<body class="fit" onload="load(<?php print($ans_mode); ?>)">
<div align="center">
<table border="0" class="form" width="100%">
<tr><td>
<h2 class="proj">相談室：</h2>
</td></tr>
<tr><td align="right">
<input type="button" value="閉じる" onClick="top.close();">
</td></tr>
</table>
<br>
<!-- 対象テーブル -->
<table class="form" width="96%" border="1" cellspacing="0" cellpadding="5">
<tr><th colspan="5" class="head">
相談対象情報
</td></tr>
<tr><td colspan="2" class="caption" width="2%" nowrap>
プロジェクト
</td><td colspan="3">
<?php print($pname); ?>
</td></tr>
<!-- 項目 -->
<?php if($iid > 0): ?>
<tr><td rowspan="2" class="caption" width="1%">
項<br>目
</td><td class="caption" nowrap>
分類
</td><td colspan="3">
<?php print($class); ?>
</td></tr>
<tr><td class="caption" nowrap>
操作
</td><td valign="top">
<?php print($ope); ?>
</td><td width="1%" class="caption" nowrap>
結果
</td><td valign="top">
<?php print($exp); ?>
</td></tr>
<?php endif; ?>
<!-- 障害 -->
<?php if($bid > 0): ?>
<tr><td rowspan="2" class="caption" width="12px">
障<br>害
</td><td class="caption" nowrap>
表題
</td><td colspan="3">
<?php printf("%s （番号：%04d-%04d）", $subj, $pid, $bid); ?>
</td></tr>
<tr><td class="caption" nowrap>
現象
</td><td valign="top">
<?php print($pheno); ?>
</td><td class="caption" nowrap width="1%">
手順
</td><td valign="top">
<?php print($proc); ?>
</td></tr>
<?php endif; ?>
</table>

<!-- 投稿フォーム -->
<form name="frmConvers" method="POST" action="ti_wr_conv_act.php">
<input type="hidden" name="ino" value="0">
<?php
printf("<input type='hidden' name='pid' value='%d'>\n",$pid);
printf("<input type='hidden' name='iid' value='%d'>\n",$iid);
printf("<input type='hidden' name='bid' value='%d'>\n",$bid);
printf("<input type='hidden' name='uckey' value='%d'>\n",$uckey);
?>
<table border="4" class="form">
<tr><td class="caption">
表題
</td><td colspan="4" nowarp>
<?php printf("<input type='text' name='subj' size='120' maxlength='120' value='%s' class='jp' style='width:665px;'>\n",$q_subj); ?>
<input type="text" name="dummy" style="position:absolute;visibility:hidden;"><!-- 改行によるsubmit抑止 -->
</td></tr>
</td></tr>
</td><td colspan="5">
<textarea class="conv" name="body" cols="100" rows="10">
<?php print($q_body); ?>
</textarea>
</td></tr>
<tr><td class="caption" nowrap>
回答責任者
</td><td>
<select name="cid_a">
<option value="×"></option>
<option value="">【回答不要】</option>
<?php
$sSql = sprintf("SELECT * FROM vpmember WHERE npid = %d", $pid);
$db->query($sSql);
print($opt->mkDBOpts($db, "cname", "cid", ""));
?>
</select>
</td><td class="caption" nowrap>
回答期限日
</td><td nowrap>
<select name="term_y">
<?php print($opt->mkYears($now->y, false)); ?>
</select>
年
<select name="term_m">
<?php print($opt->mkMonths($now->m, false)); ?>
</select>
月
<select name="term_d">
<?php print($opt->mkDays($now->d, false)); ?>
</select>
日
</td><td align="center" nowrap>
<?php if ($ckey >= 0): ?>
<a href="<?php $sess->purl("ti_wr_conv_view.php?pid=" . $pid . "&iid=" . $iid . "&bid=" . $bid); ?>" target="_self"><font size="-1">新規発言へ</font></a>&nbsp;
<?php endif; ?>
<?php printf("<input type='button' value='%s' onClick='ckf(document.frmConvers)'>\n", $btnname); ?>
&nbsp;
<input type="reset" value="リセット">
</td></tr>
</table>
</form>

<!-- 過去記事 -->

<?php
$rnum = $g_maxrow;
switch($dir)
{
case "BACK":
	$ino += $rnum;
	break;
case  "FORWARD":
	$ino -= $rnum;
	break;
}
$dbobj->ReadConvStart($pid, $iid, $bid);
?>
<table border=0 width='96%'>
<tr><td align='left'>
<?php
// 次頁
if($ino > 0){
	$url = $sess->url("ti_wr_conv_view.php?dir=FORWARD");
	$url .= "&ino=" . $ino . "&pid=" . $pid . "&iid=" . $iid . "&bid=" . $bid;
	printf("<a href='%s' target='_self'>次頁</a>\n",$url);
}
?>
</td><td align='right'>
<?php
// 前頁
if(($ino+$rnum) < $dbobj->rnum){
	$url = $sess->url("ti_wr_conv_view.php?dir=BACK");
	$url .= "&ino=" . $ino . "&pid=" . $pid . "&iid=" . $iid . "&bid=" . $bid;
	printf("<a href='%s' target='_self'>前頁</a>\n",$url);
}
?>
</td></tr>
</table>
<?php
// 投稿内容
for($i=0; $i<$rnum; $i++){
	$rno = $ino + $i;
	if($dbobj->ReadConv($rno) >= 0){
		print("<table border=1 width='96%' class='conv'><tr><td>\n");
		$title = sprintf("%03d:　", $dbobj->rnum - $rno);
		$title .= sprintf("<font color='green'>%s  </font>",$dbobj->p_subj);  
		$title .= sprintf("<font color='gray'>　from：<b>%s</b>　<small>[%s]</small></font>\n", $dbobj->p_name, $dbobj->p_dwrite);
		if($dbobj->p_cid_a){
		// 回答要求あり
			$title .= sprintf("<font color='orange'>　to：<b>%s</b>　<small>[%s]</small></font>", $dbobj->p_name_a, $dbobj->p_dterm);
			if($dbobj->p_cid_a == $auth->auth["uname"]){
			// 自分が回答責任者
				$title .= "　";
				if($dbobj->p_ans > 0){
				// 回答済み
					$title .= "<font color='blue'>回答済</font>\n";
				}else{
					$title .= sprintf("<input type='button' value='回答' onClick='fans(%d)'>\n", $dbobj->p_ckey);
				}
			}else if($dbobj->p_cid == $auth->auth["uname"]){
			// 自己発行分
				if($dbobj->p_ans == ""){
				// 未回答
					$title .= sprintf("<input type='button' value='自己回答' onClick='fans(%d)'>\n", $dbobj->p_ckey);
				}
			}
		}
		if($dbobj->p_uid == $auth->auth["uname"]){
		// 自分の相談への回答
			if($dbobj->p_cid_a != $auth->auth["uname"]){
			// 自分が回答責任者でない
				if($dbobj->p_cid != $auth->auth["uname"]){
				// 自己回答でない
					if($dbobj->p_dread == ""){
					// 未読
						$title .= sprintf("<input type='button' value='既読にする' onClick='fread(%d,1)'>\n", $dbobj->p_ckey);
					}else{
					// 既読
						$title .= sprintf("<input type='button' value='未読に戻す' onClick='fread(%d,0)'>\n", $dbobj->p_ckey);
					}
				}
			}
		}

		printf("%s<br><br>\n", $title);
		print("<div class=\"ind\">\n");
		print($dbobj->p_body);
		print("</div>\n</td></tr>\n</table>\n<br>\n");
	}
}
$dbobj->ReadConvEnd();
?>
</div>
</body>
</html>
<?php page_close(); ?>

